<?php


namespace App;
use Illuminate\Database\Eloquent\Model;

class Cart extends Model
{
    protected $dates = [
        'created_at',
        'updated_at',
    ];

    protected $fillable = [
        'user_id',
        'status',
        'created_at',
        'updated_at',
    ];

    public function cart_items() {
        return $this->hasMany('App\CartItem', 'cart_id');
    }

    public function posts() {
        return $this->hasMany('App\Post', 'cart_id');
    }

    public function cart_item ( $campaignId ) {
        return $this->hasMany('App\CartItem', 'cart_id')->where('campaign_id', $campaignId);
    }
}
