<?php


namespace App\Http\Controllers\Admin;
use App\FeaturedInfluencer;
use App\Http\Controllers\Controller;
use App\Http\Requests\MassDestroyTicketRequest;
use App\Role;
use App\Socialmedia;
use App\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class FeaturedInfluencersController extends Controller
{
    public function index() {

        /*$influencerRole = Role::where('title', 'User')->first();
        $influencers = User::where('role_id', $influencerRole->id)->get();*/
        $influencers = Socialmedia::where('status', 'Verified')->orderBy('created_at', 'desc')->get();
        //dd($influencers);
        $data = [
            'influencers' => $influencers
        ];
        return view('admin.featured_influencers.index', $data);

    }

    public function setIsFeatured( $influencerId, $flag ) {
        $influencer = Socialmedia::find($influencerId);

        $influencer->is_featured = $flag;
        $influencer->save();
        return redirect('/admin/featured_influencers');
    }

    public function massDestroy(Request $request)
    {

        Socialmedia::whereIn('id', $request->ids)->delete();

        return response(null, 204);
    }
}
