<?php


namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StoreNotificationRequest extends FormRequest
{
    public function authorize()
    {
        return \Gate::allows('notification_create');
    }

    public function rules()
    {
        return [
            'message' => [
                'required',
            ],
        ];
    }
}




