<?php


namespace App\Http\Requests;

use App\Ticket;
use Illuminate\Foundation\Http\FormRequest;

class StoreTicketRequest extends FormRequest
{
    public function authorize()
    {
        return \Gate::allows('ticket_create');
    }

    public function rules()
    {
        return [
            'subject' => [
                'required',
            ],
            'description' => [
                'required',
            ],
        ];
    }
}



