<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Service extends Model
{
    //
    protected $dates = [
        'created_at',
        'updated_at',
    ];

    protected $fillable = [
        'title',
        'created_at',
        'updated_at',
    ];

    public function socialmedias() {
        return $this->belongsToMany(Socialmedia::class, 'service_socialmedia', 'socialmedia_id', 'service_id');
    }
}
