<?php

use App\Setting;
use Illuminate\Database\Seeder;


class SettingsTableSeeder extends Seeder
{
    public function run()
    {
        $settings = [[
            'id'         => '1',
            'key'      => 'timezone',
            'value'      => 'Asia/Karachi',
            'created_at' => '2019-04-15 19:14:42',
            'updated_at' => '2019-04-15 19:14:42',
        ],[
            'id'         => '2',
            'key'      => 'site_title',
            'value'      => 'CloutSource',
            'created_at' => '2019-04-15 19:14:42',
            'updated_at' => '2019-04-15 19:14:42',
        ],[
            'id'         => '3',
            'key'      => 'project_title',
            'value'      => 'CloutSource Project',
            'created_at' => '2019-04-15 19:14:42',
            'updated_at' => '2019-04-15 19:14:42',
        ],[
            'id'         => '4',
            'key'      => 'show_influencers',
            'value'      => 'Yes',
            'created_at' => '2019-04-15 19:14:42',
            'updated_at' => '2019-04-15 19:14:42',
        ],[
            'id'         => '5',
            'key'      => 'address',
            'value'      => '3827 Pallet Street New York, NY 10004',
            'created_at' => '2019-04-15 19:14:42',
            'updated_at' => '2019-04-15 19:14:42',
        ],[
            'id'         => '6',
            'key'      => 'email',
            'value'      => 'info@influencermp.com',
            'created_at' => '2019-04-15 19:14:42',
            'updated_at' => '2019-04-15 19:14:42',
        ],[
            'id'         => '7',
            'key'      => 'phone',
            'value'      => '1.234.567.8901',
            'created_at' => '2019-04-15 19:14:42',
            'updated_at' => '2019-04-15 19:14:42',
        ],];
        Setting::insert($settings);
    }
}
