<?php

use App\User;
use Illuminate\Database\Seeder;

class UsersTableSeeder extends Seeder
{
    public function run()
    {
        $users = [[
            'id'             => 1,
            'role_id'        => 1,
            'name'           => 'Admin',
            'email'          => 'admin@admin.com',
            'phone'          => '1234567890',
            'password'       => '$2y$10$imU.Hdz7VauIT3LIMCMbsOXvaaTQg6luVqkhfkBcsUd.SJW2XSRKO',
            'referral_code'  => 'REF-CODE-admin',
            'remember_token' => null,
            'email_verified_at'     => '2019-04-15 19:13:32',
            'created_at'     => '2019-04-15 19:13:32',
            'updated_at'     => '2019-04-15 19:13:32',
            'deleted_at'     => null,
        ],[
            'id'             => 2,
            'role_id'        => 2,
            'name'           => 'User',
            'email'          => 'user@gmail.com',
            'phone'          => '1234567890',
            'password'       => '$2y$10$imU.Hdz7VauIT3LIMCMbsOXvaaTQg6luVqkhfkBcsUd.SJW2XSRKO',
            'referral_code'  => 'REF-CODE-user',
            'remember_token' => null,
            'email_verified_at'     => '2019-04-15 19:13:32',
            'created_at'     => '2019-04-15 19:13:32',
            'updated_at'     => '2019-04-15 19:13:32',
            'deleted_at'     => null,
        ]];

        User::insert($users);
    }
}
