<?php

use App\Setting;
$siteSettings = Setting::settings_array();

return [
    'add'                                  => 'Add',
    'create'                               => 'Create',
    'list'                                 => 'List',
    'show'                                 => 'Show',
    'entries'                              => 'Entries',
    'search'                               => 'Search',
    'view'                                 => 'View',
    'edit'                                 => 'Edit',
    'take_action'                          => 'Take Action',
    'delete'                               => 'Delete',
    'save'                                 => 'Save',
    'pleaseSelect'                         => 'Please select',
    'areYouSure'                           => 'Are you sure?',
    'allRightsReserved'                    => 'All rights reserved.',
    'downloadFile'                         => 'Download file',
    'toggleNavigation'                     => 'Toggle navigation',
    'home'                                 => 'Home',
    'youAreLoggedIn'                       => 'You are logged in!',
    'user_name'                            => 'Name',
    'reset_password'                       => 'Reset Password',
    'login'                                => 'Login',
    'remember_me'                          => 'Remember me',
    'forgot_password'                      => 'Forgot your password?',
    'register'                             => 'Register',
    'login_email'                          => 'Email Address',
    'login_password'                       => 'Password',
    'login_password_confirmation'          => 'Password confirmation',
    'yes'                                  => 'Yes',
    'no'                                   => 'No',
    'view_file'                            => 'View file',
    'verifyYourUser'                       => 'To finish your registration - site asks you to verify your email',
    'clickHereToVerify'                    => 'Click here to verify',
    'thankYouForUsingOurApplication'       => 'Thank you for using our website',
    'verifyYourEmail'                      => 'Please verify your email',
    'emailVerificationSuccess'             => 'User email verified successfully',
    'yourAccountNeedsAdminApproval'        => 'Your accounts needs an administrator approval in order to log in',
    'timeFrom'                             => 'From',
    'timeTo'                               => 'To',
    'filterDate'                           => 'Filter by date',
    'reports'                              => 'Reports',
    'year'                                 => 'Year',
    'month'                                => 'Month',
    'logout'                               => 'Logout',
    'calendar'                             => 'Calendar',
    'dashboard'                            => 'Dashboard',
    'datatables'                           => [
        'copy'          => 'Copy',
        'csv'           => 'CSV',
        'excel'         => 'Excel',
        'pdf'           => 'PDF',
        'print'         => 'Print',
        'colvis'        => 'Column visibility',
        'delete'        => 'Delete selected',
        'zero_selected' => 'No rows selected',
    ],
    'restore'                              => 'Restore',
    'permadel'                             => 'Delete Permanently',
    'all'                                  => 'All',
    'trash'                                => 'Trash',
    'update'                               => 'Update',
    'no_entries_in_table'                  => 'No entries in table',
    'custom_controller_index'              => 'Custom controller index.',
    'back_to_list'                         => 'Back to list',
    'category'                             => 'Category',
    'categories'                           => 'Categories',
    'sample_category'                      => 'Sample category',
    'questions'                            => 'Questions',
    'question'                             => 'Question',
    'answer'                               => 'Answer',
    'sample_question'                      => 'Sample question',
    'sample_answer'                        => 'Sample answer',
    'faq_management'                       => 'FAQ Management',
    'administrator_can_create_other_users' => 'Administrator (can create other users)',
    'simple_user'                          => 'Simple user',
    'title'                                => 'Title',
    'roles'                                => 'Roles',
    'role'                                 => [
        'title'          => 'Roles',
        'title_singular' => 'Role',
        'fields'         => [
            'id'                 => 'ID',
            'id_helper'          => '',
            'title'              => 'Title',
            'title_helper'       => '',
            'permissions'        => 'Permissions',
            'permissions_helper' => '',
            'created_at'         => 'Created at',
            'created_at_helper'  => '',
            'updated_at'         => 'Updated at',
            'updated_at_helper'  => '',
            'deleted_at'         => 'Deleted at',
            'deleted_at_helper'  => '',
        ],
    ],
    'user_management'                      => 'User management',
    'users'                                => 'Users',
    'user'                                 => [
        'title'          => 'Users',
        'title_singular' => 'User',
        'admin_title'          => 'Admins',
        'admin_title_singular' => 'Admin',
        'admin_profile_title' => 'Profile',
        'fields'         => [
            'id'                       => 'ID',
            'id_helper'                => '',
            'name'                     => 'Name',
            'name_helper'              => '',
            'email'                    => 'Email',
            'email_helper'             => '',
            'phone'                    => 'Phone',
            'phone_helper'             => '',
            'referral'                    => 'Referred By',
            'referral_helper'             => '',
            'email_verified_at'        => 'Email verified at',
            'email_verified_at_helper' => '',
            'password'                 => 'Password',
            'password_helper'          => '',
            'roles'                    => 'Roles',
            'roles_helper'             => '',
            'remember_token'           => 'Remember Token',
            'remember_token_helper'    => '',
            'created_at'               => 'Created at',
            'created_at_helper'        => '',
            'updated_at'               => 'Updated at',
            'updated_at_helper'        => '',
            'deleted_at'               => 'Deleted at',
            'deleted_at_helper'        => '',
        ],
    ],
    'name'                                 => 'Name',
    'remember_token'                       => 'Remember token',
    'permissions'                          => 'Permissions',
    'user_actions'                         => 'User actions',
    'action'                               => 'Action',
    'action_model'                         => 'Action model',
    'action_id'                            => 'Action id',
    'time'                                 => 'Time',
    'campaign'                             => 'Campaign',
    'campaigns'                            => 'Campaigns',
    'description'                          => 'Description',
    'valid_from'                           => 'Valid from',
    'valid_to'                             => 'Valid to',
    'discount_amount'                      => 'Discount amount',
    'discount_percent'                     => 'Discount percent',
    'coupons_amount'                       => 'Coupons amount',
    'coupons'                              => 'Coupons',
    'code'                                 => 'Code',
    'redeem_time'                          => 'Redeem time',
    'coupon_management'                    => 'Coupon Management',
    'time_management'                      => 'Time management',
    'projects'                             => 'Projects',
    'time_entries'                         => 'Time entries',
    'work_type'                            => 'Work type',
    'work_types'                           => 'Work types',
    'project'                              => 'Project',
    'start_time'                           => 'Start time',
    'end_time'                             => 'End time',
    'expense_category'                     => 'Expense Category',
    'expense_categories'                   => 'Expense Categories',
    'expense_management'                   => 'Expense Management',
    'expenses'                             => 'Expenses',
    'expense'                              => 'Expense',
    'entry_date'                           => 'Entry date',
    'amount'                               => 'Amount',
    'income_categories'                    => 'Income categories',
    'monthly_report'                       => 'Monthly report',
    'companies'                            => 'Companies',
    'company_name'                         => 'Company name',
    'address'                              => 'Address',
    'website'                              => 'Website',
    'contact_management'                   => 'Contact management',
    'contacts'                             => 'Contacts',
    'company'                              => 'Company',
    'first_name'                           => 'First name',
    'last_name'                            => 'Last name',
    'phone'                                => 'Phone',
    'phone1'                               => 'Phone 1',
    'phone2'                               => 'Phone 2',
    'skype'                                => 'Skype',
    'photo'                                => 'Photo (max 8mb)',
    'category_name'                        => 'Category name',
    'product_management'                   => 'Product management',
    'products'                             => 'Products',
    'product_name'                         => 'Product name',
    'price'                                => 'Price',
    'tags'                                 => 'Tags',
    'tag'                                  => 'Tag',
    'photo1'                               => 'Photo1',
    'photo2'                               => 'Photo2',
    'photo3'                               => 'Photo3',
    'statuses'                             => 'Statuses',
    'task_management'                      => 'Task management',
    'tasks'                                => 'Tasks',
    'status'                               => 'Status',
    'attachment'                           => 'Attachment',
    'due_date'                             => 'Due date',
    'assigned_to'                          => 'Assigned to',
    'assets'                               => 'Assets',
    'asset'                                => 'Asset',
    'serial_number'                        => 'Serial number',
    'location'                             => 'Location',
    'locations'                            => 'Locations',
    'assigned_user'                        => 'Assigned (user)',
    'notes'                                => 'Notes',
    'assets_history'                       => 'Assets history',
    'assets_management'                    => 'Assets management',
    'slug'                                 => 'Slug',
    'content_management'                   => 'Content management',
    'text'                                 => 'Text',
    'excerpt'                              => 'Excerpt',
    'featured_image'                       => 'Featured image',
    'pages'                                => 'Pages',
    'axis'                                 => 'Axis',
    'group_by'                             => 'Group by',
    'chart_type'                           => 'Chart type',
    'create_new_report'                    => 'Create new report',
    'no_reports_yet'                       => 'No reports yet.',
    'created_at'                           => 'Created at',
    'updated_at'                           => 'Updated at',
    'deleted_at'                           => 'Deleted at',
    'reports_x_axis_field'                 => 'X-axis - please choose one of date/time fields',
    'reports_y_axis_field'                 => 'Y-axis - please choose one of number fields',
    'select_crud_placeholder'              => 'Please select one of your CRUDs',
    'select_dt_placeholder'                => 'Please select one of date/time fields',
    'aggregate_function_use'               => 'Aggregate function to use',
    'x_axis_group_by'                      => 'X-axis group by',
    'x_axis_field'                         => 'X-axis field (date/time)',
    'y_axis_field'                         => 'Y-axis field',
    'integer_float_placeholder'            => 'Please select one of integer/float fields',
    'change_notifications_field_1_label'   => 'Send email notification to User',
    'change_notifications_field_2_label'   => 'When Entry on CRUD',
    'select_users_placeholder'             => 'Please select one of your Users',
    'is_created'                           => 'is created',
    'is_updated'                           => 'is updated',
    'is_deleted'                           => 'is deleted',
    'notifications'                        => 'Notifications',
    'notify_user'                          => 'Notify User',
    'when_crud'                            => 'When CRUD',
    'create_new_notification'              => 'Create new Notification',
    'stripe_transactions'                  => 'Stripe Transactions',
    'upgrade_to_premium'                   => 'Upgrade to Premium',
    'messages'                             => 'Messages',
    'you_have_no_messages'                 => 'You have no messages.',
    'all_messages'                         => 'All Messages',
    'new_message'                          => 'New message',
    'outbox'                               => 'Outbox',
    'inbox'                                => 'Inbox',
    'recipient'                            => 'Recipient',
    'subject'                              => 'Subject',
    'message'                              => 'Message',
    'send'                                 => 'Send',
    'reply'                                => 'Reply',
    'calendar_sources'                     => 'Calendar sources',
    'new_calendar_source'                  => 'Create new calendar source',
    'crud_title'                           => 'Crud title',
    'crud_date_field'                      => 'Crud date field',
    'prefix'                               => 'Prefix',
    'label_field'                          => 'Label field',
    'suffix'                               => 'Sufix',
    'no_calendar_sources'                  => 'No calendar sources yet.',
    'crud_event_field'                     => 'Event label field',
    'create_new_calendar_source'           => 'Create new Calendar Source',
    'edit_calendar_source'                 => 'Edit Calendar Source',
    'client_management'                    => 'Client management',
    'client_management_settings'           => 'Client management settings',
    'country'                              => 'Country',
    'client_status'                        => 'Client status',
    'clients'                              => 'Clients',
    'client_statuses'                      => 'Client statuses',
    'currencies'                           => 'Currencies',
    'main_currency'                        => 'Main currency',
    'documents'                            => 'Documents',
    'file'                                 => 'File',
    'income_source'                        => 'Income source',
    'income_sources'                       => 'Income sources',
    'fee_percent'                          => 'Fee percent',
    'note_text'                            => 'Note text',
    'client'                               => 'Client',
    'start_date'                           => 'Start date',
    'budget'                               => 'Budget',
    'project_status'                       => 'Project status',
    'project_statuses'                     => 'Project statuses',
    'transactions'                         => 'Transactions',
    'transaction_types'                    => 'Transaction types',
    'transaction_type'                     => 'Transaction type',
    'transaction_date'                     => 'Transaction date',
    'currency'                             => 'Currency',
    'current_password'                     => 'Current password',
    'new_password'                         => 'New password',
    'change_password'                      => 'Change password',
    'reset_password_woops'                 => '<strong>Whoops!</strong> There were problems with input:',
    'email_line1'                          => 'You are receiving this email because we received a password reset request for your account.',
    'email_line2'                          => 'If you did not request a password reset, no further action is required.',
    'email_greet'                          => 'Hello',
    'email_regards'                        => 'Regards',
    'confirm_password'                     => 'Confirm password',
    'if_you_are_having_trouble'            => 'If you’re having trouble clicking the',
    'copy_paste_url_bellow'                => 'button, copy and paste the URL below into your web browser:',
    'registration'                         => 'Registration',
    'not_approved_title'                   => 'You are not approved',
    'not_approved_p'                       => 'Your account is still not approved by administrator. Please, be patient and try again later.',
    'there_were_problems_with_input'       => 'There were problems with input',
    'whoops'                               => 'Whoops!',
    'file_contains_header_row'             => 'File contains header row?',
    'csvImport'                            => 'CSV Import',
    'csv_file_to_import'                   => 'CSV file to import',
    'parse_csv'                            => 'Parse CSV',
    'import_data'                          => 'Import data',
    'imported_rows_to_table'               => 'Imported :rows rows to :table table',
    'subscription-billing'                 => 'Subscriptions',
    'subscription-payments'                => 'Payments',
    'basic_crm'                            => 'Basic CRM',
    'customers'                            => 'Customers',
    'customer'                             => 'Customer',
    'select_all'                           => 'Select all',
    'deselect_all'                         => 'Deselect all',
    'team-management'                      => 'Teams',
    'team-management-singular'             => 'Team',
    'site_title'                           => $siteSettings['site_title'],
    'project_title'                        => $siteSettings['project_title'],
    'timezone'                             => $siteSettings['timezone'],
    'show_influencers'                     => $siteSettings['show_influencers'],
    'userManagement'                       => [
        'title'          => 'User Management',
        'title_singular' => 'User Management',
        'fields'         => [],
    ],
    'permission'                           => [
        'title'          => 'Permissions',
        'title_singular' => 'Permission',
        'fields'         => [
            'id'                => 'ID',
            'id_helper'         => '',
            'title'             => 'Title',
            'title_helper'      => '',
            'created_at'        => 'Created at',
            'created_at_helper' => '',
            'updated_at'        => 'Updated at',
            'updated_at_helper' => '',
            'deleted_at'        => 'Deleted at',
            'deleted_at_helper' => '',
        ],
    ],
    'product'                              => [
        'title'          => 'Products',
        'title_singular' => 'Product',
        'fields'         => [
            'id'                 => 'ID',
            'id_helper'          => '',
            'name'               => 'Name',
            'name_helper'        => '',
            'description'        => 'Description',
            'description_helper' => '',
            'price'              => 'Price',
            'price_helper'       => '',
            'created_at'         => 'Created At',
            'created_at_helper'  => '',
            'updated_at'         => 'Updated At',
            'updated_at_helper'  => '',
            'deleted_at'         => 'Deleted at',
            'deleted_at_helper'  => '',
        ],
    ],
    'ticket'        => [
        'title'          => 'Tickets',
        'title_singular' => 'Ticket',
        'fields'         => [
            'id'                 => 'ID',
            'id_helper'          => '',
            'subject'               => 'Ticket Subject',
            'subject_helper'        => '',
            'user_name'               => 'User Name',
            'user_name_helper'        => '',
            'against_user_name'        => 'Against User Name',
            'against_user_name_helper' => '',
            'type'        => 'Type',
            'type_helper' => '',
            'status'        => 'Status',
            'status_helper' => '',
            'description'        => 'Description',
            'description_helper' => '',
            'message_to_sender'        => 'Message To Sender',
            'message_to_sender_helper' => '',
            'message_to_against_user'        => 'Message To Against User',
            'message_to_against_user_helper' => '',
            'created_at'         => 'Created At',
            'created_at_helper'  => '',
            'updated_at'         => 'Updated At',
            'updated_at_helper'  => '',
        ],
    ],
    'notifications'        => [
        'title'          => 'Notifications',
        'title_singular' => 'Notification',
        'fields'         => [
            'id'                 => 'ID',
            'id_helper'          => '',
            'event'               => 'Event Name',
            'event_helper'        => '',
            'receiver'               => 'Receiver Name',
            'receiver_helper'        => '',
            'sent_by' => 'Sent By',
            'message'        => 'Message',
            'message_helper' => '',
            'status'        => 'Status',
            'status_helper' => '',
            'created_at'         => 'Created At',
            'created_at_helper'  => '',
            'updated_at'         => 'Updated At',
            'updated_at_helper'  => '',
        ],
    ],
    'featured_influencers'        => [
        'title'          => 'Featured Influencers',
        'title_singular' => 'Featured Influencer',
        'fields'         => [
            'id'                 => 'ID',
            'id_helper'          => '',
            'influencer_name'    => 'Influencer Account',
            'influencer_type'    => 'Account Type',
            'followers_count'    => 'Followers',
            'influencer_name_helper'        => '',
            'set_featured'    => 'Set Featured',
            'set_featured_helper'        => '',
            'unset_featured'    => 'Unset Featured',
            'unset_featured_helper'        => '',
            'always_show'    => 'Always Show',
            'always_show_helper'        => '',
            'set_unset'    => 'Set/Unset',
            'set_unset_helper'        => '',
            'show_on_frontend'    => 'Show On Frontend',
            'show_on_frontend_helper'        => '',
            'hide_on_frontend'    => 'Hide On Frontend',
            'hide_on_frontend_helper'        => '',
            'created_at'         => 'Created At',
            'created_at_helper'  => '',
            'updated_at'         => 'Updated At',
            'updated_at_helper'  => '',
        ],
    ],
    'tags'                                 => [
        'main_title' => 'Tags and Categories',
        'title'          => 'Tags',
        'title_singular' => 'Tag',
        'taguser_title'          => 'Related Tags',
        'taguser_title_singular' => 'Related Tag',
        'fields'         => [
            'id'                       => 'ID',
            'id_helper'                => '',
            'name'                     => 'Tag Title',
            'name_helper'              => '',
            'email'                    => 'Email',
            'email_helper'             => '',
            'created_at'               => 'Created at',
            'created_at_helper'        => '',
            'updated_at'               => 'Updated at',
            'updated_at_helper'        => '',
        ],
    ],
    'services'                                 => [
        'main_title' => 'Services',
        'title'          => 'Services',
        'title_singular' => 'Service',
        'fields'         => [
            'id'                       => 'ID',
            'id_helper'                => '',
            'name'                     => 'Service Title',
            'name_helper'              => '',
            'created_at'               => 'Created at',
            'created_at_helper'        => '',
            'updated_at'               => 'Updated at',
            'updated_at_helper'        => '',
        ],
    ],
    'settings'        => [
        'title'          => 'Settings',
        'title_singular' => 'Setting',
        'fields'         => [
            'id'                 => 'ID',
            'id_helper'          => '',
            'timezone'               => 'Timezone',
            'timezone_helper'        => '',
            'site_name'        => 'Title',
            'site_name_helper' => '',
            'project_name'        => 'Project Name',
            'project_name_helper' => '',
            'address'        => 'Address',
            'address_helper' => '',
            'email'        => 'Email',
            'email_helper' => '',
            'phone'        => 'Phone',
            'phone_helper' => '',
            'show_influencers'        => 'Show Featured Influencers on Frontend',
            'show_influencers_helper' => '',
            'created_at'         => 'Created At',
            'created_at_helper'  => '',
            'updated_at'         => 'Updated At',
            'updated_at_helper'  => '',
        ],
    ],
    'site_review'        => [
        'title'          => 'Site Review',
        'title_singular' => 'Site Review',
        'fields'         => [
            'title'                 => 'Title',
            'title_helper'          => '',
            'message'                 => 'Message',
            'message_helper'          => '',
            'status'                 => 'Status',
            'status_helper'          => '',

        ],
    ],
    'campaign'        => [
        'title'          => 'Campaigns',
        'title_singular' => 'Campaign',
        'fields'         => [
            'id'                 => 'ID',
            'id_helper'          => '',
            'name'               => 'Campaign Name',
            'name_helper'        => '',
            'post_name'               => 'Post Name',
            'post_name_helper'        => '',
            'influencer_name'        => 'Influencer Handle',
            'status'        => 'Status',
            'admin_status'        => 'Admin Status',
            'desc'        => 'Description',
            'influencer_name_helper' => '',
            'price'        => 'Price',
            'price_helper' => '',
            'duration'        => 'Duration',
            'duration_helper' => '',
            'created_at'         => 'Created At',
            'created_at_helper'  => '',
            'updated_at'         => 'Updated At',
            'updated_at_helper'  => '',
        ],
    ],
    'setting_events'        => [
        'title'          => 'Notifications Events',
        'title_singular' => 'Notifications Event',
        'fields'         => [
            'create_user_event'                 => 'Create User Event Text',
            'create_user_event_helper'          => '',

            'create_campaign_event'                 => 'Create Campaign Event Text',
            'create_campaign_event_helper'          => '',
            'in_progress_campaign_event'                 => 'In-Progress Campaign Event Text',
            'in_progress_campaign_event_helper'          => '',
            'completed_campaign_event'                 => 'Completed Campaign Event Text',
            'completed_campaign_event_helper'          => '',
            'accepted_campaign_event'                 => 'Accepted Campaign Event Text',
            'accepted_campaign_event_helper'          => '',
            'rejected_campaign_event'                 => 'Rejected Campaign Event Text',
            'rejected_campaign_event_helper'          => '',

            'create_order_event'                 => 'Create Order Event Text',
            'create_order_event_helper'          => '',
            'in_progress_order_event'                 => 'In-Progress Order Event Text',
            'in_progress_order_event_helper'          => '',
            'completed_order_event'                 => 'Completed Order Event Text',
            'completed_order_event_helper'          => '',

            'add_balance_event'                 => 'Add Balance Text',
            'add_balance_event_helper'          => '',
            'withdraw_balance_event'                 => 'Withdraw Balance Event Text',
            'withdraw_balance_event_helper'          => '',

            'normal_ticket_event'                 => 'Normal Ticket Event Text',
            'normal_ticket_event_helper'          => '',
            'suspend_user_event'                 => 'Suspend User Event Text',
            'suspend_user_event_helper'          => '',
            'resolve_ticket_event'                 => 'Resolve Ticket Event Text',
            'resolve_ticket_event_helper'          => '',

            'created_at'         => 'Created At',
            'created_at_helper'  => '',
            'updated_at'         => 'Updated At',
            'updated_at_helper'  => '',
        ],
    ],

];
