@extends('layouts.frontend')
<!-- Header -->
@section('header')
    @include('partials.header')
@endsection

@section('contents')
    <div class="section full-height banner-section">
                    <div class="section">
                            @include('flash-message')
                            <div class="container">
                                    <div class="campaign_heading">
                                            <h3><strong>CAMPAIGN CART</strong></h3>
                                    </div>
                                <div class="row">
                                    <div class="campaign_col">
                                        <div class="modal-body p-0">
                                            <div class="signinform">
                                                <div class="form">
                                                    <div id="signup">
                                                        
                                                        <div class="textform">
                                                            <form method="POST" action="#">
                                                                @csrf
                                                                
                                            <div class="field-wrap">
                                                <label for="Comments">Post Caption</label>
                                                    <input type="text" name="Comments" placeholder="Comments" required autocomplete="off"/>
                                                @if ($errors->has('Comments'))
                                                    <span class="invalid-feedback" style="display: block;">
                                                    <strong>{{ $errors->first('Comments') }}</strong>
                                                    </span>
                                                 @endif
                                            </div>
            
                                        <div class="field-wrap">
                                            <label for="image">Post Image/media</label>
                                                <input type="file" id="image" name="image" class="form-control" onchange="readURL(this);">
                
                                            @if ($errors->has('image'))
                                                <span class="invalid-feedback" style="display: block;">
                                                <strong>{{ $errors->first('image') }}</strong>
                                                </span>
                                            @endif
                                        </div>

                                        <div class="field-wrap">
                                                <label for="image">Date/Time</label>
                                                <div class='input-group date' id='datetimepicker2'>
                                                        <input type='date' class="form-control" />
                                                        <span class="input-group-addon">
                                                            <span class="glyphicon glyphicon-calendar"></span>
                                                        </span>
                                                </div>
                                        @if ($errors->has('datetimepicker2'))
                                                <span class="invalid-feedback" style="display: block;">
                                                <strong>{{ $errors->first('datetimepicker2') }}</strong>
                                                </span>
                                            @endif
                                        </div>                      
            
                                        <button type="submit" class="button button-block">Proceed to Details</button>
            
                                        </form>
            
                                        </div>
            
                                    </div>
                                </div></div></div></div>
            
                                </div> <!-- Row ends here -->
            
                            </div>
                        </div>
                        <div class="section mt-5">
                            <div class="container">
                                <div class="row">
                                    <div class="col-12">
                                        <div id="switch">
                                            <div id="circle"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    
    </div>
  
@endsection

@section('footer')
    @include('partials.footer')
@endsection
@section('scripts')
    <script src="{{ asset('frontend/js/jquery.js') }}"></script>
    <script src="{{ asset('frontend/js/popper.js') }}"></script>
    <script src="{{ asset('frontend/js/bootstrap.js') }}"></script>
    <script src="{{ asset('frontend/js/custom.js') }}"></script>

@endsection

