@extends('layouts.frontend')
<!-- Header -->
@section('header')
@include('partials.header')
@endsection

@section('contents')
<div class="background_section">
                <div class="section">
                        @include('flash-message')
                        <div class="container">
                                <div class="browse_heading">
                                        <span>DASHBOARD/BALANCE</span>
                                </div>
                              
                                {{-- Top div --}}
                                <div class="row">
                                        <div class="col-md-12">
                                                <div class= "dashboard_left_heading">
                                                        <span>EARNING</span>
                                                </div>
                                                <div class="balance_lower_body">        
                                                        
                                                </div>
                                        </div>     
                                </div>         
                                       

                                <div class="row">
                                        <div class="col-md-12">
                                           {{-- second div --}}
                                                <div class="row">
                                                        <div class="col-md-3">
                                                                <div class= "balance_second_body">
                                                                <span>$800</span>
                                                                </div>
                                                                <div class="balance_second_heading"> 
                                                                <span>AVAILABLE</span>
                                                                </div> 
                                                        </div>

                                                        <div class="col-md-3">
                                                                <div class= "balance_second_body">
                                                                <span>$500</span>
                                                                </div>
                                                                <div class="balance_second_heading"> 
                                                                <span>EARNED THIS MONTH</span>
                                                                </div> 
                                                        </div>
                                                        
                                                        <div class="col-md-3">
                                                                <div class= "balance_second_body">
                                                                <span>$8K</span>
                                                                </div>
                                                                <div class="balance_second_heading"> 
                                                                <span>EARNED THIS YEAR</span>
                                                                </div> 
                                                        </div>
                                                        
                                                        <div class="col-md-3">
                                                                <div class= "balance_second_body">
                                                                <span>$50K</span>
                                                                </div>
                                                                <div class="balance_second_heading"> 
                                                                <span>TOTAL EARNED</span>
                                                                </div> 
                                                        </div>
                                                </div>         
                                        </div>
                                </div>

                                <div class="row">
                                        <div class="col-md-12">
                                        <div class= "balance_third_div">
                                <div class="row">
                                                <div class="col-md-2">
                                                        
                                                        <div class= "withdraw">
                                                                <span>WITHDRAW</span>
                                                        </div>
                                                </div>
                                                <div class="col-md-4">
                                                        <div class= "withdraw_amount">
                                                        <input name= "search" type="text" placeholder= "  AMOUNT" value="">      
                                                        </div>
                                                </div>
                                                <div class="col-md-4">
                                                        <div class= "withdraw_amount">
                                                        <input name= "search" type="text" placeholder= "  PAYPAL ACCOUNT" value="">
                                                        </div>
                                                </div>
                                                <div class="col-md-2">  
                                                        <div class= "withdraw_amount">
                                                                <button type="submit" class="button button-block">WITHDRAW</button>
                                                        </div>      
                                                </div>
                                </div>
                                        </div>
                                        </div>
                                </div>

                                <div class="row">
                                        <div class="col-md-12">
                                                <table class="table table-striped">
                                                        <thead class= "browse_table_heading">
                                                                <tr>
                                                                <th scope="col">PURCHASER</th>
                                                                <th scope="col">INFLUENCER ACCOUNT</th>
                                                                <th scope="col">REV/COST</th>
                                                                <th scope="col">DATE</th>
                                                                <th scope="col">LINK</th>
                                                                </tr>
                                                        </thead>
                                                        <tbody class= "balance_table_body">

                                                        <tr>
                                                                <td><a>John Candy</a><br><a style="font-size: 14px;">@humansoftbarbecue</a></td>
                                                                <td><a>Andrew Payne</a><br><a style="font-size: 14px;">@humansoftbarbecue</a></td>
                                                                <td><a>$50</a></td>
                                                                <td><a>9-18-2012</a></td>
                                                                <td>
                                                                        <div class= "link_button">
                                                                        <button type="submit" class="button button-block">VIEW LINK</button>
                                                                        </div>
                                                                </td>              
                                                        </tr>
                                                                
                                                        <tr>
                                                                <td><a>John Candy</a><br><a style="font-size: 14px;">@humansoftbarbecue</a></td>
                                                                <td><a>Andrew Payne</a><br><a style="font-size: 14px;">@humansoftbarbecue</a></td>
                                                                <td><a>$50</a></td>
                                                                <td><a>9-18-2012</a></td>
                                                                <td>
                                                                        <div class= "link_button">
                                                                        <button type="submit" class="button button-block">VIEW LINK</button>
                                                                        </div>
                                                                </td>              
                                                        </tr>
                                                        
                                                        <tr>
                                                                <td><a>John Candy</a><br><a style="font-size: 14px;">@humansoftbarbecue</a></td>
                                                                <td><a>Andrew Payne</a><br><a style="font-size: 14px;">@humansoftbarbecue</a></td>
                                                                <td><a>$50</a></td>
                                                                <td><a>9-18-2012</a></td>
                                                                <td>
                                                                        <div class= "link_button">
                                                                        <button type="submit" class="button button-block">VIEW LINK</button>
                                                                        </div>
                                                                </td>              
                                                        </tr>

                                                        <tr>
                                                                <td><a>John Candy</a><br><a style="font-size: 14px;">@humansoftbarbecue</a></td>
                                                                <td><a>Andrew Payne</a><br><a style="font-size: 14px;">@humansoftbarbecue</a></td>
                                                                <td><a>$50</a></td>
                                                                <td><a>9-18-2012</a></td>
                                                                <td>
                                                                        <div class= "link_button">
                                                                        <button type="submit" class="button button-block">VIEW LINK</button>
                                                                        </div>
                                                                </td>              
                                                        </tr>

                                                        <tr>
                                                                <td><a>John Candy</a><br><a style="font-size: 14px;">@humansoftbarbecue</a></td>
                                                                <td><a>Andrew Payne</a><br><a style="font-size: 14px;">@humansoftbarbecue</a></td>
                                                                <td><a>$50</a></td>
                                                                <td><a>9-18-2012</a></td>
                                                                <td>
                                                                        <div class= "link_button">
                                                                        <button type="submit" class="button button-block">VIEW LINK</button>
                                                                        </div>
                                                                </td>              
                                                        </tr>

                                                        <tr>
                                                                <td><a>John Candy</a><br><a style="font-size: 14px;">@humansoftbarbecue</a></td>
                                                                <td><a>Andrew Payne</a><br><a style="font-size: 14px;">@humansoftbarbecue</a></td>
                                                                <td><a>$50</a></td>
                                                                <td><a>9-18-2012</a></td>
                                                                <td>
                                                                        <div class= "link_button">
                                                                        <button type="submit" class="button button-block">VIEW LINK</button>
                                                                        </div>
                                                                </td>              
                                                        </tr>

                                                        <tr>
                                                                <td><a>John Candy</a><br><a style="font-size: 14px;">@humansoftbarbecue</a></td>
                                                                <td><a>Andrew Payne</a><br><a style="font-size: 14px;">@humansoftbarbecue</a></td>
                                                                <td><a>$50</a></td>
                                                                <td><a>9-18-2012</a></td>
                                                                <td>
                                                                        <div class= "link_button">
                                                                        <button type="submit" class="button button-block">VIEW LINK</button>
                                                                        </div>
                                                                </td>              
                                                        </tr>

                                                        <tr>
                                                                <td><a>John Candy</a><br><a style="font-size: 14px;">@humansoftbarbecue</a></td>
                                                                <td><a>Andrew Payne</a><br><a style="font-size: 14px;">@humansoftbarbecue</a></td>
                                                                <td><a>$50</a></td>
                                                                <td><a>9-18-2012</a></td>
                                                                <td>
                                                                        <div class= "link_button">
                                                                        <button type="submit" class="button button-block">VIEW LINK</button>
                                                                        </div>
                                                                </td>              
                                                        </tr>

                                                                
                                                        </tbody>
                                                </table> 
                                        </div>     
                                </div>    

                        </div>
                </div>

                <div class="section mt-5">
                        <div class="container">
                        <div class="row">
                                <div class="col-12">
                                <div id="switch">
                                        <div id="circle"></div>
                                </div>
                                </div>
                        </div>
                        </div>
                </div>

</div>

@endsection

@section('footer')
@include('partials.footer')
@endsection
@section('scripts')
<script src="{{ asset('frontend/js/jquery.js') }}"></script>
<script src="{{ asset('frontend/js/popper.js') }}"></script>
<script src="{{ asset('frontend/js/bootstrap.js') }}"></script>
<script src="{{ asset('frontend/js/custom.js') }}"></script>


@endsection

