@extends('layouts.frontend')
<!-- Header -->
@section('header')
@include('partials.header')
@endsection

@section('contents')
<div class="background_section">
                <div class="section">
                        @include('flash-message')
                        <div class="container">
                                <div class="browse_heading">
                                        <span>DASHBOARD</span>
                                </div>
                              <div class="row">
                                        <div class="col-md-3">
                                                <div class="browse_left">
                                                        <div class="row">
                                                                <div class="col-md-12">
                                                                        <div class= "dashboard_left_heading">
                                                                                <span>BALANCE</span>
                                                                        </div>

                                                                </div>
                                                        </div>
                                                        <div class="row">
                                                                <div class="col-md-12">
                                                                        <div class="dashboard_left_body">        
                                                           {{-- 1st left div --}}
                                                           <div class="dash_icon">
                                                           <img  style="width:60%" src="{{ asset('frontend/images/dash_balance.png') }}">
                                                           </div>
                                                        <div class="dash_bold_text">
                                                        <span style="color:#002838">$10K</span>
                                                        </div>
                                                                        </div>
                                                                </div>
                                                        </div>
                                                </div>
                                                <div class="browse_left">
                                                        <div class="row">
                                                                <div class="col-md-12">
                                                                        <div class= "dashboard_left_heading">
                                                                                <span>TOTAL EARNED</span>
                                                                        </div>

                                                                </div>
                                                        </div>
                                                        <div class="row">
                                                                <div class="col-md-12">
                                                                        <div class="dashboard_left_body">        
                                                                {{-- 2nd left div --}}
                                                                <div class="dash_icon">
                                                                <img  style="width:40%" src="{{ asset('frontend/images/total_earned.png') }}" class=" rounded-circle" alt="" />
                                                                </div>
                                                        <div class="dash_bold_text">
                                                        <span style="color:#5ea956">$235K</span>
                                                        </div>
                                                        <span class="dash_text">TOTAL EARNED</span>
                                                                        </div>
                                                                </div>
                                                        </div>
                                                </div>
                                        </div>

                                        <div class="col-md-9">
                                           {{-- right div --}}
                                                <div class="row">
                                                        <div class="col-md-12">
                                                                <div class= "dashboard_left_heading">
                                                                        <span>EARNING</span>
                                                                </div>
                                                                <div class="dashboard_left_body">        
                                                                        
                                                                </div>
                                                        </div>
                                                        
                                                </div>
                                                
                                        </div>
                                </div>

                                <div class="row">
                                        <div class="col-md-12">
                                                <div class="row">
                                                        <div class="col-md-4"> 
                                                                <div class="browse_left">
                                                                        <div class="row">
                                                                                <div class="col-md-12">
                                                                                <div class= "dashboard_left_heading">
                                                                                <span>EARNING PER MONTH</span>
                                                                                </div>
                
                                                                                </div>
                                                                        </div>
                                                                        <div class="row">
                                                                                <div class="col-md-12">
                                                                                <div class="dashboard_bottom_body">
                                                                                <div class="months"> 
                                                                                <ul>
                                                                                <li><img src="{{ asset('frontend/images/light_box.png') }}">
                                                                                <span>JAN</span>
                                                                                </li>
                                                                                <li><img src="{{ asset('frontend/images/sky_box.png') }}">
                                                                                <span>FEB</span>
                                                                                </li>
                                                                                <li><img src="{{ asset('frontend/images/blue_box.png') }}">
                                                                                <span>MAR</span>
                                                                                </li>
                                                                                <li><img src="{{ asset('frontend/images/green_box.png') }}">
                                                                                <span>APR</span>
                                                                                </li>
                                                                                <li><img src="{{ asset('frontend/images/pink_box.png') }}">
                                                                                <span>MAY</span>
                                                                                </li>
                                                                                </ul>
                                                                                </div>
                                                                                <div class="eclipse">
                                                                                <img  style="width:40%" src="{{ asset('frontend/images/eclipse.png') }}">
                                                                                </div>
                                                                                </div>
                                                                                </div>
                                                                        </div>
                                                                </div>    
                                                        </div> 
                                                        <div class="col-md-4"> 
                                                                <div class="browse_left">
                                                                        <div class="row">
                                                                                <div class="col-md-12">
                                                                                <div class= "dashboard_left_heading">
                                                                                        <span>CAMPAIGNS</span>
                                                                                </div>
                
                                                                                </div>
                                                                        </div>
                                                                        <div class="row">
                                                                                <div class="col-md-12">
                                                                                <div class="dashboard_bottom_body">
                                                                                <div class="months"> 
                                                                                <ul>
                                                                                <li><img src="{{ asset('frontend/images/light_box.png') }}">
                                                                                <span>PENDING</span>
                                                                                </li>
                                                                                <li><img src="{{ asset('frontend/images/green_box.png') }}">
                                                                                <span>COMPLETED</span>
                                                                                </li>
                                                                                </ul>
                                                                                </div>
                                                                                <div class="eclipse">
                                                                                <img  style="width:40%" src="{{ asset('frontend/images/dash_campaigns.png') }}">
                                                                                </div>
                                                                                </div>
                                                                                </div>
                                                                        </div>
                                                                </div>    
                                                        </div>
                                                        <div class="col-md-4"> 
                                                                <div class="browse_left">
                                                                        <div class="row">
                                                                                <div class="col-md-12">
                                                                                <div class= "dashboard_left_heading">
                                                                                        <span>TOTAL EARNINGS</span>
                                                                                </div>
                
                                                                                </div>
                                                                        </div>
                                                                        <div class="row">
                                                                                <div class="col-md-12">
                                                                                <div class="dashboard_bottom_body">
                                                                                <div class="months"> 
                                                                                <ul>
                                                                                <li><img src="{{ asset('frontend/images/light_box.png') }}">
                                                                                <span>BALANCE</span>
                                                                                </li>
                                                                                <li><img src="{{ asset('frontend/images/pink_box.png') }}">
                                                                                <span>WITHDRAWN</span>
                                                                                </li>
                                                                                </ul>
                                                                                </div>
                                                                                <div class="eclipse">
                                                                                <img  style="width:40%" src="{{ asset('frontend/images/total_earnings.png') }}">
                                                                                </div>
                                                                                </div>
                                                                                </div>
                                                                        </div>
                                                                </div>    
                                                        </div>                   
                                                </div>     

                                        </div>       
                                </div>


                        </div>
                </div>

                <div class="section mt-5">
                        <div class="container">
                        <div class="row">
                                <div class="col-12">
                                <div id="switch">
                                        <div id="circle"></div>
                                </div>
                                </div>
                        </div>
                        </div>
                </div>

</div>

@endsection

@section('footer')
@include('partials.footer')
@endsection
@section('scripts')
<script src="{{ asset('frontend/js/jquery.js') }}"></script>
<script src="{{ asset('frontend/js/popper.js') }}"></script>
<script src="{{ asset('frontend/js/bootstrap.js') }}"></script>
<script src="{{ asset('frontend/js/custom.js') }}"></script>


@endsection

