@extends('layouts.frontend')
<!-- Header -->
@section('header')
@include('partials.header')
@endsection
@section('contents')
<div class="section full-height banner-section">
  <div class="section">
    @include('flash-message')
    <div class="container">
      <div class="influencer_name">
        <h3><strong>JOHN CANDY</strong></h3>
      </div>
      <div class="row">
        <div class="col-md-12">
          <div class= "influencer_details">
            <div class="row align-items-center h-100">
              <div class="col-sm-2">
                <img src="{{ asset('frontend/images/card-img.jpg') }}" class=" rounded-circle" alt="" />
              </div>
              <div class="col-sm-4">
                <p><strong>@ACCOUNT.HANDLE</strong></p>
                <a><h2><strong style="color: green;">180.K</strong></h2>FOLLOWERS</a>
              </div>
              
              <div class="col-md-8">
                <a class="account_handle"><strong>@arshad.ghania</strong></a><br>
                <img src="{{ asset('frontend/images/followers.png') }}
                <div class="follower_icon_text">
                  <a class="cart_follower_count"><strong style="color: #5ea956;">78</strong><br></a><a class="cart_follower">FOLLOWERS</a>
                </div>
              </div>
              
            </div>
          </div>
        </div>
      </div>
      
      <div class="row">
        <div class="col-md-12">
          <div class= "influencer_heading">
            
            <div class="influencer_description">
              <a><strong>DESCRIPTION</strong></a>
              
            </div>
            <div class="influencer_demography">
              <a><strong>DEMOGRAPHY</strong></a>
            </div>
          </div>
        </div>
      </div>
      
      <div class="row">
        <div class="col-md-12">
          <div class= "inner_material">
            <div class="inner_description">
              <a>Extremely active audience with very high engagement.</a><br><br>
              
              <a><strong>Impressions:</strong> (Weekely)2.000,000+</a><br>
              <a><strong>Avg.likes per post:</strong> 15000-20000</a><br><br><br>
              <a><strong>Audience Statistics</strong></a><br><br>
              
              <a><strong>-50%</strong>Male</a><br>
              <a><strong>-50%</strong>Female</a>
            </div>
            
            <div class="inner_demography">
              <a><strong>Language: </strong>English</a><br>
              <a><strong>Country: </strong>United States</a><br>
              <a><strong>Age: </strong>17-24</a><br>
              <a><strong>Activity: </strong>Evening (6pm to 11pm)</a><br>
            </div>
          </div>
        </div>
      </div>
      
      <div class="row">
        <div class="col-md-12">
          <div class= "influencer_heading">
            <div class="influencer_price">
              <a><strong>PRICE</strong></a></div>
              <div class="influencer_statics">
                <a><strong>STATICS</strong></a>
              </div>
            </div>
          </div>
        </div>
        
        <div class="row">
          <div class="col-md-12">
            <div class= "inner_material">
              <a><i class="far fa-check-circle"></i> Package1 - <strong>70$</strong></a>
              <div class="row">
                <div class="col-md-12">
                  <div class= "package_data">
                    <a>Extremely active audience with very high engagement.Extremely active audience with very high engagement.Extremely active audience with very high engagement.Extremely active audience with very high engagement.<br>Extremely active audience with very high engagement.Extremely active audience with very high engagement.</a>
                    
                    
                  </div>
                </div>
              </div>
              <div class="row">
                
                <div class="package">
                  <a><i class="far fa-check-circle"></i> Package2 - <strong>70$</strong></a><br>
                <i class="far fa-check-circle"></i> Package3 - <strong>70$</strong></a><br>
                <a><i class="far fa-check-circle"></i> Package4 - <strong>70$</strong></a><br>
                <a><i class="far fa-check-circle"></i> Package5 - <strong>70$</strong></a><br>
              </div>
              
              <div class="price">
                <a><i class="fas fa-thumbs-up"></i><strong> Avg. likes: </strong>21426</a><br>
                <a><i class="far fa-check-circle"></i><strong> Avg. Comments: </strong>145</a><br>
                <a><i class="far fa-check-circle"></i><strong> Total posts: </strong>426</a><br>
              </div>
              
            </div>
            
          </div>
        </div>
      </div>
      
    </div>
  </div>
  
  <div class="section mt-5">
    <div class="container">
      <div class="row">
        <div class="col-12">
          <div id="switch">
            <div id="circle"></div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
@endsection
@section('footer')
@include('partials.footer')
@endsection
@section('scripts')
<script src="{{ asset('frontend/js/jquery.js') }}"></script>
<script src="{{ asset('frontend/js/popper.js') }}"></script>
<script src="{{ asset('frontend/js/bootstrap.js') }}"></script>
<script src="{{ asset('frontend/js/custom.js') }}"></script>
@endsection