@extends('layouts.frontend')
<!-- Header -->
@section('header')
@include('partials.header')
@endsection

@section('contents')
<div class="section full-height banner-section">
                <div class="section">
                        @include('flash-message')
                        <div class="container">
                                <div class="order_heading">
                                        <h3><strong>ORDER HISTORY</strong></h3>
                                </div>
                              <div class="row">
                                        <div class="col-md-12">
                                                <table class="table table-striped">
                                                        <thead class= "browse_table_heading">
                                                                <tr>
                                                                <th scope="col">INFLUENCER ACCOUNT <i class="fas fa-sort"></i></th>
                                                                <th scope="col">FOLLOWERS</th>
                                                                <th scope="col">SCORE</th>
                                                                <th scope="col">PRICE</th>
                                                                </tr>
                                                        </thead>
                                                        <tbody class= "browse_table_body">

                                                                <tr>
                                                                <td>
                                                                        <div class="person_icon">
                                                                        <i class="far fa-user"></i>
                                                                        </div>
                                                                        <div class="person_name">
                                                                                <a>Andrew Payne<br>@humansoftbarbecue</a>
                                                                        </div>

                                                                </td>
                                                                <td>3.2m</td>
                                                                <td>9.8</td>
                                                                <td>50$</td>
                                                                </tr>
                                                                
                                                                <tr>
                                                                <td>
                                                                        <div class="person_icon">
                                                                        <i class="far fa-user"></i>
                                                                        </div>
                                                                        <div class="person_name">
                                                                                <a>Andrew Payne<br>@humansoftbarbecue</a>
                                                                        </div>
        
                                                                </td>
                                                                <td>3.2m</td>
                                                                <td>9.8</td>
                                                                <td>50$</td>
                                                                </tr>
                                                        
                                                                <tr>
                                                                <td>
                                                                        <div class="person_icon">
                                                                        <i class="far fa-user"></i>
                                                                        </div>
                                                                        <div class="person_name">
                                                                        <a>Andrew Payne<br>@humansoftbarbecue</a>
                                                                        </div>
                                                                </td>
                                                                <td>3.2m</td>
                                                                <td>9.8</td>
                                                                <td>50$</td>
                                                                </tr>

                                                                <tr>
                                                                <td>
                                                                        <div class="person_icon">
                                                                        <i class="far fa-user"></i>
                                                                        </div>
                                                                        <div class="person_name">
                                                                        <a>Andrew Payne<br>@humansoftbarbecue</a>
                                                                        </div>
                                                                </td>
                                                                <td>3.2m</td>
                                                                <td>9.8</td>
                                                                <td>50$</td>
                                                                </tr>

                                                                <tr>
                                                                <td>
                                                                        <div class="person_icon">
                                                                        <i class="far fa-user"></i>
                                                                        </div>
                                                                        <div class="person_name">
                                                                        <a>Andrew Payne<br>@humansoftbarbecue</a>
                                                                        </div>
                                                                </td>
                                                                <td>3.2m</td>
                                                                <td>9.8</td>
                                                                <td>50$</td>
                                                                </tr>

                                                                <tr>
                                                                <td>
                                                                        <div class="person_icon">
                                                                        <i class="far fa-user"></i>
                                                                        </div>
                                                                        <div class="person_name">
                                                                        <a>Andrew Payne<br>@humansoftbarbecue</a>
                                                                        </div>
                                                                </td>
                                                                <td>3.2m</td>
                                                                <td>9.8</td>
                                                                <td>50$</td>
                                                                </tr>

                                                                <tr>
                                                                <td>
                                                                        <div class="person_icon">
                                                                        <i class="far fa-user"></i>
                                                                        </div>
                                                                        <div class="person_name">
                                                                        <a>Andrew Payne<br>@humansoftbarbecue</a>
                                                                        </div>
                                                                </td>
                                                                <td>3.2m</td>
                                                                <td>9.8</td>
                                                                <td>50$</td>
                                                                </tr>

                                                                <tr>
                                                                <td>
                                                                        <div class="person_icon">
                                                                        <i class="far fa-user"></i>
                                                                        </div>
                                                                        <div class="person_name">
                                                                        <a>Andrew Payne<br>@humansoftbarbecue</a>
                                                                        </div>
                                                                </td>
                                                                <td>3.2m</td>
                                                                <td>9.8</td>
                                                                <td>50$</td>
                                                                </tr>

                                                                
                                                        </tbody>
                                                </table>    
                                                {{-- pagination div   --}}
                                                <div class="row">
                                                <div class="col-sm-12 col-md-7">
                                                <div class="dataTables_paginate paging_simple_numbers" id="dtBasicExample_paginate">
                                                        <ul class="pagination">
                                                        <li class="paginate_button page-item active"></li>
                                                        <li class="paginate_button page-item"></li>
                                                        <li class="paginate_button page-item"></li>
                                                        <li class="paginate_button page-item"></li>
                                                        <li class="paginate_button page-item"></li>
                                                        </ul>
                                                
                                                </div>
                                                </div>  
                                                </div>
                                                {{-- pagination div ends  --}}
                                        </div>
                                </div>
                                
                                
                                
                        </div>
                </div>
                
                <div class="section mt-5">
                        <div class="container">
                        <div class="row">
                                <div class="col-12">
                                <div id="switch">
                                        <div id="circle"></div>
                                </div>
                                </div>
                        </div>
                        </div>
                </div>

</div>

@endsection

@section('footer')
@include('partials.footer')
@endsection
@section('scripts')
<script src="{{ asset('frontend/js/jquery.js') }}"></script>
<script src="{{ asset('frontend/js/popper.js') }}"></script>
<script src="{{ asset('frontend/js/bootstrap.js') }}"></script>
<script src="{{ asset('frontend/js/custom.js') }}"></script>

@endsection

