@extends('layouts.frontend')
<!-- Header -->
@section('header')
@include('partials.header')
@endsection

@section('contents')
<div class="background_section">
                <div class="section">
                        @include('flash-message')
                        <div class="container">
                                <div class="insta_heading">
                                        <span>INSTAGRAM ACCOUNTS</span>
                                </div>

                                <div class="row">
                                        <div class="col-md-12">
                                                <div class = "social_button">
                                                <a href="#"><button type="button" class="button button-block">ADD NEW ACCOUNT</button></a>
                                                </div>
                                        </div>
                                </div>
                                <div class="row">
                                        <div class="col-md-12">
                                                        <div class="wrapper">
                                                <table class="table table-striped" style="margin-bottom:0;">
                                                        <thead class= "browse_table_heading">
                                                                <tr>
                                                                <th scope="col">INFLUENCER ACCOUNT</th>
                                                                <th scope="col">FOLLOWERS</th>
                                                                <th scope="col">POSTS</th>
                                                                <th scope="col">ENGAGEMENT</th>
                                                                <th scope="col">SCORE</th>
                                                                <th scope="col">EARNINGS</th>
                                                                <th scope="col">REMOVE ACCOUNT</th>
                                                                </tr>
                                                        </thead>
                                                        <tbody class= "balance_table_body">

                                                        <tr>
                                                                <td>
                                                                <div class="insta_icon">             
                                                                <img src="{{asset('frontend/images/insta_account.png')}}">
                                                                </div>
                                                                <div class="insta_name">
                                                                <a>John Candy</a><br><a style="font-size: 14px;">@humansoftbarbecue</a>
                                                                </div>
                                                                </td>
                                                                <td><a>2.01M</a></td>
                                                                <td><a>50</a></td>
                                                                <td><a>1.85%</a></td>
                                                                <td><a>50</a></td>
                                                                <td><a>223K</a></td>
                                                                <td>
                                                                <img src="{{asset('frontend/images/remove.png')}}">
                                                                </td>
                                                                              
                                                        </tr>
                                                                
                                                        <tr>
                                                                <td>
                                                                <div class="insta_icon">             
                                                                <img src="{{asset('frontend/images/insta_account.png')}}">
                                                                </div>
                                                                <div class="insta_name">
                                                                <a>John Candy</a><br><a style="font-size: 14px;">@humansoftbarbecue</a>
                                                                </div>
                                                                </td>
                                                                <td><a>2.01M</a></td>
                                                                <td><a>50</a></td>
                                                                <td><a>1.85%</a></td>
                                                                <td><a>50</a></td>
                                                                <td><a>223K</a></td>
                                                                <td>
                                                                <img src="{{asset('frontend/images/remove.png')}}">
                                                                </td>
                                                                                
                                                        </tr>
                                                        
                                                        <tr>
                                                                <td>
                                                                <div class="insta_icon">             
                                                                <img src="{{asset('frontend/images/insta_account.png')}}">
                                                                </div>
                                                                <div class="insta_name">
                                                                <a>John Candy</a><br><a style="font-size: 14px;">@humansoftbarbecue</a>
                                                                </div>
                                                                </td>
                                                                <td><a>2.01M</a></td>
                                                                <td><a>50</a></td>
                                                                <td><a>1.85%</a></td>
                                                                <td><a>50</a></td>
                                                                <td><a>223K</a></td>
                                                                <td>
                                                                <img src="{{asset('frontend/images/remove.png')}}">
                                                                </td>
                                                                                      
                                                        </tr>

                                                        <tr>
                                                                <td>
                                                                <div class="insta_icon">             
                                                                <img src="{{asset('frontend/images/insta_account.png')}}">
                                                                </div>
                                                                <div class="insta_name">
                                                                <a>John Candy</a><br><a style="font-size: 14px;">@humansoftbarbecue</a>
                                                                </div>
                                                                </td>
                                                                <td><a>2.01M</a></td>
                                                                <td><a>50</a></td>
                                                                <td><a>1.85%</a></td>
                                                                <td><a>50</a></td>
                                                                <td><a>223K</a></td>
                                                                <td>
                                                                <img src="{{asset('frontend/images/remove.png')}}">
                                                                </td>
                                                                                
                                                        </tr>
                                                        <tr>
                                                                <td>
                                                                <div class="insta_icon">             
                                                                <img src="{{asset('frontend/images/insta_account.png')}}">
                                                                </div>
                                                                <div class="insta_name">
                                                                <a>John Candy</a><br><a style="font-size: 14px;">@humansoftbarbecue</a>
                                                                </div>
                                                                </td>
                                                                <td><a>2.01M</a></td>
                                                                <td><a>50</a></td>
                                                                <td><a>1.85%</a></td>
                                                                <td><a>50</a></td>
                                                                <td><a>223K</a></td>
                                                                <td>
                                                                <img src="{{asset('frontend/images/remove.png')}}">
                                                                </td>
                                                                                
                                                        </tr>

                                                                
                                                        </tbody>
                                                </table> 
                                        </div> 
                                        </div>     
                                </div> 
                                
                                {{-- Twitter --}}
                                <div class="twitter_heading">
                                                <span>TWITTER ACCOUNTS</span>
                                </div>

                                <div class="row">
                                        <div class="col-md-12">
                                                <div class = "social_button">
                                                <a href="#"><button type="button" class="button button-block">ADD NEW ACCOUNT</button></a>
                                                </div>
                                        </div>
                                </div>
        
                                        <div class="row">
                                                <div class="col-md-12">
                                                        <div class="wrapper">
                                                        <table class="table table-striped" style="margin-bottom:0;">
                                                                <thead class= "browse_table_heading">
                                                                        <tr>
                                                                        <th scope="col">INFLUENCER ACCOUNT</th>
                                                                        <th scope="col">FOLLOWERS</th>
                                                                        <th scope="col">POSTS</th>
                                                                        <th scope="col">ENGAGEMENT</th>
                                                                        <th scope="col">SCORE</th>
                                                                        <th scope="col">EARNINGS</th>
                                                                        <th scope="col">REMOVE ACCOUNT</th>
                                                                        </tr>
                                                                </thead>
                                                                <tbody class= "balance_table_body">
        
                                                                <tr>
                                                                        <td>
                                                                        <div class="insta_icon">             
                                                                        <img src="{{asset('frontend/images/insta_account.png')}}">
                                                                        </div>
                                                                        <div class="insta_name">
                                                                        <a>John Candy</a><br><a style="font-size: 14px;">@humansoftbarbecue</a>
                                                                        </div>
                                                                        </td>
                                                                        <td><a>2.01M</a></td>
                                                                        <td><a>50</a></td>
                                                                        <td><a>1.85%</a></td>
                                                                        <td><a>50</a></td>
                                                                        <td><a>223K</a></td>
                                                                        <td>
                                                                        <img src="{{asset('frontend/images/remove.png')}}">
                                                                        </td>
                                                                                      
                                                                </tr>
                                                                        
                                                                <tr>
                                                                        <td>
                                                                        <div class="insta_icon">             
                                                                        <img src="{{asset('frontend/images/insta_account.png')}}">
                                                                        </div>
                                                                        <div class="insta_name">
                                                                        <a>John Candy</a><br><a style="font-size: 14px;">@humansoftbarbecue</a>
                                                                        </div>
                                                                        </td>
                                                                        <td><a>2.01M</a></td>
                                                                        <td><a>50</a></td>
                                                                        <td><a>1.85%</a></td>
                                                                        <td><a>50</a></td>
                                                                        <td><a>223K</a></td>
                                                                        <td>
                                                                        <img src="{{asset('frontend/images/remove.png')}}">
                                                                        </td>
                                                                                        
                                                                </tr>
                                                                
                                                                <tr>
                                                                        <td>
                                                                        <div class="insta_icon">             
                                                                        <img src="{{asset('frontend/images/insta_account.png')}}">
                                                                        </div>
                                                                        <div class="insta_name">
                                                                        <a>John Candy</a><br><a style="font-size: 14px;">@humansoftbarbecue</a>
                                                                        </div>
                                                                        </td>
                                                                        <td><a>2.01M</a></td>
                                                                        <td><a>50</a></td>
                                                                        <td><a>1.85%</a></td>
                                                                        <td><a>50</a></td>
                                                                        <td><a>223K</a></td>
                                                                        <td>
                                                                        <img src="{{asset('frontend/images/remove.png')}}">
                                                                        </td>
                                                                                              
                                                                </tr>
        
                                                                <tr>
                                                                        <td>
                                                                        <div class="insta_icon">             
                                                                        <img src="{{asset('frontend/images/insta_account.png')}}">
                                                                        </div>
                                                                        <div class="insta_name">
                                                                        <a>John Candy</a><br><a style="font-size: 14px;">@humansoftbarbecue</a>
                                                                        </div>
                                                                        </td>
                                                                        <td><a>2.01M</a></td>
                                                                        <td><a>50</a></td>
                                                                        <td><a>1.85%</a></td>
                                                                        <td><a>50</a></td>
                                                                        <td><a>223K</a></td>
                                                                        <td>
                                                                        <img src="{{asset('frontend/images/remove.png')}}">
                                                                        </td>
                                                                                        
                                                                </tr>
                                                                <tr>
                                                                        <td>
                                                                        <div class="insta_icon">             
                                                                        <img src="{{asset('frontend/images/insta_account.png')}}">
                                                                        </div>
                                                                        <div class="insta_name">
                                                                        <a>John Candy</a><br><a style="font-size: 14px;">@humansoftbarbecue</a>
                                                                        </div>
                                                                        </td>
                                                                        <td><a>2.01M</a></td>
                                                                        <td><a>50</a></td>
                                                                        <td><a>1.85%</a></td>
                                                                        <td><a>50</a></td>
                                                                        <td><a>223K</a></td>
                                                                        <td>
                                                                        <img src="{{asset('frontend/images/remove.png')}}">
                                                                        </td>
                                                                                        
                                                                </tr>
        
                                                                        
                                                                </tbody>
                                                        </table> 
                                                </div>
                                                </div>     
                                        </div> 
                        </div>
                </div>

                <div class="section mt-5">
                        <div class="container">
                        <div class="row">
                                <div class="col-12">
                                <div id="switch">
                                        <div id="circle"></div>
                                </div>
                                </div>
                        </div>
                        </div>
                </div>

</div>

@endsection

@section('footer')
@include('partials.footer')
@endsection
@section('scripts')
<script src="{{ asset('frontend/js/jquery.js') }}"></script>
<script src="{{ asset('frontend/js/popper.js') }}"></script>
<script src="{{ asset('frontend/js/bootstrap.js') }}"></script>
<script src="{{ asset('frontend/js/custom.js') }}"></script>


@endsection

