@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.show') }} {{ trans('global.campaign.title') }}
    </div>

    <div class="card-body">
        <table class="table table-bordered table-striped">
            <tbody>
                <tr>
                    <th>
                        {{ trans('global.campaign.fields.name') }}
                    </th>
                    <td>
                        {!! $campaign->title !!}
                    </td>
                </tr>

                <tr>
                    <th>
                        {{ trans('global.campaign.fields.desc') }}
                    </th>
                    <td>
                        {!! $campaign->description !!}
                    </td>
                </tr>

                <tr>
                    <th>
                        {{ trans('global.campaign.fields.influencer_name') }}
                    </th>
                    <td>
                        {!! '@' . $campaign->influencer->account_handle  !!}
                    </td>
                </tr>
                <tr>
                    <th>
                        {{ trans('global.campaign.fields.price') }}
                    </th>
                    <td>
                        {{ $campaign->price }}
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>

@endsection
