@extends('layouts.admin')
@section('content')

    <div class="card">
        <div class="card-header">
            {{ trans('global.show') }} {{ trans('global.notifications.title') }}
        </div>

        <div class="card-body">
            <table class="table table-bordered table-striped">
                <tbody>

                <tr>
                    <th>
                        {{ trans('global.notifications.fields.receiver') }}
                    </th>
                    <td>
                        {!! $notification->receiver->name !!}
                    </td>
                </tr>
                <tr>
                    <th>
                        {{ trans('global.notifications.fields.message') }}
                    </th>
                    <td>
                        {{ $notification->message }}
                    </td>
                </tr>
                <tr>
                    <th>
                        {{ trans('global.notifications.fields.status') }}
                    </th>
                    <td>
                        {{ ucfirst($notification->status) }}
                    </td>
                </tr>

                </tbody>
            </table>
        </div>
    </div>

@endsection
