@extends('layouts.admin')
@section('content')

    <div class="card">
        <div class="card-header">
            {{ trans('global.show') }} {{ trans('global.ticket.title') }}
        </div>

        <div class="card-body">
            <table class="table table-bordered table-striped">
                <tbody>
                <tr>
                    <th>
                        {{ trans('global.ticket.fields.subject') }}
                    </th>
                    <td>
                        {!! $ticket->subject !!}
                    </td>
                </tr>

                <tr>
                    <th>
                        {{ trans('global.ticket.fields.against_user_name') }}
                    </th>
                    <td>
                        {!! $ticket->against_user_id == 0 ? 'None' : $ticket->against_user->name !!}
                    </td>
                </tr>
                <tr>
                    <th>
                        {{ trans('global.ticket.fields.description') }}
                    </th>
                    <td>
                        {{ $ticket->description }}
                    </td>
                </tr>
                <tr>
                    <th>
                        {{ trans('global.ticket.fields.status') }}
                    </th>
                    <td>
                        {{ ucfirst($ticket->status) }}
                    </td>
                </tr>

                </tbody>
            </table>
        </div>
    </div>

@endsection
