@extends('layouts.frontend')
@section('modal')
    <div id="loading-div" class="loading" style="display: none;">Loading&#8230;</div>
    @include('partials.login_register_modal')
@endsection
<!-- Header -->
@section('header')
@include('partials.header')
@endsection

@section('contents')
<div class="background_section">
                <div class="section browse-influencer">
                        @include('flash-message')
                        <div class="container">
                                <div class="browse_heading">
                                        <h3><strong>HIRE BEST INFLUENCERS AROUND THE GLOBE</strong></h3>
                                </div>
                              <div class="row">

                                        <div class="col-md-4">
                                                <div class="browse_left">
                                                        <div class="row">
                                                                <div class="col-md-12">
                                                                        <div class= "browse_search_heading">
                                                                                <a><strong>SEARCH</strong></a>
                                                                        </div>

                                                                </div>
                                                        </div>
                                                        <div class="row">
                                                                <div class="col-md-12">
                                                                        <div class= "browse_search_body">
                                                                        <div class="browse_search_div">
                                                                        {{-- search div --}}
                                                                        <form method="GET" action=""  onsubmit="return false;" id="search_form">
                                                                            <input type="hidden" id="selected_tags" name="selected_tags">
                                                                            <input type="hidden" id="selected_services" name="selected_services">

                                                                            <input type="hidden" id="hidden_country" name="country">
                                                                            <input type="hidden" id="hidden_city" name="city">
                                                                            <input type="hidden" id="hidden_zip_code" name="zip_code">

                                                                            <input type="hidden" id="hidden_no_of_followers" name="no_of_followers">
                                                                        <div class="input-group mb-3">
                                                                        <div class="input-group-prepend">
                                                                        <span class="input-group-text">
                                                                        <i class="fa fa-search"></i>
                                                                        <span>
                                                                        </div>
                                                                        <input class="search_box" name= "search_text" id="search_text" type="text" placeholder= "  SEARCH" value="{{ isset($_REQUEST['search_text']) ? $_REQUEST['search_text'] : '' }}" onkeyup="getSelectedTagsServices()">
                                                                        </div>
                                                                        </div>

                                                                                 {{-- search div ends --}}
                                                                                 {{-- sort div --}}
                                                                <div class="browse_sort_div">
                                                                        <div class="input-group mb-3">
                                                                                <div class="input-group-prepend">
                                                                                <span class="input-group-text">
                                                                                <a>SORT</a>
                                                                                <span>
                                                                                </div>
                                                                        <select name="pages" id="pages" onchange="getSelectedTagsServices()">
                                                                                <option value="10" {{ isset($_REQUEST['pages']) && $_REQUEST['pages'] == 10 ? 'selected' : '' }}>10 ENTRIES</option>
                                                                                <option value="15" {{ isset($_REQUEST['pages']) && $_REQUEST['pages'] == 15 ? 'selected' : '' }}>15 ENTRIES</option>
                                                                                <option value="20" {{ isset($_REQUEST['pages']) && $_REQUEST['pages'] == 20 ? 'selected' : '' }}>20 ENTRIES</option>
                                                                                <option value="25" {{ isset($_REQUEST['pages']) && $_REQUEST['pages'] == 25 ? 'selected' : '' }}>25 ENTRIES</option>
                                                                                <option value="50" {{ isset($_REQUEST['pages']) && $_REQUEST['pages'] == 50 ? 'selected' : '' }}>50 ENTRIES</option>
                                                                                </select>
                                                                        </div>
                                                                </div>
                                                                                {{-- sort div --}}

                                                                                <div class= "browse_search_button">
                                                                                <button type="submit" class="button button-block">Search</button>
                                                                                </div>
                                                                                </form>



                                                                        </div>
                                                                </div>
                                                        </div>
                                                </div>
                                                {{--<div class="browse_left">
                                                        <div class="row">
                                                                <div class="col-md-12">
                                                                        <div class= "browse_search_heading">
                                                                                <a><strong>TYPE</strong></a>
                                                                        </div>

                                                                </div>
                                                        </div>
                                                        <div class="row">
                                                                <div class="col-md-12">
                                                                        <div class= "browse_search_body">
                                                                                <a>- Page</a><br>
                                                                                <a>- Personal</a>
                                                                        </div>

                                                                </div>
                                                        </div>
                                                </div>--}}
                                                <div class="browse_left">
                                                        <div class="row">
                                                                <div class="col-md-12">
                                                                        <div class= "browse_search_heading">
                                                                                <a><strong>ACCOUNT TYPES</strong></a>
                                                                        </div>

                                                                </div>
                                                        </div>
                                                        <div class="row">
                                                                <div class="col-md-12">
                                                                        <div class= "browse_search_body">
                                                                            <div class="account-type-form">
                                                                            @foreach($tags as $tag)
                                                                                <input type="checkbox" id="{{ $tag->id }}" value="{{ $tag->id }}" class="tags-check" {{ isset($_REQUEST['selected_tags']) && in_array( $tag->id, explode(',', $_REQUEST['selected_tags']) ) ? 'checked' : '' }} onclick="getSelectedTagsServices()"> {{ $tag->title }}<br>
                                                                             @endforeach
                                                                             </div>
                                                                        </div>

                                                                </div>
                                                        </div>
                                                </div>

                                                <div class="browse_left">
                                                    <div class="row">
                                                        <div class="col-md-12">
                                                            <div class= "browse_search_heading">
                                                                <a><strong>SERVICES OFFERED</strong></a>
                                                            </div>

                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-md-12">
                                                            <div class= "browse_search_body">
                                                            <div class="service-offered-form">
                                                                @foreach($services as $service)
                                                                    <input type="checkbox" id="{{ $service->id }}" value="{{ $service->id }}" class="services-check" {{ isset($_REQUEST['selected_services']) && in_array( $service->id, explode(',', $_REQUEST['selected_services']) ) ? 'checked' : '' }} onclick="getSelectedTagsServices()"> {{ $service->title }}<br>
                                                                @endforeach
                                                                </div>
                                                            </div>

                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="browse_left">
                                                    <div class="row">
                                                        <div class="col-md-12">
                                                            <div class= "browse_search_heading">
                                                                <a><strong>USER ADDRESS</strong></a>
                                                            </div>

                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-md-12">
                                                            <div class= "browse_search_body">
                                                                <div class="user-address-form">
                                                                    <input type="text" id="user_country" class="form-control" placeholder="Country" value="{{ isset($_REQUEST['country']) ? $_REQUEST['country'] : '' }}" onkeyup="getSelectedTagsServices()">
                                                                    <input type="text" id="user_city" class="form-control" placeholder="City" value="{{ isset($_REQUEST['city']) ? $_REQUEST['city'] : '' }}" onkeyup="getSelectedTagsServices()">
                                                                    <input type="text" id="user_zip_code" class="form-control" placeholder="Zip Code" value="{{ isset($_REQUEST['zip_code']) ? $_REQUEST['zip_code'] : '' }}" onkeyup="getSelectedTagsServices()">
                                                                </div>
                                                            </div>

                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="browse_left">
                                                    <div class="row">
                                                        <div class="col-md-12">
                                                            <div class= "browse_search_heading">
                                                                <a><strong>NUMBER OF FOLLOWERS</strong></a>
                                                            </div>

                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-md-12">
                                                            <div class= "browse_search_body">
                                                                <select id="no_of_followers" class="form-control" onchange="getSelectedTagsServices()">
                                                                    <option value="">Any Number Of Followers</option>
                                                                    <option value="0-1k">0-1k</option>
                                                                    <option value="1k-7k">1k-7k</option>
                                                                    <option value="more-than-7k">More Than 7k</option>
                                                                </select>
                                                            </div>

                                                        </div>
                                                    </div>
                                                </div>
                                        </div>
                                        <div class="col-md-8" id="influencers_section">
                                                @include('partials.ajax_influencers_section')
                                        </div>
                                </div>



                        </div>
                </div>

                <div class="section mt-5">
                        <div class="container">
                        <div class="row">
                                <div class="col-12">
                                <div id="switch">
                                        <div id="circle"></div>
                                </div>
                                </div>
                        </div>
                        </div>
                </div>

</div>

@endsection

@section('footer')
@include('partials.footer')
@endsection
@section('scripts')
<script>
    function getSelectedTagsServices() {
        var tag_ids = [];
        var tag_count = 0;
        var service_ids = [];
        var service_count = 0;
        $('.tags-check').each(function () {
            if(this.checked) {
                tag_ids[tag_count] = $(this).val();
                tag_count++;
            }
        });
        $('.services-check').each(function () {
            if(this.checked) {
                service_ids[service_count] = $(this).val();
                service_count++;
            }
        });
        $('#selected_tags').val( tag_ids.join(',') );
        $('#selected_services').val( service_ids.join(',') );
        $('#hidden_country').val( $('#user_country').val() );
        $('#hidden_city').val( $('#user_city').val() );
        //$('#hidden_state').val( $('#user_state').val() );
        $('#hidden_zip_code').val( $('#user_zip_code').val() );

        $('#hidden_no_of_followers').val( $('#no_of_followers').val() );

        searchInfluencers();

        //return true;
    }
    
    function searchInfluencers() {

        var frm = document.getElementById('search_form');
        var selected_tags = $('#selected_tags').val();
        var selected_services = $('#selected_services').val();
        var search_text = $('#search_text').val();
        var pages = $('#pages').val();

        var country = $('#user_country').val();
        var city = $('#user_city').val();
        //var state = $('#user_state').val();
        var zip_code = $('#user_zip_code').val();

        var no_of_followers = $('#no_of_followers').val();
        $.ajax({
            url: "{{ url('frontend/browse_influencers?ajax=1') }}" + '&selected_tags=' + selected_tags + '&search_text=' + search_text + '&selected_services=' + selected_services + '&country=' + country + '&city=' + city + '&zip_code=' + zip_code + '&no_of_followers=' + no_of_followers + '&pages=' + pages,
            method: "GET",
            //data: new FormData(frm),
            //dataType: 'JSON',
            //contentType: false,
            //cache: false,
            //processData: false,
            success: function (data) {
                $('#influencers_section').html(data);
            },
            error: function (data) {
            }

        });


    }
</script>

@endsection

