@extends('layouts.frontend')
<!-- Header -->
@section('header')
    @include('partials.header')
@endsection

@section('contents')
    <div class="background_section">
        <div class="section">
            @include('flash-message')
            <div class="container">
                <div class="campaign_heading">
                    <span>COMPLETED CAMPAIGNS</span>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <div class= "campaign_list">

                                <div class="sort_div">
                                                    
                                    <div class="input-group mb-3">
                                            <div class="input-group-prepend">
                                            <span class="input-group-text">
                                            <a>SORT</a>
                                            <span>     
                                            </div>  
                                    <select name="pages">
                                            <option value="0">6 Entries</option>
                                            <option value="1">10 Entries</option>
                                            <option value="2">15 Entries</option>
                                            <option value="3">20Entries</option>
                                        </select>
                                    </div>
                                </div>

                        </div>
                    </div>
                </div>
                <div class="row">

                    <div class="col-md-12">
                        <div class="table-responsive">
                            <!-- DATA TABLE STARTS -->
                            <table id="dtBasicExample" class="table table-striped table-bordered" cellspacing="0" width="100%" style="background: #fff; margin-bottom:0px">
                                <thead>
                                <tr>
                                    <th class="th-sm">INFLUENCER NAME
                                    </th>
                                    <th class="th-sm">REVENUE
                                    </th>
                                    <th class="th-sm">NO. OF ORDERS
                                    </th>
                                    <th class="th-sm">HISTORY
                                    </th>

                                </tr>
                                </thead>
                                <tbody>

                                @foreach($campaigns as $campaign)
                                    <tr>
                                        <td>{{ $campaign->influencer->name }}</td>
                                        <td>{{ $campaign->price }}</td>
                                        <td>
                                            0
                                        </td>
                                        <td>
                                            <a href="#">View History</a>
                                        </td>
                                    </tr>
                                @endforeach

                                </tbody>
                            </table>
                            <!-- DATA TABLE ENDS -->
                            {{ $campaigns->links() }}
                        </div>
                    </div>
                </div>




            </div>
        </div>




        <div class="section mt-5">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <div id="switch">
                            <div id="circle"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>

@endsection

@section('footer')
    @include('partials.footer')
@endsection


