@extends('layouts.frontend')
<!-- Header -->
@section('header')
    @include('partials.header')
@endsection

@section('contents')
    <div class="background_section">
                    <div class="section">
                            @include('flash-message')
                            <div class="container">
                                    <div class="campaign_heading">
                                            <span>ORDER FROM BUYERS</span>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class= "campaign_list">

                                                    <div class="sort_div" style="display: none">
                                                        <div class="input-group mb-3">
                                                                <div class="input-group-prepend">
                                                                <span class="input-group-text">
                                                                <a>SORT</a>
                                                                <span>     
                                                                </div>  
                                                        <select name="pages">
                                                                <option value="0">6 Entries</option>
                                                                <option value="1">10 Entries</option>
                                                                <option value="2">15 Entries</option>
                                                                <option value="3">20Entries</option>
                                                            </select>
                                                        </div>
                                                    </div>

                                            </div>
                                        </div>
                                </div>
                                    <div class="row">

                                        <div class="col-md-12" id="campaigns_table_div">
                                            @include('partials.campaigns_table_ajax')
                                        </div>
                                        <input type="hidden" id="base_url" value="{{ asset('/') }}">
                                        </div>




                            </div>
                    </div>




                        <div class="section mt-5">
                            <div class="container">
                                <div class="row">
                                    <div class="col-12">
                                        <div id="switch">
                                            <div id="circle"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

    </div>

@endsection

@section('footer')
    @include('partials.footer')
@endsection
@section('scripts')

    <script>
        function changeCampaignStatus(campaignId, status) {
            var url = $('#base_url').val() + 'frontend/order_status/' + campaignId + '/' + status;
            $.ajax({

                type: "GET",
                url: url,
                success: function( data ) {
                  if(data.flag == true){
                    if(status == 'in-progress'){
                      $('#status-bar'+campaignId).html('<span class="badge badge-success">In Progress</span>');
                    }else{
                      $('#status-bar'+campaignId).html('<span class="badge badge-danger">Rejected</span>');
                    }

                  }else{

                  }
                    //alert(data);
                    //$('#campaigns_table_div').html(data);
                },
                error: function (data) {
                    alert(data);
                }

            });
        }
    </script>
@endsection

