@extends('layouts.frontend')
<!-- Header -->
@section('header')
  @include('partials.header')
@endsection
@section('contents')
  <section class="chatdetail-page">
    <div class="container">
      <div class="row no-gutters">
        <div class="col-md-4 border-right">
          <div class="settings-tray">
            <h3>Chats</h3>

          </div>
          <div class="search-box">
            <div class="input-wrapper">
              <i class="far fa-search"></i>
              <input placeholder="Search here" type="text" id="messenger_search" onkeyup="getAllMessengerChatUsers()">
            </div>

          <div class="content-list" id="messenger_list">
              <ul class="drop-list" id="messenger_chat_users_list"></ul>
          </div>

          </div>
          <div class="friend-drawer-parent" id="left_messages_section">
            <!--<div class="friend-drawer friend-drawer--onhover">
              <img class="profile-image" src="https://thumbor.forbes.com/thumbor/960x0/https%3A%2F%2Fblogs-images.forbes.com%2Fmarkhughes%2Ffiles%2F2016%2F01%2FTerminator-2-1200x873.jpg" alt="">
              <div class="text">
                <h6>Robo Cop</h6>
                <p class="text-muted">Hey, you're arrested!</p>
              </div>
              <span class="time text-muted small">13:21</span>
            </div>
            <hr>
            <div class="friend-drawer friend-drawer--onhover">
              <img class="profile-image" src="https://cdn.vox-cdn.com/thumbor/AYUayCXcqYxHDkR4a1N9azY5c_8=/1400x1400/filters:format(jpeg)/cdn.vox-cdn.com/uploads/chorus_asset/file/9375391/MV5BYjg1Yjk1MTktYzE5Mi00ODkwLWFkZTQtNTYxYTY3ZDVmMWUxXkEyXkFqcGdeQXVyNjUwNzk3NDc_._V1_.jpg" alt="">
              <div class="text">
                <h6>Optimus</h6>
                <p class="text-muted">Wanna grab a beer?</p>
              </div>
              <span class="time text-muted small">00:32</span>
            </div>
            <hr>
            <div class="friend-drawer friend-drawer--onhover ">
              <img class="profile-image" src="https://thumbor.forbes.com/thumbor/960x0/https%3A%2F%2Fblogs-images.forbes.com%2Fmarkhughes%2Ffiles%2F2016%2F01%2FTerminator-2-1200x873.jpg" alt="">
              <div class="text">
                <h6>Skynet</h6>
                <p class="text-muted">Seen that canned piece of s?</p>
              </div>
              <span class="time text-muted small">13:21</span>
            </div>
            <hr>
            <div class="friend-drawer friend-drawer--onhover">
              <img class="profile-image" src="http://i66.tinypic.com/2qtbqxe.jpg" alt="">
              <div class="text">
                <h6>Termy</h6>
                <p class="text-muted">Im studying spanish...</p>
              </div>
              <span class="time text-muted small">13:21</span>
            </div>
            <hr>
            <div class="friend-drawer friend-drawer--onhover">
              <img class="profile-image" src="https://cdn.vox-cdn.com/thumbor/AYUayCXcqYxHDkR4a1N9azY5c_8=/1400x1400/filters:format(jpeg)/cdn.vox-cdn.com/uploads/chorus_asset/file/9375391/MV5BYjg1Yjk1MTktYzE5Mi00ODkwLWFkZTQtNTYxYTY3ZDVmMWUxXkEyXkFqcGdeQXVyNjUwNzk3NDc_._V1_.jpg" alt="">
              <div class="text">
                <h6>Richard</h6>
                <p class="text-muted">I'm not sure...</p>
              </div>
              <span class="time text-muted small">13:21</span>
            </div>
            <hr>
            <div class="friend-drawer friend-drawer--onhover">
              <img class="profile-image" src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQXzQ3HEvJBpgptB48mdCwRt_BHrmNrDwQiIlrjgJbDKihAV_NI" alt="">
              <div class="text">
                <h6>John</h6>
                <p class="text-muted">How are you man</p>
              </div>
              <span class="time text-muted small">13:21</span>
            </div>-->
          </div>
        </div>
        <div class="col-md-8">
          <div class="settings-tray">
            <div class="friend-drawer no-gutters friend-drawer--grey">
              <img id="display_user_avatar" class="profile-image" src="{{ url('images/default.jpg') }}" alt="">
              <div class="text">
                <h6 id="display_user_name">{{ $user->name }}</h6>

              </div>
            </div>
          </div>
          <div class="chat-panel">
            <div id="chat_message_panel"></div>
            <div class="chatpanel-inside-parent" id="chatscrolltobottom">
              <!--<div class="row no-gutters">
                <div class="col-md-8">
                  <div class="chat-bubble chat-bubble--left">
                    Hello dude!
                  </div>
                </div>
              </div>
              <div class="row no-gutters">
                <div class="col-md-8 offset-md-4">
                  <div class="chat-bubble chat-bubble--right">
                    Hello dude!
                  </div>
                </div>
              </div>
              <div class="row no-gutters">
                <div class="col-md-8 offset-md-4">
                  <div class="chat-bubble chat-bubble--right">
                    Hello dude!
                  </div>
                </div>
              </div>
              <div class="row no-gutters">
                <div class="col-md-8">
                  <div class="chat-bubble chat-bubble--left">
                    Hello dude!
                  </div>
                </div>
              </div>
              <div class="row no-gutters">
                <div class="col-md-8">
                <span class="img-attachement-left">
                  <img src="{{ asset('frontend/images/card-img.jpg') }}" alt=""/>
                  <img src="{{ asset('frontend/images/card-img2.jpg') }}" alt=""/>
                  <img src="{{ asset('frontend/images/card-img3.jpg') }}" alt=""/>
                </span>
                </div>
              </div>
              <div class="row no-gutters">
                <div class="col-md-8">
                <span class="file-attachement-left">
                  <div>Chatbox</div>
                </span>
                </div>
              </div>
              <div class="row no-gutters">
                <div class="col-md-8">
                  <div class="chat-bubble chat-bubble--left">
                    Hello dude!
                  </div>
                </div>
              </div>
              <div class="row no-gutters">
                <div class="col-md-8">
                  <div class="chat-bubble chat-bubble--left">
                    Hello dude!
                  </div>
                </div>
              </div>
              <div class="row no-gutters">
                <div class="col-md-8 offset-md-4">
                  <div class="chat-bubble chat-bubble--right">
                    Hello dude!
                  </div>
                </div>
              </div>
              <div class="row no-gutters">
                <div class="col-md-8 offset-md-4">
                  <div class="chat-bubble chat-bubble--right">
                    Hello dude!
                  </div>
                </div>
              </div>
              <div class="row no-gutters">
                <div class="col-md-8 offset-md-4">
                  <div class="chat-bubble chat-bubble--right">
                    Hello dude!
                  </div>
                </div>
              </div>
              <div class="row no-gutters">
                <div class="col-md-8 offset-md-4">
                  <div class="chat-bubble chat-bubble--right">
                    Hello dude!
                  </div>
                </div>
              </div>
              <div class="row no-gutters">
                <div class="col-md-8 offset-md-4">
                <span class="img-attachement-right">
                  <img src="{{ asset('frontend/images/card-img.jpg') }}" alt=""/>
                  <img src="{{ asset('frontend/images/card-img2.jpg') }}" alt=""/>
                  <img src="{{ asset('frontend/images/card-img3.jpg') }}" alt=""/>
                </span>
                </div>
              </div>
              <div class="row no-gutters">
                <div class="col-md-8 offset-md-4">
                <span class="file-attachement-right">
                  <div>Chatbox</div>
                </span>
                </div>
              </div>

              <div class="row no-gutters">
                <div class="col-md-8 offset-md-4">
                  <div class="chat-bubble chat-bubble--right">
                    Hello dude!
                  </div>
                </div>
              </div>
              <div class="row no-gutters">
                <div class="col-md-8 offset-md-4">
                  <div class="chat-bubble chat-bubble--right">
                    Hello dude!
                  </div>
                </div>
              </div>-->

            </div>
            <div class="wanttochat" id="invite_section_messenger" style="display: none; z-index: 100;">
              <div class="letchattext">Let's chat on cloutsource</div>
              <div class="sendinvite-btn"><a href="#" onclick="sendMessengerInvite()">Send Invite</a></div>
            </div>
            <div class="wanttochat" id="your_invited_section_messenger" style="display: none; z-index: 100;">
              <div class="letchattext">You are invited</div>
              <div class="sendinvite-btn">
                <a href="#" onclick="acceptMessengerInvite()">Accept</a> / <a href="#" onclick="rejectMessengerInvite()">Reject</a>
              </div>
            </div>
            <div class="wanttochat" id="invite_status_section_messenger" style="display: none; z-index: 100;">
              <div class="letchattext" id="invite_status_message_section_messenger"></div>
            </div>
            <div class="wanttochat" id="unmute_section_messenger" style="display: none; z-index: 100;">
              <div class="letchattext">You muted this user.</div>
              <div class="sendinvite-btn"><a href="#" onclick="unstopMessengerConversation()">Un mute</a></div>
            </div>
            <div class="wanttochat" id="your_muted_section_messenger" style="display: none;">
              <div class="letchattext">You are muted by this user.</div>
            </div>
            <div class="wanttochat" id="unblock_section_messenger" style="display: none; z-index: 100;">
              <div class="letchattext">You blocked this user.</div>
              <div class="sendinvite-btn"><a href="#" onclick="unblockMessengerUser()">Unblock</a></div>
            </div>
            <div class="wanttochat" id="your_blocked_section_messenger" style="display: none; z-index: 100;">
              <div class="letchattext">You are blocked by this user.</div>
            </div>
            <div class="row" id="message_fields_messenger" style="display: none;">
              <div class="col-12">
                <div class="chat-box-tray">
                  <div class="fab_field">
                    <div class="btn-attachement1">

                      <div class="fileattachement-div">
                        <label for="attachment">
                          <a class="attachement-link" role="button" aria-disabled="false"><i onclick="$('#message-attachment').click()" class="far fa-paperclip"></i></a>

                        </label>
                        <input type="file" name="file" id="message-attachment" style="visibility: hidden; position: absolute;" multiple/>
                      </div>
                    </div>

                    <div class="mesgbox1">
                      <textarea id="chat-input" name="chat-input" placeholder="Send a message" class="chat_field chat_message" onfocus="readMessages()"></textarea>
                      <a id="fab_send" onclick="sendMessage()"><i class="fal fa-paper-plane" style="cursor: pointer"></i></a>
                    </div>

                  </div>
                  <div id="files-area">
                  <span id="messengerFilesList">
                    <span id="messenger-files-names"></span>
                  </span>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>
  <input type="hidden" id="my_id" name="my_id" value="{{ auth()->user()->id }}">
  <input type="hidden" id="my_name" name="my_name" value="{{ auth()->user()->name }}">
  <input type="hidden" id="my_avatar" name="my_avatar" value="{{ url('images/default.jpg') }}">
  <input type="hidden" id="user_id" name="user_id" value="{{ $user->id }}">
  <input type="hidden" id="user_name" name="user_name" value="{{ $user->name }}">
  <input type="hidden" id="user_avatar" name="user_avatar" value="{{ url('images/default.jpg') }}">
@endsection
@section('footer')
  @include('partials.footer')
@endsection
@section('scripts')
  <script>
      $( '.friend-drawer--onhover' ).on( 'click',  function() {
          $( '.chat-bubble' ).hide('slow').show('slow');
      });
      var firstTimeFlag = 1;
      var attachments = [];
      var messageAttachments = [];
      var messenger_blocked_users  = [];
      var messenger_conversation_stopped_users = [];
      var messenger_muted_by_users = [];
      var removedIndexes = [];
      var messenger_message_users = [];
      var messengerUnreadMessagesUsers = [];
      var messengerAddedMessagesDosIds = [];
      var sendMessageCalled = false;
      var my_id = $('#my_id').val();
      $(document).ready(function(){

          $('#messenger_search').click( function(event){
              getAllMessengerChatUsers();
          });

          $(document).click( function(){
              $('#messenger_list').hide();
          });


          $('#chat-input').keypress(function(event){
              var keycode = (event.keyCode ? event.keyCode : event.which);
              if(keycode == '13'){
                  sendMessage();
              }
          });
          $("#message-attachment").change(function(event){
              var files = event.target.files;
              if(files) {
                  var files_count = files.length;
                  for (var i = 0; i < files_count; i++) {
                      attachments.push(files[i]);
                  }
              }
              console.log(attachments)
          });


          $("#message-attachment").change(function(event){
              var files = event.target.files;
              var totalFiles = mainAttachments.length;
              var counter = totalFiles;
              if(files) {
                  var files_count = files.length;
                  for (var i = 0; i < files_count; i++) {
                      mainAttachments.push(files[i]);
                      var fileBloc = $('<span/>', {class: 'file-block', id: 'messenger-file-' + counter}),
                          fileName = $('<span/>', {class: 'name', text: files[i].name});
                      fileBloc.append('<span class="file-delete" onclick="removeFile(' + counter + ')"><span>+</span></span>')
                          .append(fileName);
                      $("#messengerFilesList > #messenger-files-names").append(fileBloc);
                      counter++;
                  }
              }
              //console.log(mainAttachments)
          });



          // first check if blocked or muted

          db.collection(usersCollection).where('id', '==', parseInt(my_id)) // query for blocked and stopped users
              .get().then(function (mainUserSnapshot) {
              mainUserSnapshot.forEach(function (mainUserDoc) {
                  var mainUserData = mainUserDoc.data();
                  messenger_blocked_users = mainUserData.blocked_users;
                  messenger_conversation_stopped_users = mainUserData.conversation_stopped_users;
              });
          });

          var user_id = $('#user_id').val();
          db.collection(usersCollection).where('id', '==', parseInt(user_id)) // query for blocked and stopped users
              .get().then(function (mainUserSnapshot) {
              mainUserSnapshot.forEach(function (mainUserDoc) {
                  var mainUserData = mainUserDoc.data();
                  var current_blocked_users = mainUserData.blocked_users;
                  var current_muted_users = mainUserData.conversation_stopped_users;
                  if(  current_blocked_users.includes(parseInt(my_id)) || current_muted_users.includes(parseInt(my_id)) ) {
                      if( current_blocked_users.includes(parseInt(my_id)) ) {
                          $('#your_blocked_section_messenger').show();
                          $("#chatscrolltobottom").html('');
                      } else {
                          //getFirstChatUser();
                          //$('#your_muted_section_messenger').show();
                          messenger_muted_by_users = current_muted_users;
                          getMessages();
                      }
                      $('#message_fields_messenger').hide();
                  } else { // this is the case to show messages
                      getFirstChatUser();
                  }

              });
          });
          getLeftMessages();
          getUnreadMessagesCount();

      });

      function removeFile(index) {

          removedIndexes.push(index);
          $('#messenger-file-' + index).remove();

      }

      function getFirstChatUser() {
          var my_id = $('#my_id').val();
          var user_id = $('#user_id').val();
          db.collection(usersCollection).where('id', '==', parseInt(user_id))
              .get().then(function (userSnapshot) {
              userSnapshot.forEach(function (userDoc) {
                  var userData = userDoc.data();
                  $('#user_id').val(userData.id);
                  $('#user_name').val(userData.name);
                  $('#user_avatar').val(userData.avatar);
                  $('#display_user_name').html(userData.name);
                  $('#display_user_avatar').attr('src', userData.avatar);
                  messengerInviteChanged();
                  messageAdded();
                  getMessages();
              });
          });

      }
      function getLeftMessages() {
          var my_id = $('#my_id').val();
          var response_array = [];
          var chatHtml = '';

          db.collection(usersCollection)
              .get().then(function (userSnapshot) {
              userSnapshot.forEach(function (userDoc) {
                  var userData = userDoc.data();
                  var contents = '';

                  db.collection(messagesCollection)
                      .where("user_ids", "array-contains", my_id + '-' + userData.id)
                      .orderBy('sent_at', 'desc')
                      .get().then(function (msgSnapshot) {
                      if(msgSnapshot.size > 0) {
                          var unreadCount = 0;
                          var count = 0;
                          var last_message, last_sent_at;
                          msgSnapshot.forEach(function (msgDoc) {
                              var msgData = msgDoc.data();
                              if (msgData.is_read == 0 && msgData.sent_by == userData.id) {
                                  unreadCount++
                              }
                              if (count == 0) {
                                  last_message = msgData.message;
                                  last_sent_at = msgData.sent_at;
                                  count = 1;
                              }
                          });
                          chatHtml = '<div class="friend-drawer friend-drawer--onhover" onclick="changeUser(' + userData.id + ')">' +
                              '<img class="profile-image" src="'+ userData.avatar + '" alt="">' +
                              '<div class="text">' +
                              '<h6>' + userData.name + '</h6>' +
                              '<p class="text-muted">' + last_message + '</p>' +
                              '</div>' +
                              '<span class="time text-muted small">' + timeDifference(Date.now(), last_sent_at) + '</span>' +
                              '</div>' +
                              '<hr>';
                          response_array.push({
                              sent_at_time : last_sent_at,
                              content : chatHtml
                          });
                          response_array.sort((a, b) => (a.sent_at_time < b.sent_at_time) ? 1 : -1);
                          $.each(response_array, function(key,val){
                              contents += val.content;
                          });
                          $("#left_messages_section").html(contents);
                      }
                  });
              });
          });
      }
      function changeUser(id) {

          db.collection(usersCollection)
              .where("id", "==", id)
              .limit(1)
              .get().then(function (userSnapshot) {
              userSnapshot.forEach(function (userDoc) {
                  var userData = userDoc.data();
                  $('#user_id').val(userData.id);
                  $('#user_name').val(userData.name);
                  $('#user_avatar').val(userData.avatar);
                  $('#display_user_name').html(userData.name);
                  $('#display_user_avatar').attr('src', userData.avatar);
                  firstTimeFlag = 1;
                  messengerInviteChanged();
                  messageAdded();
                  getMessages();
              });
          });
      }
      function getMessages() {

          var user_id = parseInt( $('#user_id').val() );
          $('#unblock_section_messenger').hide();
          $('#unmute_section_messenger').hide();
          $('#your_blocked_section_messenger').hide();
          $('#your_muted_section_messenger').hide();
          $('#invite_section_messenger').hide();
          $('#your_invited_section_messenger').hide();
          $('#invite_status_section_messenger').hide(); // status of invite sent by you
          if( messenger_blocked_users.includes(user_id) ) { // user is blocked
              $('#unblock_section_messenger').show();

              $('#message_fields_messenger').hide();
              $("#chatscrolltobottom").html('');
              $("#chatscrolltobottom").animate({ scrollTop: $("#chatscrolltobottom")[0].scrollHeight }, 1000);
          } else {

              var user_avatar = $('#user_avatar').val(); // this is not being used
              var chatHtml = '';
              var messagesRef = db.collection(messagesCollection)
                  .where('user_ids', 'array-contains', my_id + '-' + user_id)
                  .orderBy("sent_at", "asc");
              messagesRef.get().then(function (querySnapshot) {
                  if(querySnapshot.size == 0) { // when there is no message
                      if( messenger_conversation_stopped_users.includes(user_id) ) { // user is muted by you
                          $('#unmute_section_messenger').show();
                      } else if( messenger_muted_by_users.includes(parseInt(my_id)) ) { // user is muted by you
                          $('#your_muted_section_messenger').show();
                          $('#message_fields_messenger').hide();
                      } else { // invitation section
                          db.collection(invitationsCollection).where("user_ids", "array-contains", my_id + '-' + user_id).limit(1)
                              .get()
                              .then(function(querySnapshot) {
                                  if(querySnapshot.size > 0) { // if any invitation is already sent
                                      querySnapshot.forEach(function (doc) {
                                          console.log(doc.id, " => ", doc.data());
                                          var invData = doc.data();
                                          if (invData.sent_to == my_id) { // invite sent to you
                                              if (invData.status == 'pending') {
                                                  $('#your_invited_section_messenger').show();
                                              } else if (invData.status == 'accepted') {
                                                  $('#message_fields_messenger').show();
                                              } else {
                                                  $('#invite_status_section_messenger').show();
                                                  $('#invite_status_message_section_messenger').html('You have ' + invData.status + ' the invite.');
                                              }
                                          } else { // invite sent by you
                                              if(invData.status == 'accepted') {
                                                  $('#message_fields_messenger').show();
                                              } else {
                                                  $('#invite_status_section_messenger').show();
                                                  $('#invite_status_message_section_messenger').html('Your invite is ' + invData.status);
                                              }
                                          }
                                      });
                                  } else { // no invite is already sent
                                      $('#invite_section_messenger').show();
                                      $('#message_fields_messenger').hide();
                                  }
                                  $("#chatscrolltobottom").html('');
                              });
                      }
                      $("#chatscrolltobottom").animate({ scrollTop: $("#chatscrolltobottom")[0].scrollHeight }, 1000);
                  } else { // retrieve messages
                      $('#invite_section_messenger').hide();
                      $('#your_invited_section_messenger').hide();
                      $('#invite_status_section_messenger').hide();
                      $('#message_fields_messenger').show();
                      if( conversation_stopped_users.includes(user_id) ) { // user is muted by you
                          $('#unmute_section_messenger').show();
                      }else if( messenger_muted_by_users.includes(parseInt(my_id)) ) { // user is muted by you
                          $('#your_muted_section_messenger').show();
                          $('#message_fields_messenger').hide();
                      }
                      querySnapshot.forEach(function (doc) {
                          console.log(doc.id, ' => ', doc.data());
                          var data = doc.data();
                          var sent_time = data.sent_at;

                          // changed
                          var msgAttachments = data.attachments;

                          var image_files = [];
                          var normal_files = [];
                          var normal_files_names = [];
                          var imageExtensions = ['jpg', 'jpeg', 'png', 'gif', 'tiff'];
                          var imgHtml = '';
                          var imgFilesHtml = '';
                          var normalFilesHtml = '';

                          if(msgAttachments.length > 0) {
                              for(var i=0; i < msgAttachments.length; i++) {
                                  var explodedFileString = msgAttachments[i].split(', ');

                                  var filePath = explodedFileString[0];
                                  var fileName = explodedFileString[1];
                                  var extensionArray = filePath.split('.');
                                  var extension = extensionArray[ extensionArray.length-1 ];
                                  if(imageExtensions.includes(extension.toLowerCase())) {
                                      image_files.push(filePath);
                                  } else {
                                      normal_files.push(filePath);
                                      normal_files_names.push(fileName);
                                  }
                              }

                              if(image_files.length > 0) {
                                  for(var i = 0; i<image_files.length; i++) {
                                      imgHtml += '<a href="' + image_files[i] + '" target="_blank"><img src="' + image_files[i] + '"></a>';
                                  }

                                  if (data.sent_to == my_id) { // left images

                                      imgFilesHtml = '<div class="row no-gutters">\n' +
                                          '                              <div class="col-md-8">\n' +
                                          '                              <span class="img-attachement-left">\n' +
                                          imgHtml +
                                          '                              </span>\n' +
                                          '                              </div>\n' +
                                          '                              </div>';
                                  } else { // right images

                                      imgFilesHtml = '<div class="row no-gutters">\n' +
                                          '                              <div class="col-md-8 offset-md-4">\n' +
                                          '                              <span class="img-attachement-right">\n' +
                                          imgHtml +
                                          '                              </span>\n' +
                                          '                              </div>\n' +
                                          '                              </div>';
                                  }
                              }

                              if(normal_files.length > 0) {
                                  for(var i = 0; i<normal_files.length; i++) {
                                      var fileName = normal_files_names[i];

                                      if (data.sent_to == my_id) { // left normal images

                                          normalFilesHtml += '<div class="row no-gutters">\n' +
                                              '                              <div class="col-md-8">\n' +
                                              '                              <span class="file-attachement-left">\n' +
                                              '                              <div><a href="' + normal_files[i] + '" target="_blank">' + fileName + '</a></div>\n' +
                                              '                              </span>\n' +
                                              '                              </div>\n' +
                                              '                              </div>';
                                      } else { // right normal images

                                          normalFilesHtml += '<div class="row no-gutters">\n' +
                                              '                              <div class="col-md-8 offset-md-4">\n' +
                                              '                              <span class="file-attachement-right">\n' +
                                              '                              <div><a href="' + normal_files[i] + '" target="_blank">' + fileName + '</a></div>\n' +
                                              '                              </span>\n' +
                                              '                              </div>\n' +
                                              '                              </div>';
                                      }

                                  }
                              }
                          }

                          var messageHtml = '';

                          if (data.sent_to == my_id) {


                              if(data.message != '') {
                                  messageHtml = '<div class="row no-gutters">\n' +
                                      '                              <div class="col-md-8">\n' +
                                      '                              <div class="chat-bubble chat-bubble--left">\n' +
                                      data.message +
                                      '                          </div>\n' +
                                      '                          </div>\n' +
                                      '                          </div>';
                              }

                              chatHtml += messageHtml + imgFilesHtml + normalFilesHtml;
                          } else {

                              if(data.message != '') {
                                  messageHtml = '<div class="row no-gutters">\n' +
                                      '                              <div class="col-md-8 offset-md-4">\n' +
                                      '                              <div class="chat-bubble chat-bubble--right">\n' +
                                      data.message +
                                      '                          </div>\n' +
                                      '                          </div>\n' +
                                      '                          </div>';
                              }

                              chatHtml += messageHtml + imgFilesHtml + normalFilesHtml;

                          }
                          // changed ends

                      });
                      $("#chatscrolltobottom").html(chatHtml);
                      $("#chatscrolltobottom").animate({ scrollTop: $("#chatscrolltobottom")[0].scrollHeight }, 1000);
                  }
              });
          }
// changed ends
      }
      function messageAdded() {
          var my_id = $('#my_id').val();
          var user_id = $('#user_id').val();
          var chatHtml = '';
          var messageRef = db.collection(messagesCollection);
          messageRef
              .orderBy("sent_at","desc")
              .limit(1)
              .onSnapshot(function (doc) { // this is the event listener on messages collection
                  var docM = doc.docs[0];
                  if(docM != undefined) {
                      var data = docM.data();
                      doc.docChanges().forEach(function (change) {
                          if (change.type === 'added' && firstTimeFlag == 0) {
                              var sent_time = data.sent_at;
                              if (data.user_ids.includes(my_id + '-' + user_id)) {

                                  // changed
                                  var msgAttachments = data.attachments;

                                  var image_files = [];
                                  var normal_files = [];
                                  var normal_files_names = [];
                                  var imageExtensions = ['jpg', 'jpeg', 'png', 'gif', 'tiff'];
                                  var imgHtml = '';
                                  var imgFilesHtml = '';
                                  var normalFilesHtml = '';

                                  if(msgAttachments.length > 0) {
                                      for(var i=0; i < msgAttachments.length; i++) {
                                          var explodedFileString = msgAttachments[i].split(', ');

                                          var filePath = explodedFileString[0];
                                          var fileName = explodedFileString[1];
                                          var extensionArray = filePath.split('.');
                                          var extension = extensionArray[ extensionArray.length-1 ];
                                          if(imageExtensions.includes(extension.toLowerCase())) {
                                              image_files.push(filePath);
                                          } else {
                                              normal_files.push(filePath);
                                              normal_files_names.push(fileName);
                                          }
                                      }



                                      if(image_files.length > 0) {
                                          for(var i = 0; i<image_files.length; i++) {
                                              imgHtml += '<a href="' + image_files[i] + '" target="_blank"><img src="' + image_files[i] + '"></a>';
                                          }

                                          if (data.sent_to == my_id) { // left images

                                              imgFilesHtml = '<div class="row no-gutters">\n' +
                                                  '                              <div class="col-md-8">\n' +
                                                  '                              <span class="img-attachement-left">\n' +
                                                  imgHtml +
                                                  '                              </span>\n' +
                                                  '                              </div>\n' +
                                                  '                              </div>';
                                          } else { // right images

                                              imgFilesHtml = '<div class="row no-gutters">\n' +
                                                  '                              <div class="col-md-8 offset-md-4">\n' +
                                                  '                              <span class="img-attachement-right">\n' +
                                                  imgHtml +
                                                  '                              </span>\n' +
                                                  '                              </div>\n' +
                                                  '                              </div>';
                                          }
                                      }

                                      if(normal_files.length > 0) {
                                          for(var i = 0; i<normal_files.length; i++) {

                                              var fileName = normal_files_names[i];

                                              if (data.sent_to == my_id) { // left normal images

                                                  normalFilesHtml += '<div class="row no-gutters">\n' +
                                                      '                              <div class="col-md-8">\n' +
                                                      '                              <span class="file-attachement-left">\n' +
                                                      '                              <div><a href="' + normal_files[i] + '" target="_blank">' + fileName + '</a></div>\n' +
                                                      '                              </span>\n' +
                                                      '                              </div>\n' +
                                                      '                              </div>';
                                              } else { // right normal images

                                                  normalFilesHtml += '<div class="row no-gutters">\n' +
                                                      '                              <div class="col-md-8 offset-md-4">\n' +
                                                      '                              <span class="file-attachement-right">\n' +
                                                      '                              <div><a href="' + normal_files[i] + '" target="_blank">' + fileName + '</a></div>\n' +
                                                      '                              </span>\n' +
                                                      '                              </div>\n' +
                                                      '                              </div>';
                                              }

                                          }
                                      }
                                  }

                                  var messageHtml = '';

                                  if (data.sent_to == my_id) {


                                      if(data.message != '') {
                                          messageHtml = '<div class="row no-gutters">\n' +
                                              '                              <div class="col-md-8">\n' +
                                              '                              <div class="chat-bubble chat-bubble--left">\n' +
                                              data.message +
                                              '                          </div>\n' +
                                              '                          </div>\n' +
                                              '                          </div>';
                                      }

                                      chatHtml = messageHtml + imgFilesHtml + normalFilesHtml;
                                  } else {

                                      if(data.message != '') {
                                          messageHtml = '<div class="row no-gutters">\n' +
                                              '                              <div class="col-md-8 offset-md-4">\n' +
                                              '                              <div class="chat-bubble chat-bubble--right">\n' +
                                              data.message +
                                              '                          </div>\n' +
                                              '                          </div>\n' +
                                              '                          </div>';
                                      }

                                      chatHtml = messageHtml + imgFilesHtml + normalFilesHtml;

                                  }

                                  // changed ends

                                  if(!messengerAddedMessagesDosIds.includes(docM.id)) {  // unique message
                                      messengerAddedMessagesDosIds.push(docM.id);
                                      var oldHtml = $("#chatscrolltobottom").html();
                                      var newHtml = oldHtml + chatHtml;
                                      $("#chatscrolltobottom").html(newHtml);
                                  }

                                  $('#chat-input').val('');
                                  $("#chatscrolltobottom").animate({ scrollTop: $("#chatscrolltobottom")[0].scrollHeight }, 1000);
                              }
                          }
                      });
                  }
                  firstTimeFlag = 0;
              });
      }
      function uploadAttachments() {
          var formData = new FormData();
          var user_id = $('#user_id').val();
          var my_id = $('#my_id').val();
          for(var i=0; i<attachments.length;i++){
              formData.append('files[]', attachments[i]);
          }
          formData.append('my_id', my_id);
          formData.append('user_id', user_id);
          formData.append('_token', "{{ csrf_token() }}");
          $.ajax({
              data: formData,
              async: false,
              cache: false,
              processData: false,
              contentType: false,
              url: "{{ url('frontend/upload_chat_attachments') }}",
              type: 'POST',
              error: function(xhr, status, error) {
                  attachments = [];
                  messageAttachments = [];
                  removedIndexes = [];
                  $('#messenger-files-names').html('');
                  sendMessageCalled = false;

                  alert('An error in upload. ' + error);
              },
              success: function(response) {
                  messageAttachments = response;
                  addMessageToFirebase();
              },
              timeout: 7000
          });
      }
      function sendMessage() {
          // changed
          if(sendMessageCalled == false) {
              sendMessageCalled = true;
              var user_id = $('#user_id').val();
              db.collection(usersCollection).where('id', '==', parseInt(user_id)) // query for blocked and stopped users
                  .get().then(function (mainUserSnapshot) {
                  mainUserSnapshot.forEach(function (mainUserDoc) {
                      var mainUserData = mainUserDoc.data();
                      var current_blocked_users = mainUserData.blocked_users;
                      var current_muted_users = mainUserData.conversation_stopped_users;
                      if (current_blocked_users.includes(parseInt(my_id)) || current_muted_users.includes(parseInt(my_id))) {
                          if (current_blocked_users.includes(parseInt(my_id))) {
                              $('#your_blocked_section_messenger').show();
                              $("#chatscrolltobottom").html('');
                          } else {
                              $('#your_muted_section_messenger').show();
                          }
                          $('#message_fields_messenger').hide();
                          sendMessageCalled = false;
                      } else {
                          if (attachments.length > 0) {

                              // remove deleted files from attachments
                              for (var i = 0; i < removedIndexes.length; i++) {
                                  attachments.splice(i, 1);
                              }

                              uploadAttachments();
                          } else {
                              addMessageToFirebase();
                          }
                      }
                  });
              });
          }
          // changed ends here
      }
      function addMessageToFirebase() {
          var message = $('#chat-input').val();
          var my_id = $('#my_id').val();
          var user_id = $('#user_id').val();
          if(messageAttachments.length > 0 || message.trim().length > 0 ) {
              db.collection(messagesCollection).add({
                  sent_to: user_id,
                  sent_by: my_id,
                  sent_at: Date.now(),
                  message: message,
                  user_ids: [user_id, my_id, my_id + '-' + user_id, user_id + '-' + my_id],
                  attachments: messageAttachments,
                  is_read: 0
              })
                  .then(function (docRef) {
                      console.log("Document written with ID: ", docRef.id);
                      attachments = [];
                      messageAttachments = [];
                      removedIndexes = [];
                      $('#messenger-files-names').html('');
                      sendMessageCalled = false;
                  })
                  .catch(function (error) {
                      console.error("Error adding document: ", error);
                      attachments = [];
                      messageAttachments = [];
                      removedIndexes = [];
                      $('#messenger-files-names').html('');
                      sendMessageCalled = false;
                  });
          } else {
              sendMessageCalled = false;
          }
      }
      function blockMessengerUser() {
          var id = parseInt( $('#user_id').val() );
          messenger_blocked_users.push(id);
          db.collection(usersCollection).where("id", "==", parseInt(my_id)).limit(1)
              .get()
              .then(function(querySnapshot) {
                  querySnapshot.forEach(function(doc) {
                      console.log(doc.id, " => ", doc.data());
                      db.collection(usersCollection).doc(doc.id).update({
                          blocked_users: messenger_blocked_users
                      });
                      //getMessages();
                      window.location.reload();
                  });
              });
      }
      function unblockMessengerUser() {
          var id = parseInt( $('#user_id').val() );
          //blocked_users.push(id);
          var index = messenger_blocked_users.indexOf(id);
          if (index > -1) {
              messenger_blocked_users.splice(index, 1);
          }
          db.collection(usersCollection).where("id", "==", parseInt(my_id)).limit(1)
              .get()
              .then(function(querySnapshot) {
                  querySnapshot.forEach(function(doc) {
                      console.log(doc.id, " => ", doc.data());
                      db.collection(usersCollection).doc(doc.id).update({
                          blocked_users: messenger_blocked_users
                      });
                      //getMessages();
                      window.location.reload();
                  });
              });
      }
      function stopMessengerConversation() {
          var id = parseInt( $('#user_id').val() );
          messenger_conversation_stopped_users.push(id);
          db.collection(usersCollection).where("id", "==", parseInt(my_id)).limit(1)
              .get()
              .then(function(querySnapshot) {
                  querySnapshot.forEach(function(doc) {
                      console.log(doc.id, " => ", doc.data());
                      db.collection(usersCollection).doc(doc.id).update({
                          conversation_stopped_users: messenger_conversation_stopped_users
                      });
                      getMessages();
                  });
              });
      }
      function unstopMessengerConversation() {
          var id = parseInt( $('#user_id').val() );
          //conversation_stopped_users.push(id);
          var index = messenger_conversation_stopped_users.indexOf(id);
          if (index > -1) {
              messenger_conversation_stopped_users.splice(index, 1);
          }
          db.collection(usersCollection).where("id", "==", parseInt(my_id)).limit(1)
              .get()
              .then(function(querySnapshot) {
                  querySnapshot.forEach(function(doc) {
                      console.log(doc.id, " => ", doc.data());
                      db.collection(usersCollection).doc(doc.id).update({
                          conversation_stopped_users: messenger_conversation_stopped_users
                      });
                      //getMessages();
                      $('#unmute_section_messenger').hide();
                  });
              });
      }
      function sendMessengerInvite() {
          var user_id = $('#user_id').val();
          db.collection(invitationsCollection).where("user_ids", "array-contains", my_id + '-' + user_id).limit(1)
              .get()
              .then(function(querySnapshot) {

                  if(querySnapshot.size == 0) {
                      db.collection(invitationsCollection).add({
                          sent_to: user_id,
                          sent_by: my_id,
                          sent_at: Date.now(),
                          user_ids: [user_id, my_id, my_id + '-' + user_id, user_id + '-' + my_id],
                          status: 'pending'
                      })
                          .then(function(docRef) {
                              console.log("Document written with ID: ", docRef.id);
                              getMessengerUserDetailsAfterInviteChanged(user_id);
                              sendEmailNotification();
                          })
                          .catch(function(error) {
                              console.error("Error adding document: ", error);
                          });
                  } else {
                      alert('Invite is already sent');
                  }

              });

      }
      function acceptMessengerInvite() {
          var user_id = $('#user_id').val();
          db.collection(invitationsCollection).where("user_ids", "array-contains", my_id + '-' + user_id).limit(1)
              .get()
              .then(function(querySnapshot) {
                  querySnapshot.forEach(function(doc) {
                      console.log(doc.id, " => ", doc.data());
                      if(doc.data().sent_to == my_id) {
                          db.collection(invitationsCollection).doc(doc.id).update({
                              status: 'accepted'
                          });
                      }
                  });
                  getMessengerUserDetailsAfterInviteChanged(user_id);
              });
      }
      function rejectMessengerInvite() {
          var user_id = $('#user_id').val();
          db.collection(invitationsCollection).where("user_ids", "array-contains", my_id + '-' + user_id).limit(1)
              .get()
              .then(function(querySnapshot) {
                  querySnapshot.forEach(function(doc) {
                      console.log(doc.id, " => ", doc.data());
                      if(doc.data().sent_to == my_id) {
                          db.collection(invitationsCollection).doc(doc.id).update({
                              status: 'rejected'
                          });
                      }
                  });
                  getMessengerUserDetailsAfterInviteChanged(user_id);
              });
      }
      function getMessengerUserDetailsAfterInviteChanged(id) {
          getMessages();
          messengerInviteChanged();
      }
      function messengerInviteChanged() {
          var user_id = $('#user_id').val();
          //alert(my_id + '-' + user_id)
          var messageRef = db.collection(invitationsCollection).where("user_ids", "array-contains", my_id + '-' + user_id).limit(1);
          messageRef
              .onSnapshot(function (doc) { // this is the event listener on messages collection
                  var docM = doc.docs[0];
                  if(docM != undefined) {
                      var data = docM.data();
                      doc.docChanges().forEach(function (change) {
                          if (change.type === 'added') {
                              //alert(data.sent_to + '/' + my_id + '/' + data.status);
                              if(data.sent_to == my_id && data.status == 'pending') {
                                  getMessages();
                              }
                          }else if (change.type === 'modified') {
                              if(data.sent_by == my_id && (data.status == 'accepted' || data.status == 'rejected')) {
                                  getMessages();
                              }
                          }
                      });
                  }
              });
      }

      function sendEmailNotification() {

          var sender_id = $('#my_id').val();
          var receiver_id = $('#user_id').val();

          var base_url = "{{ url('/') }}";
          $.ajax({
              url: base_url + '/frontend/send_chat_invite_email_and_notification?sender_id=' + sender_id + '&receiver_id=' + receiver_id,
              method: "GET",
              success: function (data) {
              },
              error: function (data) {
                  alert('Could not send invitation')
              }

          });

      }

      function getAllMessengerChatUsers() {


          var usersHtml = '';
          var searchVal = ($('#messenger_search').val()).toLowerCase();
          for (var key in messengerUnreadMessagesUsers) {

              //console.log(key + " -> " + allUsers[key].messageCount);
              var userData = messengerUnreadMessagesUsers[key].userData;
              var unreadCount = messengerUnreadMessagesUsers[key].messageCount;
              var unreadHtml = '';
              if(unreadCount > 0) {
                  unreadHtml = '<span class="chat-mesg-count">' + unreadCount + '</span>';
              }

              usersHtml += '<li>\n' +
                  '          <a style="cursor: pointer;" onclick="return changeUser(' + userData.id + ')">\n' +
                  '            <span class="item">\n' +
                  '             <span class="icon-type">\n' +
                  unreadHtml +
                  '                <img src="' + userData.avatar + '" alt="" />\n' +
                  '              </span>\n' +
                  '              <span class="text">' + userData.name + '</span>\n' +
                  '            </span>\n' +
                  '          </a>\n' +
                  '          <input type="hidden" id="messenger_chat_user_id_' + userData.id + '" value="' + userData.id + '">' +
                  '          <input type="hidden" id="messenger_chat_user_name_' + userData.id + '" value="' + userData.name + '">' +
                  '          <input type="hidden" id="messenger_chat_user_avatar_' + userData.id + '" value="' + userData.avatar + '">'
              '        </li>';
          }

          db.collection(usersCollection)
              .get().then(function (userSnapshot) {
              userSnapshot.forEach(function (userDoc) {

                  var userData = userDoc.data();

                  var userName = (userData.name).toLowerCase();

                  if( !message_users.includes(userData.id) && main_my_id != userData.id && !blocked_users.includes( parseInt(main_my_id) ) && (userName.indexOf(searchVal) !== -1 || searchVal == '') ) {

                      var userData = userDoc.data();

                      usersHtml += '<li>\n' +
                          '          <a style="cursor: pointer;" onclick="return changeUser(' + userData.id + ')">\n' +
                          '            <span class="item">\n' +
                          '             <span class="icon-type">\n' +
                          '                <img src="' + userData.avatar + '" alt="" />\n' +
                          '              </span>\n' +
                          '              <span class="text">' + userData.name + '</span>\n' +
                          '            </span>\n' +
                          '          </a>\n' +
                          '          <input type="hidden" id="messenger_chat_user_id_' + userData.id + '" value="' + userData.id + '">' +
                          '          <input type="hidden" id="messenger_chat_user_name_' + userData.id + '" value="' + userData.name + '">' +
                          '          <input type="hidden" id="messenger_chat_user_avatar_' + userData.id + '" value="' + userData.avatar + '">'
                      '        </li>';
                  }

              });

              $('#messenger_chat_users_list').html(usersHtml);
              $("#messenger_list").fadeIn("fast");
          });

      }

      function getUnreadMessagesCount() {

          var messageRef = db.collection(messagesCollection);
          messageRef
              .onSnapshot(function (doc) { // this is the event listener on messages collection
                  var docM = doc.docs[0];
                  var unreadCount = 0;
                  var sent_by_users = [];
                  messenger_message_users = [];
                  messengerUnreadMessagesUsers = [];
                  messenger_blocked_users = [];
                  messenger_conversation_stopped_users = [];

                  db.collection(messagesCollection)
                  //.where('sent_to', '==', main_my_id)
                      .orderBy('sent_at', 'desc')
                      .get().then(function (querySnapshot) {
                      querySnapshot.forEach(function (doc) {
                          var data = doc.data();
                          if(data.sent_to == my_id && data.is_read == 0) {
                              //unreadCount++;

                              // sent by
                              if( !sent_by_users.includes(data.sent_by) ) {
                                  sent_by_users.push(data.sent_by);

                                  db.collection(messagesCollection)
                                      .where('sent_to', '==', my_id)
                                      .where('sent_by', '==', data.sent_by)
                                      .where('is_read', '==', 0)
                                      .get().then(function (msgSnapshot) {


                                      db.collection(usersCollection)
                                          .where('id', '==', parseInt(data.sent_by))
                                          .get().then(function (userSnapshot) {
                                          userSnapshot.forEach(function (userDoc) {
                                              var userData = userDoc.data();

                                              var updateFlag = false;
                                              for (var key in unreadMessagesUsers) {
                                                  var user_id = unreadMessagesUsers[key].userData.id;
                                                  if(user_id == userData.id) {
                                                      updateFlag = true;
                                                      unreadMessagesUsers[key].messageCount = msgSnapshot.size;
                                                  }
                                              }

                                              if(updateFlag == false) {
                                                  unreadMessagesUsers.push({
                                                      messageCount: msgSnapshot.size,
                                                      userData: userData
                                                  });
                                              }

                                              messenger_message_users.push(userData.id);
                                          });
                                      });
                                  });
                              }
                              // sent by ends
                          }
                      });

                  });

                  // blocked users
                  db.collection(usersCollection).where('id', '==', parseInt(my_id)) // query for blocked and stopped users
                      .get().then(function (mainUserSnapshot) {
                      mainUserSnapshot.forEach(function (mainUserDoc) {
                          var mainUserData = mainUserDoc.data();
                          messenger_blocked_users = mainUserData.blocked_users;
                          messenger_conversation_stopped_users = mainUserData.conversation_stopped_users;
                      });
                  });
                  // blocked users ends

              });
      }

      function readMessages() {
          var user_id = $('#user_id').val();
          db.collection(messagesCollection)
              .where('user_ids', 'array-contains', my_id + '-' + user_id) // query for blocked and stopped users
              .get().then(function (querySnapshot) {
              querySnapshot.forEach(function (doc) {
                  var data = doc.data();
                  if(data.is_read == 0) {
                      db.collection(messagesCollection).doc(doc.id).update({
                          is_read: 1
                      });
                  }
              });

          });
      }
  </script>
  <script>
      $("#chatscrolltobottom").animate({ scrollTop: $("#chatscrolltobottom")[0].scrollHeight }, 1000);
  </script>

@endsection