@foreach($notifications as $notification)
    <div class="row">
        <div class="col-md-12">
            <div class= "notification_list" @if($notification->status == 'Read') style="background-color: #d4d4d4;" @endif>
                <div class="notification_icon">
                    <i class="fa {!! ($notification->status == 'Read') ? 'fa-eye':'fa-volume-up' !!} circle-icon"></i>
                </div>
                <div class="notification_text">
                    <span>{!! $notification->message !!}</span>
                    <div class="notification_time">
                        <i class="fa fa-calendar" aria-hidden="true"></i>
                        <span>{{ date('d-m-Y', strtotime($notification->created_at)) }}</span>
                        <i class="fa fa-clock-o" aria-hidden="true"></i>
                        <span>{{ date('H:i a', strtotime($notification->created_at)) }}</span>
                        @if(!is_null($notification->url))
                            <a href="{{route('frontend.user.read_notification' , ['id' => $notification->id])}}"><strong class="notifyy float-right">VIEW DETAILS</strong></a>
                        @endif
                    </div>
                </div>
            </div>
        </div>
    </div>
@endforeach