<section class="featured-section py-5 text-center">
    <div class="container">
        <h2>Featured <b>Influencers</b></h2>
        <p>Suspendisse potenti. Donec consectetur varius porttitor. Nunc ac rutrum turpis. Pellentesque dignissim diam quis ex dapibus, fermentum egestas metus suscipit. Maecenas mattis felis quam, euismod eleifend mauris elementum ac.</p>
        <div class="row py-4">
            @if($featuredInfluencers && sizeof($featuredInfluencers) > 0)
            @foreach($featuredInfluencers as $influencer)
                <div class="col-md-4">
                    <div class="col-feature text-left p-4">
                        <div class="row align-items-center">
                            <div class="col-md-7">
                                @if($influencer->account_type == 'Instagram')
                                    <i class="fa fa-instagram" aria-hidden="true" style="font-size: 20px;"></i>
                                @elseif($influencer->account_type == 'Tiktok')
                                    <img class="img-responsive" src="{{asset('images/tiktok.png')}}" alt="Image" title="Image Not Available" height="20px" />
                                @elseif($influencer->account_type == 'Twitter')
                                    <i class="fa fa-twitter" aria-hidden="true" style="font-size: 20px;"></i>
                                @endif

                                <span class="">{{$influencer->account_name}}</span>
                                <h3>{{ App\SocialmediaObject::number_format_short( $influencer->followers_count ) }}</h3>
                                <span class="">FOLLOWERS</span><br/>
                                <a href="{{ asset( 'frontend/influencer/' . $influencer->id) }}"><span class="color-green">{{ '@' . $influencer->account_handle }}</span></a>
                            </div>
                            <div class="col-md-5 text-right">
                                <img src="{{ $influencer->profile_picture }}" onerror="this.src='{{asset('images/default.jpg')}}'" class=" rounded-circle" alt="" />

                            </div>
                        </div>
                    </div>
                </div>
            @endforeach
            @else
                <h4>No Featured influencer found</h4>
            @endif

            <div class="col-md-12">
                <div class="actionbtn action-btn-blue">
                    <a href="{{ asset( 'frontend/browse_influencers') }}"><button>Browse Influencers</button></a>
                </div>
            </div>
        </div>
    </div>
</section>
