
<div class="col-12">
        <nav class="navbar navbar-expand-md navbar-light">

            <a class="navbar-brand" href="{{ asset('/') }}"><strong>CloutSource Marketplace</strong></a>

            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav ml-auto py-4 py-md-0 no-border">
                    <li class="nav-item">
                        <div class="nav_icons">
                        <img src="{{ asset('frontend/images/dashboard.png') }}" style="height: 22px;">
                        <a href="{{ route('frontend.user.dashboard') }}" class="nav-link">Dashboard</a>
                        </div>
                    </li>


                    @if(Auth::user()->role->title == 'Admin')
                    <li class="nav-item">
                            <div class="nav_icons">
                            <img src="{{ asset('frontend/images/packages.png') }}" style="height: 22px;">
                            <a class="nav-link" href="{{ route('frontend.user.packages') }}" style="text-decoration: none; color: #002838;">Packages</a>
                            </div>
                    </li>

                    @endif

                    <li class="nav-item">
                            <div class="nav_icons">
                            <img src="{{ asset('frontend/images/orders.png') }}" style="height: 22px;">
                            <a href="{{ route('frontend.user.list_orders') }}" class="nav-link">Orders</a>
                            </div>
                    </li>

                    <li class="nav-item">
                        <div class="nav_icons dropdown" id="dropdowncampaign" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <img src="{{ asset('frontend/images/campaign.png') }}" style="height: 22px;">
                            <a class="nav-link">Campaign</a>
                        </div>
                        <div class="dropdown-menu campaign-dropdown" aria-labelledby="dropdowncampaign">
                            <a class="dropdown-item" href="{{ route('frontend.user.campaigns', ['status' => 'all']) }}">All Campaigns</a>
                            <a class="dropdown-item" href="{{ route('frontend.user.campaigns', ['status' => 'in-progress']) }}">Orders from Buyers</a>
                            {{--<a class="dropdown-item" href="{{ route('frontend.user.campaigns', ['status' => 'completed']) }}">Completed Campaigns</a>--}}

                        </div>

                    </li>


                    <li class="nav-item">
                        <div class="nav_icons"style="border-right: none;padding-right: 0px;">
                            <a href="{{ route('frontend.user.campaign_cart_details') }}">
                            <img src="{{ asset('frontend/images/supermarket.png') }}" style="height: 22px;">
                            <a href="{{ route('frontend.user.campaign_cart_details') }}" class="nav-link">Cart</a>
                            </a>
                        </div>
                    </li>
                    
                   


<!--                     <li class="nav-item pl-4 pl-md-0 ml-0 ml-md-4">
                        <div class="nav_icons" style="margin-left: 0px;">
                                <img style="width:35%;" src="{{ asset('frontend/images/card-img.jpg') }}" class=" rounded-circle" alt="" />
                                <span class="notifi">3</span>
                        </div>

                        {{-- <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">Account</a> --}}
                        <div class="dropdown-menu">
                            <a class="dropdown-item" href="{{ route('frontend.user.edit_profile') }}">Edit Profile</a>
                            <a class="dropdown-item" href="{{ route('frontend.social.home') }}">Add Social Accounts</a>
                            <a class="dropdown-item" href="{{ route('frontend.user.notifications') }}">Notifications</a>
                            {{--<a class="dropdown-item" href="#" data-toggle="modal" data-target="#reviewmodal" id="modal-open-button">Review Site</a>
                            --}}
                            <a class="dropdown-item" href="{{ route('frontend.user.create_ticket') }}">Report an issue</a>
                            <a class="dropdown-item" href="#" onclick="document.getElementById('logoutform').submit();">Logout</a>
                        </div>
                    </li> -->

<li class="userprf-dropdown">
<div class="dropdown">
  <button class="btn dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
     <div class="nav_icons" style="margin-left: 0px;">
            <img style="width:35%;" src="{{ asset('frontend/images/card-img.jpg') }}" class=" rounded-circle account-img" alt="" />
            {!! get_unread_notification_count() !!}
    </div>
  </button>
    <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
     <a class="dropdown-item" href="{{ route('frontend.user.edit_profile') }}">Edit Profile</a>
        <a class="dropdown-item" href="{{ auth()->user()->profile_link == null ? route('user.update_null_link', ['id'=> auth()->user()->id]) : auth()->user()->profile_link }}">View Profile</a>
        <a class="dropdown-item" href="{{ route('frontend.social.home') }}">Add Social Accounts</a>
        <a class="dropdown-item" href="{{ route('frontend.user.notifications') }}">Notifications</a>
        <a class="dropdown-item" href="{{ route('frontend.user.addPayments') }}">Add Payment Details</a>
        {{--<a class="dropdown-item" href="#" data-toggle="modal" data-target="#reviewmodal" id="modal-open-button">Review Site</a>
        --}}
        <a class="dropdown-item" href="{{ route('frontend.user.create_ticket') }}">Report an issue</a>
        <a class="dropdown-item" href="#" onclick="document.getElementById('logoutform').submit();">Logout</a>
    </div>
</div>

</li>
                </ul>



             <!--    <ul class="user-dropdown">
                 <li>
                        <div class="dropdown account-dropdown">
                        <a class="btn dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                             <div class="nav_icons" style="margin-left: 0px;">
                                    <img style="width:35%;" src="{{ asset('frontend/images/card-img.jpg') }}" class=" rounded-circle account-img" alt="" />
                                    {!! get_unread_notification_count() !!}
                            </div>
                        </a>

                        <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
                         <a class="dropdown-item" href="{{ route('frontend.user.edit_profile') }}">Edit Profile</a>
                            <a class="dropdown-item" href="{{ route('frontend.social.home') }}">Add Social Accounts</a>
                            <a class="dropdown-item" href="{{ route('frontend.user.notifications') }}">Notifications</a>
                            <a class="dropdown-item" href="{{ route('frontend.user.addPayments') }}">Add Payment Details</a>
                            {{--<a class="dropdown-item" href="#" data-toggle="modal" data-target="#reviewmodal" id="modal-open-button">Review Site</a>
                            --}}
                            <a class="dropdown-item" href="{{ route('frontend.user.create_ticket') }}">Report an issue</a>
                            <a class="dropdown-item" href="#" onclick="document.getElementById('logoutform').submit();">Logout</a>
                        </div>
                        </div>
                    </li>
                    </ul> -->
            </div>

        </nav>
    </div>
   
