<!-- Header -->
<?php $__env->startSection('header'); ?>
<?php echo $__env->make('partials.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contents'); ?>
<section class="user-dashboard">
	<div class="container">
		<div class="row">
			<div class="col-md-12">
				<div class="maincontent-heading">
					<h2>DASHBOARD</h2>
				</div>
				<div class="heading-text">
					<h3>EARNING</h3>
				</div>



				<div class="chartcanvas" style="width:100%;">
					<canvas id="canvas" class="chart" style="height: 300px"></canvas>
				</div>









			</div>
		</div>
	</div>
</section>
<section class="earningreport">
	<div class="container">
		<div class="row">
			<div class="earningreport-item">
				<div class="inner-heading-text">
					<h3>TOTAL EARNING</h3>
				</div>
				<div class="earningreport-inner">
					<i class="far fa-chart-bar"></i>
					<span>$<?php echo e(App\SocialmediaObject::number_format_short( $earningDetails['totalEarning'] )); ?></span>
				</div>
			</div>
			<div class="earningreport-item">
				<div class="inner-heading-text">
					<h3>EARNED THIS MONTH</h3>
				</div>
				<div class="earningreport-inner">
					<i class="far fa-chart-bar"></i>
					<span>$<?php echo e(App\SocialmediaObject::number_format_short( $earningDetails['thisMonthEarning'] )); ?></span>
				</div>
			</div>
			<div class="earningreport-item">
				<div class="inner-heading-text">
					<h3>EARNED THIS YEAR</h3>
				</div>
				<div class="earningreport-inner">
					<i class="far fa-chart-bar"></i>
					<span>$<?php echo e(App\SocialmediaObject::number_format_short( $earningDetails['thisYearEarning'] )); ?></span>
				</div>
			</div>
		</div>
	</div>
</section>
<section class="totalcampaign socialmedia-accounts">
	<div class="container">
		<div class="row">
			<div class="totalearningreport-item">
				<div class="inner-heading-text">
					<h3>Number of SOCIAL MEDIA ACCOUNTs</h3>
				</div>
				<div class="socialmedia-piechart">
					<div id="chart_div"></div>
					<div class="social-media-account-info">
						<h1><?php echo e($earningDetails['tiktokAccountsCount'] + $earningDetails['instagramAccountsCount']); ?></h1>
					</div>
				</div>
			</div>
			<div class="totalearningreport-item feature-profile">
				<div class="inner-heading-text">
					<h3>NUMBER OF FEATURED PROFILES</h3>
				</div>
				<div class="totalearningreport-inner">
					<i class="fas fa-users"></i>
					<span><?php echo e($earningDetails['featuredCount']); ?></span>
				</div>
			</div>
		</div>
	</div>
</section>
<section class="totalcampaign socialmedia-accounts">
	<div class="container">
		<div class="row">
			<div class="totalearningreport-item">
				<div class="inner-heading-text">
					<h3>TRANSACTIONS</h3>
				</div>
				<div class="socialmedia-piechart">
					<div id="chart_div2"></div>
					<div class="transaction-completed">
						<span class="completed-acc">Completed: &nbsp; 5076</span>
						<span class="pending-acc">Pending: &nbsp; 108</span>
					</div>
				</div>
			</div>
			<div class="totalearningreport-item feature-profile">
				<div class="inner-heading-text">
					<h3>NO OF USERS</h3>
				</div>
				<div class="totalearningreport-inner">
					<i class="fas fa-users"></i>
					<span>2200</span>
				</div>
			</div>
		</div>
	</div>
</section>
<section class="top-selling-profile">
	<div class="container">
		<div class="row">
			<div class="inner-heading-text">
				<h3>TOP 10 SELLING PROFILES</h3>
			</div>
			<div class="top-selling-profile-parent">
				<div class="top-selling-profile-item">
					<div class="top-profile-img">
						<img src="<?php echo e(asset('frontend/images/card-img.jpg')); ?>" alt="" />
					</div>
					<div class="top-profile-text">
						<h6>John Doe</h6>
						<span>$5</span>
					</div>
				</div>

								<div class="top-selling-profile-item">
					<div class="top-profile-img">
						<img src="<?php echo e(asset('frontend/images/card-img2.jpg')); ?>" alt="" />
					</div>
					<div class="top-profile-text">
						<h6>John Doe</h6>
						<span>$5</span>
					</div>
				</div>


								<div class="top-selling-profile-item">
					<div class="top-profile-img">
						<img src="<?php echo e(asset('frontend/images/card-img3.jpg')); ?>" alt="" />
					</div>
					<div class="top-profile-text">
						<h6>John Doe</h6>
						<span>$5</span>
					</div>
				</div>


								<div class="top-selling-profile-item">
					<div class="top-profile-img">
						<img src="<?php echo e(asset('frontend/images/card-img.jpg')); ?>" alt="" />
					</div>
					<div class="top-profile-text">
						<h6>John Doe</h6>
						<span>$5</span>
					</div>
				</div>



								<div class="top-selling-profile-item">
					<div class="top-profile-img">
						<img src="<?php echo e(asset('frontend/images/card-img2.jpg')); ?>" alt="" />
					</div>
					<div class="top-profile-text">
						<h6>John Doe</h6>
						<span>$5</span>
					</div>
				</div>



								<div class="top-selling-profile-item">
					<div class="top-profile-img">
						<img src="<?php echo e(asset('frontend/images/card-img3.jpg')); ?>" alt="" />
					</div>
					<div class="top-profile-text">
						<h6>John Doe</h6>
						<span>$5</span>
					</div>
				</div>



								<div class="top-selling-profile-item">
					<div class="top-profile-img">
						<img src="<?php echo e(asset('frontend/images/card-img.jpg')); ?>" alt="" />
					</div>
					<div class="top-profile-text">
						<h6>John Doe</h6>
						<span>$5</span>
					</div>
				</div>


								<div class="top-selling-profile-item">
					<div class="top-profile-img">
						<img src="<?php echo e(asset('frontend/images/card-img2.jpg')); ?>" alt="" />
					</div>
					<div class="top-profile-text">
						<h6>John Doe</h6>
						<span>$5</span>
					</div>
				</div>


								<div class="top-selling-profile-item">
					<div class="top-profile-img">
						<img src="<?php echo e(asset('frontend/images/card-img3.jpg')); ?>" alt="" />
					</div>
					<div class="top-profile-text">
						<h6>John Doe</h6>
						<span>$5</span>
					</div>
				</div>



								<div class="top-selling-profile-item">
					<div class="top-profile-img">
						<img src="<?php echo e(asset('frontend/images/card-img.jpg')); ?>" alt="" />
					</div>
					<div class="top-profile-text">
						<h6>John Doe</h6>
						<span>$5</span>
					</div>
				</div>


			</div>
		</div>
	</div>
</section>
<input type="hidden" id="all_months_earnings" value="<?php echo e(implode( ',', $earningDetails['allMonthsEarnings'] )); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('footer'); ?>
<?php echo $__env->make('partials.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
<script src="https://www.gstatic.com/charts/loader.js"></script>
<script>
	/*var randomScalingFactor = function() {
		return Math.ceil(Math.random() * 10.0) * Math.pow(10, Math.ceil(Math.random() * 5));
	};
	var config = {
		type: 'line',
		data: {
			labels: ['January', 'February', 'March', 'April', 'May', 'June', 'July'],
			datasets: [{
				label: 'My First dataset',
				backgroundColor: window.chartColors.red,
				borderColor: window.chartColors.red,
				fill: false,
				data: [
					randomScalingFactor(),
					randomScalingFactor(),
					randomScalingFactor(),
					randomScalingFactor(),
					randomScalingFactor(),
					randomScalingFactor(),
					randomScalingFactor()
				],
			}, {
				label: 'My Second dataset',
				backgroundColor: window.chartColors.blue,
				borderColor: window.chartColors.blue,
				fill: false,
				data: [
					randomScalingFactor(),
					randomScalingFactor(),
					randomScalingFactor(),
					randomScalingFactor(),
					randomScalingFactor(),
					randomScalingFactor(),
					randomScalingFactor()
				],
			}]
		},
		options: {
			responsive: true,
			title: {
				display: true,
				text: 'Chart.js Line Chart - Logarithmic'
			},
			scales: {
				xAxes: [{
					display: true,
				}],
				yAxes: [{
					display: true,
					type: 'logarithmic',
				}]
			}
		}
	};
	window.onload = function() {
		var ctx = document.getElementById('canvas').getContext('2d');
		window.myLine = new Chart(ctx, config);
	};
	document.getElementById('randomizeData').addEventListener('click', function() {
		config.data.datasets.forEach(function(dataset) {
			dataset.data = dataset.data.map(function() {
				return randomScalingFactor();
			});
		});
		window.myLine.update();
	});*/

    var all_months_earnings = $('#all_months_earnings').val();
    var all_months_earnings_array = all_months_earnings.split(',');
    var lineChartData = {
        labels: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'],
        datasets: [{
            label: 'Monthly Earning',
            borderColor: window.chartColors.blue,
            backgroundColor: window.chartColors.blue,
            fill: false,
            data: [
                all_months_earnings_array[0],
                all_months_earnings_array[1],
                all_months_earnings_array[2],
                all_months_earnings_array[3],
                all_months_earnings_array[4],
                all_months_earnings_array[5],
                all_months_earnings_array[6],
                all_months_earnings_array[7],
                all_months_earnings_array[8],
                all_months_earnings_array[9],
                all_months_earnings_array[10],
                all_months_earnings_array[11]
            ],
            yAxisID: 'y-axis-1',
        }/*, {
				label: 'My Second dataset',
				borderColor: window.chartColors.blue,
				backgroundColor: window.chartColors.blue,
				fill: false,
				data: [
					randomScalingFactor(),
					randomScalingFactor(),
					randomScalingFactor(),
					randomScalingFactor(),
					randomScalingFactor(),
					randomScalingFactor(),
					randomScalingFactor()
				],
				yAxisID: 'y-axis-2'
			}*/
        ]
    };

    window.onload = function() {
        var ctx = document.getElementById('canvas').getContext('2d');
        window.myLine = Chart.Line(ctx, {
            data: lineChartData,
            options: {
                responsive: true,
                hoverMode: 'index',
                stacked: false,
                title: {
                    display: false,
                    text: 'Chart.js Line Chart - Multi Axis'
                },
                scales: {
                    yAxes: [{
                        type: 'linear', // only linear but allow scale type registration. This allows extensions to exist solely for log scale for instance
                        display: true,
                        position: 'left',
                        id: 'y-axis-1',
                    }, {
                        type: 'linear', // only linear but allow scale type registration. This allows extensions to exist solely for log scale for instance
                        display: false,
                        position: 'right',
                        id: 'y-axis-2',

                        // grid line settings
                        gridLines: {
                            drawOnChartArea: false, // only want the grid lines for one axis to show up
                        },
                    }],
                }
            }
        });
    };

</script>



<script>
// Load the Visualization API and the piechart package.
google.load('visualization', '1.0', {'packages':['corechart','line']});
// Set a callback to run when the Google Visualization API is loaded.
google.setOnLoadCallback(drawChart);
// Callback that creates and populates a data table,
// instantiates the pie chart, passes in the data and
// draws it.
function drawChart() {
// Create the data table.
var data = new google.visualization.DataTable();
data.addColumn('string', 'Topping');
data.addColumn('number', 'Slices');
data.addRows([
['TIKTOK', parseInt( "<?php echo e($earningDetails['tiktokAccountsCount']); ?>" )],
['INSTAGRAM', parseInt( "<?php echo e($earningDetails['instagramAccountsCount']); ?>" )]
]);
// Create the data table.
var data2 = new google.visualization.DataTable();
data2.addColumn('string', 'Topping');
data2.addColumn('number', 'Slices');
data2.addRows([
['Pending', 1],
['Completed', 3]
]);
// Set chart options
var options = {
'width':400,
'height':300,
colors: ['#68c9d0', '#3e729a']};
// Set chart options
var options2 = {
'width':400,
'height':300,
colors: ['red', '#3266cc']};
// Instantiate and draw our chart, passing in some options.
var chart = new google.visualization.PieChart(document.getElementById('chart_div'));
chart.draw(data, options);
var chart2 = new google.visualization.PieChart(document.getElementById('chart_div2'));
chart2.draw(data2, options2);
}

</script>



<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.frontend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/cloutsource/resources/views/frontend/user/admin_dashboard.blade.php ENDPATH**/ ?>