<!-- Header -->
<?php $__env->startSection('header'); ?>
    <?php echo $__env->make('partials.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('contents'); ?>
    <div class="background_section">
                    <div class="section">
                            <?php echo $__env->make('flash-message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                            <div class="container">
                                    <div class="campaign_heading">
                                            <span>CAMPAIGN LIST</span>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class= "campaign_list">
                                                

                                                <div class="sort_div" style="display: none">

                                                            <div class="input-group mb-3">
                                                                    
                                                            </div>


                                                </div>

                                            </div>
                                        </div>
                                </div>
                                    <div class="row">

                                            <div class="col-md-12">
                    <div class="table-responsive">
                                         <!-- DATA TABLE STARTS -->
                                            <table id="dtBasicExample" class="table table-striped table-bordered" cellspacing="0" width="100%" style="background: #fff; margin-bottom:0px">
                                                <thead>
                                                <tr>
                                                    <th class="th-sm">COMPAIGN NAME
                                                    </th>
                                                    <th class="th-sm">ACCOUNT
                                                    </th>
                                                    <th class="th-sm">PRICE
                                                    </th>
                                                    <th class="th-sm">STATUS
                                                    </th>
                                                    
                                                    <th class="th-sm">SETTING
                                                    </th>

                                                </tr>
                                                </thead>
                                                <tbody>

                                                <?php $__currentLoopData = $campaigns; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $campaign): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <tr>
                                                    <td><?php echo e($campaign->title); ?></td>
                                                    <td><a href="<?php echo e(asset( 'frontend/influencer/' . $campaign->account_id)); ?>"><?php echo e('@'. $campaign->account_handle); ?></a></td>
                                                    <td><?php echo e($campaign->price.'$'); ?></td>
                                                    <td>
                                                        <label class="switch">
                                                            <input class="enable-toggle" type="checkbox" id="enable-<?php echo e($campaign->id); ?>" value="<?php echo e($campaign->id); ?>" <?php if($campaign->status == 'enabled'): ?> checked <?php endif; ?>>
                                                            <span class="slider round"></span>
                                                        </label>
                                                    </td>
                                                    
                                                    <td>
                                                    <div class="dropdown allcampaign-dropdown">
                                                          <button class="dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                            <i class="fa fa-cog"></i>
                                                          </button>
                                                          <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                                         <a class="dropdown-item" href="<?php echo e(route('frontend.user.delete_campaign', ['id' => $campaign->id])); ?>">Delete</a>

                                                         <a class="dropdown-item" href="<?php echo e(route('frontend.user.edit_campaign', ['id' => $campaign->id])); ?>">Edit</a>
                                                          </div>
                                                        </div>
                                                    </td>
                                                </tr>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                                </tbody>
                                            </table>
                                         <!-- DATA TABLE ENDS -->
                                            <?php echo e($campaigns->links()); ?>

                                            </div>
                                        </div>
                                        </div>




                            </div>
                    </div>




                        <div class="section mt-5">
                            <div class="container">
                                <div class="row">
                                    <div class="col-12">
                                        <div id="switch">
                                            <div id="circle"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('footer'); ?>
    <?php echo $__env->make('partials.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('after-js'); ?>
    <script>
      $(document).ready(function(){
        $('.enable-toggle').on('change' , function () {
          if(this.checked){
            update_status(this.value , 'enabled');
          }else{
            update_status(this.value , 'disabled');
          }
        });

        function update_status(id,flag){
          $('#loading-div').show();
          $.ajax({

            type: "GET",
            url: '<?php echo e(URL::to('/')); ?>/frontend/change_campaign_status/'+id+'/'+flag,
            success: function( data ) {
              $('#loading-div').hide();
              if(data.status == 1) {
                alert('Somwthings Wrong');
              }
            },
            error: function (data) {
              $('#loading-div').hide();
              alert('Server Error');
            }
          });
        }
      });
    </script>
<?php $__env->stopPush(); ?>



<?php echo $__env->make('layouts.frontend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/cloutsource/resources/views/frontend/influencer_campaigns_all.blade.php ENDPATH**/ ?>