<section class="featured-section py-5 text-center">
    <div class="container">
        <h2>Featured <b>Influencers</b></h2>
        <p>Suspendisse potenti. Donec consectetur varius porttitor. Nunc ac rutrum turpis. Pellentesque dignissim diam quis ex dapibus, fermentum egestas metus suscipit. Maecenas mattis felis quam, euismod eleifend mauris elementum ac.</p>
        <div class="row py-4">
            <?php if($featuredInfluencers && sizeof($featuredInfluencers) > 0): ?>
            <?php $__currentLoopData = $featuredInfluencers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $influencer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="col-md-4">
                    <div class="col-feature text-left p-4">
                        <div class="row align-items-center">
                            <div class="col-md-7">
                                <?php if($influencer->account_type == 'Instagram'): ?>
                                    <i class="fa fa-instagram" aria-hidden="true" style="font-size: 20px;"></i>
                                <?php elseif($influencer->account_type == 'Tiktok'): ?>
                                    <img class="img-responsive" src="<?php echo e(asset('images/tiktok.png')); ?>" alt="Image" title="Image Not Available" height="20px" />
                                <?php elseif($influencer->account_type == 'Twitter'): ?>
                                    <i class="fa fa-twitter" aria-hidden="true" style="font-size: 20px;"></i>
                                <?php endif; ?>

                                <span class=""><?php echo e($influencer->account_name); ?></span>
                                <h3><?php echo e(App\SocialmediaObject::number_format_short( $influencer->followers_count )); ?></h3>
                                <span class="">FOLLOWERS</span><br/>
                                <a href="<?php echo e(asset( 'frontend/influencer/' . $influencer->id)); ?>"><span class="color-green"><?php echo e('@' . $influencer->account_handle); ?></span></a>
                            </div>
                            <div class="col-md-5 text-right">
                                <img src="<?php echo e($influencer->profile_picture); ?>" onerror="this.src='<?php echo e(asset('images/default.jpg')); ?>'" class=" rounded-circle" alt="" />

                            </div>
                        </div>
                    </div>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php else: ?>
                <h4>No Featured influencer found</h4>
            <?php endif; ?>

            <div class="col-md-12">
                <div class="actionbtn action-btn-blue">
                    <a href="<?php echo e(asset( 'frontend/browse_influencers')); ?>"><button>Browse Influencers</button></a>
                </div>
            </div>
        </div>
    </div>
</section>
<?php /**PATH /var/www/html/cloutsource/resources/views/partials/homepage_featured_influencers.blade.php ENDPATH**/ ?>