<?php $__env->startSection('content'); ?>
    <div class="card">
        <div class="card-header">
            <?php echo e(trans('global.featured_influencers.title_singular')); ?> <?php echo e(trans('global.list')); ?>

        </div>

        <div class="card-body">
            <div class="table-responsive">
                <table class=" table table-bordered table-striped table-hover datatable">
                    <thead>
                    <tr>
                        <th width="10">

                        </th>
                        <th>
                            <?php echo e(trans('global.featured_influencers.fields.influencer_name')); ?>

                        </th>
                        <th>
                            <?php echo e(trans('global.featured_influencers.fields.influencer_type')); ?>

                        </th>
                        <th>
                            <?php echo e(trans('global.featured_influencers.fields.followers_count')); ?>

                        </th>
                        <th>
                            <?php echo e(trans('global.featured_influencers.fields.set_unset')); ?>   
                        </th>

                    </tr>
                    </thead>
                    <tbody>
                    <?php $__currentLoopData = $influencers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $influencer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr data-entry-id="<?php echo e($influencer->id); ?>">
                            <td>

                            </td>
                            <td>
                                <?php echo e('@'. $influencer->account_handle); ?>

                            </td>

                            <td>

                                <span class="badge
                                <?php if($influencer->account_type =='Instagram'): ?> badge-warning
                                <?php elseif($influencer->account_type == 'Tiktok'): ?> badge-dark
                                <?php else: ?> badge-info <?php endif; ?>
                                "><?php echo e($influencer->account_type); ?></span>
                            </td>

                            <td>
                                <?php echo e(\App\SocialmediaObject::number_format_short($influencer->followers_count)); ?>

                            </td>

                            <td>

                                <?php if( (!$influencer->is_featured) ): ?>
                                    <a class="btn btn-xs btn-primary" href="<?php echo e(route('admin.featured_influencers.set_is_featured', [ 'influencer_id'=>$influencer->id, 'flag'=>1 ])); ?>">
                                        <?php echo e(trans('global.featured_influencers.fields.set_featured')); ?>

                                    </a>

                                <?php elseif( $influencer->is_featured ): ?>
                                    <a class="btn btn-xs btn-primary" href="<?php echo e(route('admin.featured_influencers.set_is_featured', [ 'influencer_id'=>$influencer->id, 'flag'=>0 ])); ?>">
                                        <?php echo e(trans('global.featured_influencers.fields.unset_featured')); ?>

                                    </a>
                                <?php endif; ?>


                            </td>

                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
<?php $__env->startSection('scripts'); ?>
    ##parent-placeholder-16728d18790deb58b3b8c1df74f06e536b532695##
    <script>
        $(function () {
            let deleteButtonTrans = '<?php echo e(trans('global.datatables.delete')); ?>'
            let deleteButton = {
                text: deleteButtonTrans,
                url: "<?php echo e(route('admin.tags.massDestroy')); ?>",
                className: 'btn-danger',
                action: function (e, dt, node, config) {
                    var ids = $.map(dt.rows({ selected: true }).nodes(), function (entry) {
                        return $(entry).data('entry-id')
                    });

                    if (ids.length === 0) {
                        alert('<?php echo e(trans('global.datatables.zero_selected')); ?>')

                        return
                    }

                    if (confirm('<?php echo e(trans('global.areYouSure')); ?>')) {
                        $.ajax({
                            headers: {'x-csrf-token': _token},
                            method: 'POST',
                            url: '<?php echo e(url('admin/featured_influencers/mass_destroy')); ?>',
                            data: { ids: ids, _method: 'GET' }})
                            .done(function () { location.reload() })
                    }
                }
            }
            let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
            dtButtons.push(deleteButton)

            $('.datatable:not(.ajaxTable)').DataTable({ buttons: dtButtons })
            //$('.btn-danger').hide();
            //$('.select-checkbox').hide();
        })

    </script>
<?php $__env->stopSection(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/cloutsource/resources/views/admin/featured_influencers/index.blade.php ENDPATH**/ ?>