<!-- Header -->
<?php $__env->startSection('header'); ?>
<?php echo $__env->make('partials.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contents'); ?>
  <?php
    $earnings = get_user_balance_hisory();
  ?>
<div class="background_section social-influencer">
  <div class="profit-earned section">
    <div class="container">
      <div class="boxes-parent earned-boxes">
        <div class="boxes">
          <div class="box-payment">
            <h2><?php echo e('$'.App\SocialmediaObject::number_format_short( $earnings['monthly'] )); ?></h2>
          </div>
          <div class="earned">Earned This Month</div>
        </div>
        <div class="boxes">
          <div class="box-payment">
            <h2><?php echo e('$'.App\SocialmediaObject::number_format_short( $earnings['yearly'] )); ?></h2>
          </div>
          <div class="earned">Earned This Year</div>
        </div>
        <div class="boxes">
          <div class="box-payment">
            <h2><?php echo e('$'.App\SocialmediaObject::number_format_short($earnings['all_time'] )); ?></h2>
          </div>
          <div class="earned">Earned Total</div>
        </div>
      </div>
    </div>
  </div>
  <div class="section">
    <?php echo $__env->make('flash-message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <div class="container">
      
      <div class="row">
        <div class="col-md-12">
          <div class="social-heading-parent">
            <div class="insta_heading">
              <span>TIKTOK ACCOUNTS</span>
            </div>
            <div class = "social_button">
              <a href="<?php echo e(route('frontend.social.add_account' ,['account' => 'tiktok'])); ?>"><button type="button" class="button button-block">ADD NEW ACCOUNT</button></a>
            </div>
          </div>
        </div>

        <div class="col-md-12">
          <div class="wrapper">
          <div class="table-responsive">
            <table class="table table-striped" style="margin-bottom:0;">
              <thead class= "browse_table_heading">
                <tr>
                  <th scope="col">INFLUENCER ACCOUNT</th>
                  <th scope="col">FOLLOWERS</th>
                  <th scope="col">POSTS</th>
                  <th scope="col">ENGAGEMENT</th>
                  <th scope="col">EARNINGS</th>
                  <th scope="col">ACTIONS</th>
                </tr>
              </thead>
              <tbody class= "balance_table_body">
                <?php $__currentLoopData = $socialAccounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $socialAccount): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php if( $socialAccount->account_type == 'Tiktok' ): ?>
                <tr>
                  <td>
                    <div class="insta_icon">
                      <img src="<?php echo e($socialAccount->profile_picture); ?>" style="width: 50px;"class=" rounded-circle" alt="" />
                    </div>
                    <div class="insta_name">
                      <a><?php echo e(preg_replace('/&#[(0-9)]*;/' , '' , $socialAccount->account_name)); ?></a><br><a href="<?php echo e(asset( 'frontend/influencer/' . $socialAccount->id)); ?>" style="font-size: 14px;"><?php echo e('@' . $socialAccount->account_handle); ?></a>
                    </div>
                  </td>
                  <td><a><?php echo e(App\SocialmediaObject::number_format_short( $socialAccount->followers_count )); ?></a></td>
                  <td><a><?php echo e($socialAccount->total_posts); ?></a></td>
                  <td><a><?php echo e($socialAccount->engagements); ?>%</a></td>
                  <td><a><?php echo e('$'.App\SocialmediaObject::number_format_short( $socialAccount->earning )); ?></a></td>
                  <td>
                    <a href="<?php echo e(route('frontend.social.remove_account', ['id' => $socialAccount->id])); ?>"><i class='fas fa-trash' style='color: #012d3e;'></i></a>
                    <?php if($socialAccount->status != 'Verified'): ?>
                    &nbsp;&nbsp; | &nbsp;&nbsp;
                    <a href="<?php echo e(route('frontend.social.verify_account', ['account' => 'tiktok','id' => $socialAccount->id])); ?>"><i class='fas fa-user-check' style='color: #012d3e;'></i></a>
                    <?php endif; ?>
                  </td>
                </tr>
                <?php endif; ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
              </tbody>
            </table>
            </div>
          </div>
        </div>
      </div>
      
      <div class="row">
        <div class="col-md-12">
          <div class="social-heading-parent">
            <div class="insta_heading">
              <span>INSTAGRAM ACCOUNTS</span>
            </div>
            <div class = "social_button">
              <a href="<?php echo e(route('frontend.social.add_account' ,['account' => 'instagram'])); ?>"><button type="button" class="button button-block">ADD NEW ACCOUNT</button></a>
            </div>
          </div>
        </div>

        <div class="col-md-12">
          <div class="wrapper">
          <div class="table-responsive">
            <table class="table table-striped" style="margin-bottom:0;">
              <thead class= "browse_table_heading">
                <tr>
                  <th scope="col">INFLUENCER ACCOUNT</th>
                  <th scope="col">FOLLOWERS</th>
                  <th scope="col">POSTS</th>
                  <th scope="col">ENGAGEMENT</th>
                  <th scope="col">EARNINGS</th>
                  <th scope="col">ACTIONS</th>
                </tr>
              </thead>
              <tbody class= "balance_table_body">
                <?php $__currentLoopData = $socialAccounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $socialAccount): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php if( $socialAccount->account_type == 'Instagram' ): ?>
                <tr>
                  <td>
                    <div class="insta_icon">
                      <img src="<?php echo e($socialAccount->profile_picture); ?>" style="width: 50px;"class=" rounded-circle" alt="" />
                    </div>
                    <div class="insta_name">
                      <a><?php echo e($socialAccount->account_name); ?></a><br><a href="<?php echo e(asset( 'frontend/influencer/' . $socialAccount->id)); ?>" style="font-size: 14px;"><?php echo e('@' . $socialAccount->account_handle); ?></a>
                    </div>
                  </td>
                  <td><a><?php echo e(App\SocialmediaObject::number_format_short( $socialAccount->followers_count )); ?></a></td>
                  <td><a><?php echo e($socialAccount->total_posts); ?></a></td>
                  <td><a><?php echo e($socialAccount->engagements); ?>%</a></td>
                  <td><a><?php echo e('$'.App\SocialmediaObject::number_format_short( $socialAccount->earning )); ?></a></td>
                  <td>
                    <a href="<?php echo e(route('frontend.social.remove_account', ['id' => $socialAccount->id])); ?>"><i class='fas fa-trash' style='color: #012d3e;'></i></a>
                    <?php if($socialAccount->status != 'Verified'): ?>
                    &nbsp;&nbsp; | &nbsp;&nbsp;
                    <a href="<?php echo e(route('frontend.social.verify_account', ['account' => 'instagram','id' => $socialAccount->id])); ?>"><i class='fas fa-user-check' style='color: #012d3e;'></i></a>
                    <?php endif; ?>
                  </td>
                </tr>
                <?php endif; ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
              </tbody>
            </table>
            </div>
          </div>
        </div>
      </div>
      
      
      
    </div>
  </div>
  <div class="section mt-5">
    <div class="container">
      <div class="row">
        <div class="col-12">
          <div id="switch">
            <div id="circle"></div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('footer'); ?>
<?php echo $__env->make('partials.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
  <script src="<?php echo asset('js/firebase/firebase-app.js'); ?>"></script>
  <script src="<?php echo asset('js/firebase/firebase-firestore.js'); ?>"></script>
  <script src="<?php echo asset('js/firebase/firebase-messaging.js'); ?>"></script>
  <script src="<?php echo asset('js/firebase/firebase-chat-config.js'); ?>"></script>
  <script src="<?php echo asset('js/helper.js'); ?>"></script>
  <script>


      //$(document).ready(function() {

          //var frm = document.getElementById('create_form');
      function removeAccount(id) {

          var base_url = "<?php echo e(url('/')); ?>";
          //$('#remove_button').on('click', function (event) {
              //$('.invalid-feedback').hide();
              $.ajax({
                  url: base_url + '/frontend/remove/' + id,
                  method: "GET",
                  //data: new FormData(frm),
                  //dataType: 'JSON',
                  //contentType: false,
                  //cache: false,
                  //processData: false,
                  success: function (data) {
                      //$('.invalid-feedback').hide();
                      db.collection(usersCollection).where("id", "==", parseInt(id)).limit(1)
                          .get()
                          .then(function(querySnapshot) {
                              querySnapshot.forEach(function(doc) {
                                  console.log(doc.id, " => ", doc.data());
                                  db.collection(usersCollection).doc(doc.id).delete();
                              });
                              window.location.reload();
                          });
                  },
                  error: function (data) {

                      /*var errors = data.responseJSON.errors;
                      $('.invalid-feedback').hide();
                      $.each(errors, function(key,val){
                          $('#' + key + '_error').show();
                          $('#' + key + '_error').html(errors[key]);
                      });
                      return false;*/
                      alert('Invalid Account Handle.')
                  }

              });
              return false;
          //});

      }

      //});

  </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.frontend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/cloutsource/resources/views/frontend/add_social_accounts.blade.php ENDPATH**/ ?>