<?php $__env->startSection('content'); ?>

    <div class="card">
        <div class="card-header">
            <?php echo e(trans('global.edit')); ?> <?php echo e(trans('global.user.admin_profile_title')); ?>

        </div>

        <div class="card-body">
            <form action="<?php echo e(route("admin.admins.update_profile")); ?>" method="POST" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <div class="form-group <?php echo e($errors->has('name') ? 'has-error' : ''); ?>">
                    <label for="name"><?php echo e(trans('global.user.fields.name')); ?>*</label>
                    <input type="text" id="name" name="name" class="form-control" value="<?php echo e(old('name', isset($user) ? $user->name : '')); ?>">
                    <?php if($errors->has('name')): ?>
                        <em class="invalid-feedback">
                            <?php echo e($errors->first('name')); ?>

                        </em>
                    <?php endif; ?>
                    <p class="helper-block">
                        <?php echo e(trans('global.user.fields.name_helper')); ?>

                    </p>
                </div>
                <div class="form-group <?php echo e($errors->has('email') ? 'has-error' : ''); ?>">
                    <label for="email"><?php echo e(trans('global.user.fields.email')); ?>*</label>
                    <input type="email" id="email" name="email" class="form-control" value="<?php echo e(old('email', isset($user) ? $user->email : '')); ?>" readonly>
                    <?php if($errors->has('email')): ?>
                        <em class="invalid-feedback">
                            <?php echo e($errors->first('email')); ?>

                        </em>
                    <?php endif; ?>
                    <p class="helper-block">
                        <?php echo e(trans('global.user.fields.email_helper')); ?>

                    </p>
                </div>

                <div class="form-group <?php echo e($errors->has('password') ? 'has-error' : ''); ?>">
                    <label for="password"><?php echo e(trans('global.user.fields.password')); ?></label>
                    <input type="password" id="password" name="password" class="form-control">
                    <?php if($errors->has('password')): ?>
                        <em class="invalid-feedback">
                            <?php echo e($errors->first('password')); ?>

                        </em>
                    <?php endif; ?>
                    <p class="helper-block">
                        <?php echo e(trans('global.user.fields.password_helper')); ?>

                    </p>
                </div>

                <div class="form-group <?php echo e($errors->has('phone') ? 'has-error' : ''); ?>">
                    <label for="name"><?php echo e(trans('global.user.fields.phone')); ?>*</label>
                    <input type="text" id="phone" name="phone" class="form-control" value="<?php echo e($user->phone); ?>">
                    <?php if($errors->has('phone')): ?>
                        <em class="invalid-feedback">
                            <?php echo e($errors->first('phone')); ?>

                        </em>
                    <?php endif; ?>
                    <p class="helper-block">
                        <?php echo e(trans('global.user.fields.phone_helper')); ?>

                    </p>
                </div>

                <input type="hidden" name="role_id" value="1">
                <input type="hidden" name="user_id" value="<?php echo e($user->id); ?>">
                <div>
                    <input class="btn btn-danger" type="submit" value="<?php echo e(trans('global.save')); ?>">
                </div>
            </form>
        </div>
    </div>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/cloutsource/resources/views/admin/admins/edit_profile.blade.php ENDPATH**/ ?>