<?php $__env->startSection('content'); ?>

<div class="card">
    <div class="card-header">
        <?php echo e(trans('global.edit')); ?> <?php echo e(trans('global.tags.title_singular')); ?>

    </div>

    <div class="card-body">
        <form action="<?php echo e(route("admin.tag_users.update", [$user->id])); ?>" method="POST" enctype="multipart/form-data">
            <?php echo csrf_field(); ?>
            <?php echo method_field('PUT'); ?>
            <input type="hidden" name="user_id" value="<?php echo e($user->id); ?>">
            <div class="form-group <?php echo e($errors->has('title') ? 'has-error' : ''); ?>">
                <label for="title">User Name</label>
                <input type="text" id="name" name="title" class="form-control" value="<?php echo e(old('title', isset($user) ? $user->name : '')); ?>" readonly>

            </div>
            <div class="form-group <?php echo e($errors->has('tags') ? 'has-error' : ''); ?>">
                <label for="permissions">Tags
                    <span class="btn btn-info btn-xs select-all">Select all</span>
                    <span class="btn btn-info btn-xs deselect-all">Deselect all</span></label>
                <select name="tags[]" id="tags" class="form-control select2" multiple="multiple">
                    <?php $__currentLoopData = $tags; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id => $tag): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($id); ?>" <?php echo e((in_array($id, old('tags', [])) || isset($user) && $user->tags->contains($id)) ? 'selected' : ''); ?>>
                            <?php echo e($tag); ?>

                        </option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
                <?php if($errors->has('tags')): ?>
                    <em class="invalid-feedback">
                        <?php echo e($errors->first('tags')); ?>

                    </em>
                <?php endif; ?>
            </div>
            <div>
                <input class="btn btn-danger" type="submit" value="<?php echo e(trans('global.save')); ?>">
            </div>
        </form>
    </div>
</div>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/cloutsource/resources/views/admin/tag_users/edit.blade.php ENDPATH**/ ?>