<!-- Header -->
<?php $__env->startSection('header'); ?>
    <?php echo $__env->make('partials.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contents'); ?>
    <section class="chatdetail-page">
        <div class="container">
            <div class="row no-gutters">

                <div class="col-md-12">
                    <div class="settings-tray">
                        <div class="friend-drawer no-gutters friend-drawer--grey">
                            <img id="display_user_avatar" class="profile-image" src="<?php echo e(url('images/default.jpg')); ?>" alt="">
                            <div class="text">
                                <h6 id="display_user_name"><?php echo e($seller->name); ?></h6>

                            </div>

                            <img id="display_user_avatar" class="profile-image" src="<?php echo e(url('images/default.jpg')); ?>" alt="">
                            <div class="text">
                                <h6 id="display_user_name"><?php echo e($buyer->name); ?></h6>

                            </div>
                        </div>
                    </div>
                    <div class="chat-panel">
                        <div id="chat_message_panel"></div>
                        <div class="chatpanel-inside-parent" id="chatscrolltobottom">


                        </div>

                    </div>
                </div>
            </div>
        </div>
    </section>
    <input type="hidden" id="my_id" name="my_id" value="<?php echo e($buyer->id); ?>">
    <input type="hidden" id="my_name" name="my_name" value="<?php echo e($buyer->name); ?>">
    <input type="hidden" id="my_avatar" name="my_avatar" value="<?php echo e(url('images/default.jpg')); ?>">
    <input type="hidden" id="user_id" name="user_id" value="<?php echo e($seller->id); ?>">
    <input type="hidden" id="user_name" name="user_name" value="<?php echo e($seller->name); ?>">
    <input type="hidden" id="user_avatar" name="user_avatar" value="<?php echo e(url('images/default.jpg')); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('footer'); ?>
    <?php echo $__env->make('partials.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
    <script>
        $( '.friend-drawer--onhover' ).on( 'click',  function() {
            $( '.chat-bubble' ).hide('slow').show('slow');
        });
        var my_id = $('#my_id').val();
        $(document).ready(function(){
            getMessages();
        });

        function getMessages() {

                //var user_avatar = $('#user_avatar').val(); // this is not being used
                var user_id = $('#user_id').val();
                var chatHtml = '';
                var messagesRef = db.collection(messagesCollection)
                    .where('user_ids', 'array-contains', my_id + '-' + user_id)
                    .orderBy("sent_at", "asc");
                messagesRef.get().then(function (querySnapshot) {
                        querySnapshot.forEach(function (doc) {
                            console.log(doc.id, ' => ', doc.data());
                            var data = doc.data();
                            var sent_time = data.sent_at;

                            // changed
                            var msgAttachments = data.attachments;

                            var image_files = [];
                            var normal_files = [];
                            var normal_files_names = [];
                            var imageExtensions = ['jpg', 'jpeg', 'png', 'gif', 'tiff'];
                            var imgHtml = '';
                            var imgFilesHtml = '';
                            var normalFilesHtml = '';

                            if(msgAttachments.length > 0) {
                                for(var i=0; i < msgAttachments.length; i++) {
                                    var explodedFileString = msgAttachments[i].split(', ');

                                    var filePath = explodedFileString[0];
                                    var fileName = explodedFileString[1];
                                    var extensionArray = filePath.split('.');
                                    var extension = extensionArray[ extensionArray.length-1 ];
                                    if(imageExtensions.includes(extension.toLowerCase())) {
                                        image_files.push(filePath);
                                    } else {
                                        normal_files.push(filePath);
                                        normal_files_names.push(fileName);
                                    }
                                }

                                if(image_files.length > 0) {
                                    for(var i = 0; i<image_files.length; i++) {
                                        imgHtml += '<a href="' + image_files[i] + '" target="_blank"><img src="' + image_files[i] + '"></a>';
                                    }

                                    if (data.sent_to == my_id) { // left images

                                        imgFilesHtml = '<div class="row no-gutters">\n' +
                                            '                              <div class="col-md-8">\n' +
                                            '                              <span class="img-attachement-left">\n' +
                                            imgHtml +
                                            '                              </span>\n' +
                                            '                              </div>\n' +
                                            '                              </div>';
                                    } else { // right images

                                        imgFilesHtml = '<div class="row no-gutters">\n' +
                                            '                              <div class="col-md-8 offset-md-4">\n' +
                                            '                              <span class="img-attachement-right">\n' +
                                            imgHtml +
                                            '                              </span>\n' +
                                            '                              </div>\n' +
                                            '                              </div>';
                                    }
                                }

                                if(normal_files.length > 0) {
                                    for(var i = 0; i<normal_files.length; i++) {
                                        var fileName = normal_files_names[i];

                                        if (data.sent_to == my_id) { // left normal images

                                            normalFilesHtml += '<div class="row no-gutters">\n' +
                                                '                              <div class="col-md-8">\n' +
                                                '                              <span class="file-attachement-left">\n' +
                                                '                              <div><a href="' + normal_files[i] + '" target="_blank">' + fileName + '</a></div>\n' +
                                                '                              </span>\n' +
                                                '                              </div>\n' +
                                                '                              </div>';
                                        } else { // right normal images

                                            normalFilesHtml += '<div class="row no-gutters">\n' +
                                                '                              <div class="col-md-8 offset-md-4">\n' +
                                                '                              <span class="file-attachement-right">\n' +
                                                '                              <div><a href="' + normal_files[i] + '" target="_blank">' + fileName + '</a></div>\n' +
                                                '                              </span>\n' +
                                                '                              </div>\n' +
                                                '                              </div>';
                                        }

                                    }
                                }
                            }

                            var messageHtml = '';

                            if (data.sent_to == my_id) {


                                if(data.message != '') {
                                    messageHtml = '<div class="row no-gutters">\n' +
                                        '                              <div class="col-md-8">\n' +
                                        '                              <div class="chat-bubble chat-bubble--left">\n' +
                                        data.message +
                                        '                          </div>\n' +
                                        '                          </div>\n' +
                                        '                          </div>';
                                }

                                chatHtml += messageHtml + imgFilesHtml + normalFilesHtml;
                            } else {

                                if(data.message != '') {
                                    messageHtml = '<div class="row no-gutters">\n' +
                                        '                              <div class="col-md-8 offset-md-4">\n' +
                                        '                              <div class="chat-bubble chat-bubble--right">\n' +
                                        data.message +
                                        '                          </div>\n' +
                                        '                          </div>\n' +
                                        '                          </div>';
                                }

                                chatHtml += messageHtml + imgFilesHtml + normalFilesHtml;

                            }
                            // changed ends

                        });
                        $("#chatscrolltobottom").html(chatHtml);
                        $("#chatscrolltobottom").animate({ scrollTop: $("#chatscrolltobottom")[0].scrollHeight }, 1000);
                });
// changed ends
        }
    </script>
    <script>
        $("#chatscrolltobottom").animate({ scrollTop: $("#chatscrolltobottom")[0].scrollHeight }, 1000);
    </script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.frontend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/cloutsource/resources/views/frontend/archived_chat.blade.php ENDPATH**/ ?>