<?php $__env->startSection('content'); ?>
<div class="row justify-content-center">
    <div class="col-md-8">
        <div class="card-group">
            <div class="card p-4">
                <div class="card-body">
                    <?php if(\Session::has('message')): ?>
                        <p class="alert alert-info">
                            <?php echo e(\Session::get('message')); ?>

                        </p>
                    <?php endif; ?>
                    <?php echo $__env->make('flash-message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    <form method="POST" action="<?php echo e(route('login')); ?>">
                        <?php echo e(csrf_field()); ?>

                        <h1>
                            <div class="login-logo">
                                <a href="#">
                                    <?php echo e(trans('global.site_title')); ?>

                                </a>
                            </div>
                        </h1>
                        <p class="text-muted"><?php echo e(trans('global.login')); ?></p>
                        <div class="input-group mb-3">
                            <div class="input-group-prepend">
                                <span class="input-group-text"><i class="fa fa-user"></i></span>
                            </div>
                            <input name="email" type="text" class="form-control" placeholder="<?php echo e(trans('global.login_email')); ?>">

                            <?php if($errors->has('email')): ?>
                                <span class="invalid-feedback" style="display: block;">
                                <strong><?php echo e($errors->first('email')); ?></strong>
                                </span>
                            <?php endif; ?>

                        </div>
                        <div class="input-group mb-4">
                            <div class="input-group-prepend">
                                <span class="input-group-text"><i class="fa fa-lock"></i></span>
                            </div>
                            <input name="password" type="password" class="form-control" placeholder="<?php echo e(trans('global.login_password')); ?>">
                        </div>
                        <div class="row">
                            <div class="col-6">
                                <input type="submit" class="btn btn-primary px-4" value='<?php echo e(trans('global.login')); ?>'>
                                <label class="ml-2" style="display: none;">
                                    <input name="remember" type="checkbox" /> <?php echo e(trans('global.remember_me')); ?>

                                </label>
                            </div>
                            <input type="hidden" name="only_admin_login" value="yes">
                            <div class="col-6 text-right">
                                <a class="btn btn-link px-0" href="<?php echo e(url('admin/reset')); ?>">
                                    <?php echo e(trans('global.forgot_password')); ?>

                                </a>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/cloutsource/resources/views/auth/login.blade.php ENDPATH**/ ?>