<?php $__env->startSection('modal'); ?>
    <div id="loading-div" class="loading" style="display: none;">Loading&#8230;</div>
<!-- The Modal -->
<div class="modal fade" id="signinmodal">
    <div class="modal-dialog modal-dialog-centered modal-lg">
        <div class="modal-content">

            <!-- Modal Header -->
            <!-- <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div> -->

            <!-- Modal body -->
            <div class="modal-body p-0">
                <div class="signinform">
                    <div class="form">

                        <ul class="tab-group">
                            <li class="tab active" id="signup-tab"><a class="border_left" href="#signup">SIGN UP</a></li>
                            <li class="tab" id="signin-tab"><a class="border_right" href="#login">SIGN IN</a></li>
                        </ul>

                        <div class="tab-content px-4">
                            <div id="signup">
                                <h2><span>Welcome to</span><br/> INFLUENCER MARKETPLACE</h2>

                                <hr class="mt-5" />


                                <div class="textform">
                                    <form id="register-form" method="POST" action="<?php echo e(route('register')); ?>">
                                        <?php echo csrf_field(); ?>
                                     <input type="hidden" id="reg_token" value="<?php echo e(csrf_token()); ?>">
                                     <input type="hidden" id="reg_route" value="<?php echo e(route('register')); ?>">
                                        <h5>Please Create an Account</h5>

                                    <div class="field-wrap">
                                        <input type="text" name="name" id="name" placeholder="Full Name" required autocomplete="off"  value="<?php echo e(old('name', isset($user) ? $user->name : '')); ?>"/>

                                        <span class="invalid-feedback" style="display: block;" id="name-register-error">

                                        </span>

                                    </div>

                                    <div class="field-wrap">
                                        <input type="email" name="email" id="remail" placeholder="Email" required autocomplete="off" value="<?php echo e(old('email', isset($user) ? $user->email : '')); ?>" />

                                        <span class="invalid-feedback" role="alert" style="display: block;" id="email-register-error">

                                        </span>

                                    </div>

                                    <div class="field-wrap">

                                        <input type="password" name="password" id="rpassword" placeholder="Password" required autocomplete="off" value="<?php echo e(old('password')); ?>" />

                                        <span class="invalid-feedback" role="alert" style="display: block;" id="password-register-error">

                                        </span>

                                    </div>
                                    <div class="field-wrap">

                                        <input type="password" name="password_confirmation" id="password-confirm" placeholder="Confirm Password" required autocomplete="off" value="<?php echo e(old('password_confirmation')); ?>" />


                                    </div>
                                    <div class="field-wrap">

                                        <input type="text" name="phone" id="phone" placeholder="Phone Number" required autocomplete="off" value="<?php echo e(old('phone', isset($user) ? $user->phone : '')); ?>" />

                                        <span class="invalid-feedback" role="alert" style="display: block;" id="phone-register-error">

                                        </span>

                                    </div>

                                    <div class="field-wrap">

                                        <input type="text" name="referral_code" id="referral_code" placeholder="Referral Code" autocomplete="off" value="<?php echo e(old('referral_code', isset($user) ? $user->referral_code : '')); ?>"/>

                                        <span class="invalid-feedback" role="alert" style="display: block;" id="referral_code-register-error">

                                        </span>

                                    </div>

                                    <button type="button" class="button button-block" onclick="registerUser();">REGISTER</button>

                                    </form>

                                </div>

                            </div>

                            <div id="login">
                                <h2><span>Welcome to</span><br/> INFLUENCER MARKETPLACE</h2>

                                <hr class="mt-5" />

                                <div class="textform">

                                    <form method="POST" action="<?php echo e(route('login')); ?>">
                                    <?php echo e(csrf_field()); ?>


                                    <input type="hidden" id="login_token" value="<?php echo e(csrf_token()); ?>">
                                    <input type="hidden" id="login_route" value="<?php echo e(route('login')); ?>">
                                    <h5>Please Sign in</h5>
                                    <div class="field-wrap">
                                        <input type="email" name="email" id="email" placeholder="<?php echo e(trans('global.login_email')); ?>" required autocomplete="off" />

                                        <span class="invalid-feedback" role="alert" style="display: block;" id="email-login-error">
                                        <strong></strong>
                                        </span>

                                    </div>

                                    <div class="field-wrap">
                                        <input type="password" name="password" id="password" placeholder="<?php echo e(trans('global.login_password')); ?>" required autocomplete="off" />

                                        <span class="invalid-feedback" role="alert" style="display: block;" id="password-login-error">
                                        <strong><?php echo e($errors->first('password')); ?></strong>
                                        </span>

                                    </div>

                                    <p class="forgot"><a href="<?php echo e(route('password.request')); ?>">Forgot Password</a></p>


                                    <button type="button" class="button button-block" onclick="loginUser();"><?php echo e(trans('global.login')); ?></button>
                                    </form>

                                </div>

                            </div>

                        </div>
                        <!-- tab-content -->

                    </div>
                    <!-- /form -->
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<!-- Header -->
<?php $__env->startSection('header'); ?>
    <?php echo $__env->make('partials.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contents'); ?>

    <div class="background_section">
        <div class="section">
            <?php echo $__env->make('flash-message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                <div class="container">
                        <div class="insta_heading">
                                <span>Reset Password</span>
                        </div>
                    <div class="row">
                        <div class="col-md-6" style="margin:auto;">
                                <div class="socialform">
                                        <div class="reset">
                                    <form id="emailForm" method="POST" action="<?php echo e(route('password.email')); ?>">
                                            <?php echo e(csrf_field()); ?>


                                            <input type="hidden" id="forget_token" value="<?php echo e(csrf_token()); ?>">
                                            <input type="hidden" id="forget_route" value="<?php echo e(route('auth.validate_email')); ?>">
                                           
                                            <p class="text-muted"></p>
                                            <div>
                                                <?php echo e(csrf_field()); ?>

                                                <div class="form-group has-feedback">
                                                    <input type="email" name="email" id="forget_email" class="form-control" required="required"="autofocus" placeholder="<?php echo e(trans('global.login_email')); ?>">
                    
                                                    <em id="email-error" class="invalid-feedback"></em>
                    
                    
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-12 text-right">
                                                    <button type="button" onclick="validateEmail();" class="button button-block">
                                                        RESET
                                                    </button>
                                                </div>
                                            </div>
                                        </form></div></div></div>

                    </div> <!-- Row ends here -->

                </div>
            
        </div>
            <div class="section mt-5">
                <div class="container">
                    <div class="row">
                        <div class="col-12">
                            <div id="switch">
                                <div id="circle"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('footer'); ?>
    <?php echo $__env->make('partials.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(asset('frontend/js/jquery.js')); ?>"></script>
    <script src="<?php echo e(asset('frontend/js/popper.js')); ?>"></script>
    <script src="<?php echo e(asset('frontend/js/bootstrap.js')); ?>"></script>
    <script src="<?php echo e(asset('frontend/js/custom.js')); ?>"></script>
    <script src="<?php echo e(asset('frontend/js/reg-login.js')); ?>"></script>

    <script>

        window.validateEmail = function() {
            var email = $('#forget_email').val();
            var route = $('#forget_route').val();
            var token = $('#forget_token').val();
            var dataString = 'email='+ email + '&_token=' + token;
            $('#loading-div').show();
            $.ajax({
                type: "POST",
                url: route,
                data: dataString,
                success: function( data ) {
                    $('#loading-div').hide();

                    if(data == 'Success') {
                        $('#emailForm').submit();
                    } else {
                        $('#email-error').show();
                        $('#email-error').html(data);
                    }
                }

            });
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.frontend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/cloutsource/resources/views/auth/passwords/email.blade.php ENDPATH**/ ?>