<!-- Header -->
<?php $__env->startSection('header'); ?>
    <?php echo $__env->make('partials.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('contents'); ?>
    <div class="background_section">
        <div class="section">
            <div class="container">
                <div class="social_heading">
                    <span>Account/Verify Tiktok</span>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <div class="insta_pic">
                            <img src="<?php echo e($feed->user->avatarThumb); ?>" class=" rounded-circle" alt="" />

                            <div class="insta_text">
                                <span><?php echo e(preg_replace('/&#[(0-9)]*;/' , '' , $feed->user->nickname)); ?></span><br>
                                <a style="font-size:17px;font-weight:normal;" href="<?php echo e(route('frontend.social.add_account' ,['account' => 'tiktok'])); ?>">Add Account</a>

                            </div>
                        </div>
                    </div>
                </div>

                <div class="ref_code">
                    <p>Please verify this account by placing</p>
                    <p><div class="input-group col-md-5 m-auto">
                        <input type="text" class="form-control" value="<?php echo e($verification_code); ?>" placeholder="Username" disabled>
                        <input type="hidden" class="form-control" id="verification-code" value="<?php echo e($verification_code); ?>">
                        <div class="input-group-prepend copy-verification">
                            <div class="btn btn-primary input-group-text copy-btn" data-toggle="tooltip" data-placement="top" title="Copy to Clipboard"><i class="fa fa-copy"></i></div>
                        </div>
                    </div>
                    <p>in your bio section, then click verify.</p>
                </div>
                <form id="verify_form" action="<?php echo e(route('frontend.social.post_verify_account' ,['account' => 'tiktok'])); ?>" method="post">
                    <?php echo e(csrf_field()); ?>

                    <input type="hidden" name="verification_code" value="<?php echo e($verification_code); ?>">
                    <input type="hidden" name="account_handle" value="<?php echo e($account_handle); ?>">
                    <input type="hidden" name="social_account_id" value="<?php echo e($social_account_id); ?>">
                </form>

                <div class="row">
                    <div class="verify-btn">
                        <button onclick="document.getElementById('verify_form').submit()" class="green">Verify</button>
                        <a href="<?php echo e(route('frontend.social.home')); ?>"><button class="blue">Cancel</button></a>
                    </div>

                </div>
            </div>
        </div>
        <div class="section mt-5">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <div id="switch">
                            <div id="circle"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('footer'); ?>
    <?php echo $__env->make('partials.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('scripts'); ?>

    <script>
      $('[data-toggle="tooltip"]').tooltip();
      $('.copy-verification').on('click' , function () {
        var dummy = document.createElement("input");
        document.body.appendChild(dummy);
        dummy.setAttribute("id", "dummy_id");
        document.getElementById("dummy_id").value='<?php echo e($verification_code); ?>';
        dummy.select();
        document.execCommand("copy");
        $('#dummy_id').remove();
        $('.copy-btn i').removeClass('fa-copy').addClass('fa-calendar-check-o');
        $('.copy-btn').attr('data-original-title' , 'Copied');
      });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.frontend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/cloutsource/resources/views/frontend/verify_tiktok_account.blade.php ENDPATH**/ ?>