<!-- Header -->
<?php $__env->startSection('header'); ?>
    <?php echo $__env->make('partials.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('contents'); ?>
    <div class="background_section">
            <div class="section">
                <?php echo $__env->make('flash-message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                <div class="container">
                        <div class="ticket_heading">
                                <span>Create Ticket</span>
                        </div>
                    <div class="row">
                            <div class="col-md-6" style="margin:auto;">
                                    <div class="socialform">
                                    <div class="form" style="margin: 50px 0px 50px 0px;">


                                            <div class="textform">
                                                <form method="POST" action="<?php echo e(route('frontend.user.post_ticket')); ?>">
                                                    <?php echo csrf_field(); ?>
                                                    <div class="field-wrap">
                                                        <input type="text" name="subject" placeholder="Subject" required autocomplete="off"/>
                                                        <?php if($errors->has('subject')): ?>
                                                            <span class="invalid-feedback" style="display: block;">
                                                            <strong><?php echo e($errors->first('subject')); ?></strong>
                                                            </span>
                                                        <?php endif; ?>
                                                    </div>

                                                    <div class="field-wrap">
                                                        <div class="row-fluid">
                                                        <select name="influencer_id" class="selectpicker form-control" data-show-subtext="true" data-live-search="true">
                                                            <option value="0" selected>General</option>
                                                            <?php $__currentLoopData = $socials; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $influencer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                <option value="<?php echo e($influencer->id); ?>" data-subtext="<?php echo e($influencer->account_type); ?>"><strong><?php echo e('@'.$influencer->account_handle); ?></strong></option>
                                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                        </select>
                                                        </div>
                                                        <?php if($errors->has('against_user_id')): ?>
                                                            <span class="invalid-feedback" style="display: block;">
                                                                <strong><?php echo e($errors->first('against_user_id')); ?></strong>
                                                            </span>
                                                        <?php endif; ?>
                                                    </div>

                                                    <div class="field-wrap">
                                                        <div class="row-fluid">
                                                            <select name="type" class="form-control" required>
                                                                <option value="" disabled selected hidden>Choose a type</option>
                                                                <option value="spam">Spam</option>
                                                                <option value="conflict">Conflict</option>
                                                                <option value="complain">Complain</option>
                                                                <option value="improvement-required">Improvement required</option>
                                                            </select>
                                                        </div>
                                                    </div>

                                                    <div class="field-wrap">
                                                        <textarea name="description"  placeholder="Description"  class="form-control" required></textarea>
                                                        <?php if($errors->has('description')): ?>
                                                            <span class="invalid-feedback" style="display: block;">
                                                            <strong><?php echo e($errors->first('description')); ?></strong>
                                                            </span>
                                                        <?php endif; ?>
                                                    </div>

                                                    <button type="submit" class="button button-block">CREATE</button>

                                                </form>

                                            </div>

                                        
                                    </div></div></div>

                    </div> <!-- Row ends here -->

                </div>
            </div>
            <div class="section mt-5">
                <div class="container">
                    <div class="row">
                        <div class="col-12">
                            <div id="switch">
                                <div id="circle"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('footer'); ?>
    <?php echo $__env->make('partials.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.14/dist/js/bootstrap-select.min.js"></script>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('after-css'); ?>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.14/dist/css/bootstrap-select.min.css">
    <style>
        ul.dropdown-menu.inner.show {
            transform: translate3d(0px, 0px, 0px)!important;
            max-height: 100px;
        }
        .form{
            min-height: 350px;
        }
    </style>
<?php $__env->stopPush(); ?>


<?php echo $__env->make('layouts.frontend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/cloutsource/resources/views/frontend/create_ticket.blade.php ENDPATH**/ ?>