<!-- Header -->
<?php $__env->startSection('header'); ?>
<?php echo $__env->make('partials.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contents'); ?>

	<?php
		$data = get_user_balance_hisory();
	?>
<section class="user-dashboard">
	<div class="container">
		<div class="row">
			<div class="col-md-12">
				<div class="maincontent-heading">
					<h2>DASHBOARD</h2>
				</div>
				<div class="heading-text">
					<h3>EARNING</h3>
				</div>
				<div class="chartcanvas" style="width:100%;">
					<canvas id="canvas" class="chart" style="height: 300px"></canvas>
				</div>
			</div>
		</div>
	</div>
</section>
<section class="earningreport">
	<div class="container">
		<div class="row">
			<div class="earningreport-item">
				<div class="inner-heading-text">
					<h3>TOTAL EARNING</h3>
				</div>
				<div class="earningreport-inner">
					<i class="far fa-chart-bar"></i>
					<span><?php echo e('$'.App\SocialmediaObject::number_format_short( $data['all_time'] )); ?></span>
				</div>
			</div>

			<div class="earningreport-item">
				<div class="inner-heading-text">
					<h3>EARNED THIS MONTH</h3>
				</div>
				<div class="earningreport-inner">
					<i class="far fa-chart-bar"></i>
					<span><?php echo e('$'.App\SocialmediaObject::number_format_short( $data['monthly'] )); ?></span>
				</div>
			</div>


			<div class="earningreport-item">
				<div class="inner-heading-text">
					<h3>EARNED THIS YEAR</h3>
				</div>
				<div class="earningreport-inner">
					<i class="far fa-chart-bar"></i>
					<span><?php echo e('$'.App\SocialmediaObject::number_format_short( $data['yearly'] )); ?></span>
				</div>
			</div>


		</div>
	</div>
</section>



<section class="totalcampaign">
	<div class="container">
		<div class="row">
			<div class="totalearningreport-item">
				<div class="inner-heading-text">
					<h3>TOTAL CAMPAIGNS</h3>
					<span>Orders Purchased</span>
				</div>
				<div class="totalearningreport-inner">
					 <img src="<?php echo e(asset('frontend/images/orders-camp.png')); ?>" alt="" />
					<span><?php echo e($data['total_purchases']); ?></span>
				</div>
			</div>

			<div class="totalearningreport-item">
				<div class="inner-heading-text">
					<h3>TOTAL CAMPAIGNS</h3>
					<span>Orders Sold</span>
				</div>
				<div class="totalearningreport-inner">
					 <img src="<?php echo e(asset('frontend/images/orders-camp.png')); ?>" alt="" />
					<span><?php echo e($data['total_sales']); ?></span>
				</div>
			</div>


		</div>
	</div>
</section>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('footer'); ?>
<?php echo $__env->make('partials.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
<script>
	var randomScalingFactor = function() {
		return Math.ceil(Math.random() * 5.0) * Math.pow(5, Math.ceil(Math.random() * 4));
	};

    var sales_array = new Array();
    var purchases_array = new Array();

	<?php $__currentLoopData = $data['yearly_sales']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $val): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    	sales_array.push(JSON.parse('<?php echo e($val); ?>'));
	<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
	<?php $__currentLoopData = $data['yearly_purchases']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $val): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    	purchases_array.push(JSON.parse('<?php echo e($val); ?>'));
	<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
	var config = {
		type: 'line',
		data: {
			labels: ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October' , 'November' , 'December'],
			datasets: [{
				label: 'Sales',
				backgroundColor: window.chartColors.red,
				borderColor: window.chartColors.red,
				fill: false,
				data: sales_array,
			}, {
				label: 'Purchases',
				backgroundColor: window.chartColors.blue,
				borderColor: window.chartColors.blue,
				fill: false,
				data: purchases_array,
			}],
		},
		options: {
			responsive: true,
			title: {
				display: true,
				text: 'Yearly Progress'
			},
			scales: {
				xAxes: [{
					display: true,
				}],
				yAxes: [{
					display: true,
                  ticks: {
                    suggestedMin: 50,
                    suggestedMax: 100
                  }
				}]
			}
		}
	};

	console.log(config.data.datasets[0].data)
	console.log(config.data.datasets[1].data)
	window.onload = function() {
		var ctx = document.getElementById('canvas').getContext('2d');
		window.myLine = new Chart(ctx, config);
		console.log(randomScalingFactor())
      /*document.getElementById('randomizeData').addEventListener('click', function() {
        config.data.datasets.forEach(function(dataset) {
          dataset.data = dataset.data.map(function() {
            return randomScalingFactor();
          });
        });
        window.myLine.update();
      });*/
	};

</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.frontend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/cloutsource/resources/views/frontend/user/user_dashboard.blade.php ENDPATH**/ ?>