<?php $__env->startSection('content'); ?>

    <div class="card">
        <div class="card-header">
            <?php echo e(trans('global.create')); ?> <?php echo e(trans('global.tags.title_singular')); ?>

        </div>

        <div class="card-body">
            <form action="<?php echo e(route("admin.tags.store")); ?>" method="POST" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>

                <div class="form-group <?php echo e($errors->has('name') ? 'has-error' : ''); ?>">
                    <label for="title"><?php echo e(trans('global.tags.fields.name')); ?></label>
                    <input name="title" class="form-control">

                    <?php if($errors->has('title')): ?>
                        <em class="invalid-feedback">
                            <?php echo e($errors->first('title')); ?>

                        </em>
                    <?php endif; ?>
                    <p class="helper-block">
                        <?php echo e(trans('global.tags.fields.name_helper')); ?>

                    </p>
                </div>

                <div>
                    <input class="btn btn-danger" type="submit" value="<?php echo e(trans('global.save')); ?>">
                </div>
            </form>
        </div>
    </div>

<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/cloutsource/resources/views/admin/tags/create.blade.php ENDPATH**/ ?>