<?php


namespace App\Http\Requests;

use App\Campaign;
use Illuminate\Foundation\Http\FormRequest;

class UpdateCampaignRequest extends FormRequest
{

    public function rules()
    {
        return [
            'influencer_id' => [
                'required',
            ],
            'price' => [
                'required', 'numeric', 'max:9999999999'
            ],
            'duration' => [
                'required', 'numeric', 'max:9999999999'
            ],
        ];
    }
}

