<?php


namespace App;
use Illuminate\Database\Eloquent\Model;

class Notification extends Model
{

    protected $dates = [
        'created_at',
        'updated_at',
    ];

    protected $fillable = [
        'from_user_id',
        'to_user_id',
        'message',
        'status',
        'created_at',
        'updated_at',
    ];

    public function sender(){
        return $this->belongsTo('App\User', 'from_user_id');
    }

    public function receiver(){
        return $this->belongsTo('App\User', 'to_user_id');
    }

}
