<?php


namespace App;
use Illuminate\Database\Eloquent\Model;

class NotificationEvent extends Model
{
    protected $dates = [
        'created_at',
        'updated_at',
    ];

    protected $fillable = [
        'name',
        'text',
        'tags',
        'created_at',
        'updated_at',
    ];

    public static function events_array(){
        $events = NotificationEvent::all()->pluck('name', 'id');
        $return = [];
        foreach($events as $key => $value){
            $return[ $key ] = $value;
        }
        return $return;
    }

    public static function event_values_array(){
        $events = NotificationEvent::all()->pluck('text', 'name');
        $return = [];
        foreach($events as $key => $value){
            $return[ $key ] = $value;
        }
        return $return;
    }
}
