<?php


namespace App;
use Illuminate\Database\Eloquent\Model;

class NotificationEventTag extends Model
{
    protected $dates = [
        'created_at',
        'updated_at',
    ];

    protected $fillable = [
        'value',
        'created_at',
        'updated_at',
    ];

    public static function tag_values_array() {
        $events = NotificationEventTag::all()->pluck('value', 'id');
        $return = [];
        foreach($events as $key => $value){
            $return[ $key ] = $value;
        }
        return $return;
    }
}
