<?php


namespace App;
use Illuminate\Database\Eloquent\Model;

class Package extends Model
{
    protected $dates = [
        'created_at',
        'updated_at',
    ];

    protected $fillable = [
        'name',
        'cost',
        'admin_id',
        'created_at',
        'updated_at',
    ];

    public function campaigns()
    {
        return $this->belongsToMany(Campaign::class);
    }

    public function admin() {
        return $this->belongsTo(User::class, 'admin_id');
    }
}
