<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Setting extends Model
{

    protected $dates = [
        'created_at',
        'updated_at',
    ];

    protected $fillable = [
        'key',
        'value',
        'created_at',
        'updated_at',
    ];

    public static function settings_array(){
        $settings = Setting::all();
        $return = [];
        foreach($settings as $setting){
            $return[$setting->key] = $setting->value;
        }
        return $return;
    }
}

