<?php


namespace App;
use Illuminate\Database\Eloquent\Model;

class Tag extends Model
{
    protected $dates = [
        'created_at',
        'updated_at',
    ];

    protected $fillable = [
        'subject',
        'title',
        'created_at',
        'updated_at',
    ];

    public function users() {
        return $this->belongsToMany(User::class);
    }
}
