<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddTokenColumnsToSocialmedias extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('socialmedias', function (Blueprint $table) {
            $table->text('token')->nullable()->after('extra_note');
            $table->integer('token_max_age')->nullable()->after('token');
            $table->integer('token_update_time')->nullable()->after('token_max_age');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('socialmedias', function (Blueprint $table) {
            $table->dropColumn('token');
            $table->dropColumn('token_max_age');
            $table->dropColumn('token_update_time');
        });
    }
}
