<?php

use App\NotificationEventTag;
use Illuminate\Database\Seeder;

class NotificationEventTagsTableSeeder extends Seeder
{
    public function run()
    {
        $tags = [
            [
                'id'         => '1',
                'value'      => 'receiver_name',
                'created_at' => '2019-04-15 19:14:42',
                'updated_at' => '2019-04-15 19:14:42',
            ],
            [
                'id'         => '2',
                'value'      => 'sender_name',
                'created_at' => '2019-04-15 19:14:42',
                'updated_at' => '2019-04-15 19:14:42',
            ],
            [
                'id'         => '3',
                'value'      => 'receiver_email',
                'created_at' => '2019-04-15 19:14:42',
                'updated_at' => '2019-04-15 19:14:42',
            ],
            [
                'id'         => '4',
                'value'      => 'sender_email',
                'created_at' => '2019-04-15 19:14:42',
                'updated_at' => '2019-04-15 19:14:42',
            ],
            [
                'id'         => '5',
                'value'      => 'admin_name',
                'created_at' => '2019-04-15 19:14:42',
                'updated_at' => '2019-04-15 19:14:42',
            ],
            [
                'id'         => '6',
                'value'      => 'admin_email',
                'created_at' => '2019-04-15 19:14:42',
                'updated_at' => '2019-04-15 19:14:42',
            ]];

        NotificationEventTag::insert($tags);
    }
}
