@extends('layouts.frontend')
<!-- Header -->
@section('header')
@include('partials.header')
@endsection

@section('contents')
<div class="section full-height banner-section">
                <div class="section">
                        @include('flash-message')
                        <div class="container">
                                <div class="browse_heading">
                                        <h3><strong>HIRE BEST INFLUENCERS AROUND THE GLOBE</strong></h3>
                                </div>
                              <div class="row">

                                        <div class="col-md-4">
                                                <div class="browse_left">
                                                        <div class="row">
                                                                <div class="col-md-12">
                                                                        <div class= "browse_search_heading">
                                                                                <a><strong>SEARCH</strong></a>
                                                                        </div>
                                                                        
                                                                </div>
                                                        </div> 
                                                        <div class="row">
                                                                <div class="col-md-12">
                                                                        <div class= "browse_search_body">
                                                                                
                                                                                {{-- search div --}}
                                                                                <form method="POST" action="#" class="form-inline mb-5 mt-0">
                                                                                @csrf
                                                                                <i class="fas fa-search active" aria-hidden="true"></i>
                                                                                <input class="form-control form-control-sm ml-3 w-75" type="text" placeholder= "SEARCH" aria-label="Search">
                                                                                 {{-- search div ends --}}
                                                                                {{-- sort div --}}
                                                                        <div class="browse_sort_div">
                                                                                <a>SORT</a>
                                                                                <select>
                                                                                <option value="#">6 entries</option>
                                                                                </select>        
                                                                        </div>
                                                                                {{-- sort div --}}
                                                                                <div class= "browse_search_button">
                                                                                <button type="submit" class="button button-block">Search</button>
                                                                                </div>
                                                                                </form>
                                                                               
                                                                        
                                                                        
                                                                        </div>
                                                                </div>
                                                        </div>
                                                </div> 
                                                <div class="browse_left">
                                                        <div class="row">
                                                                <div class="col-md-12">
                                                                        <div class= "browse_search_heading">
                                                                                <a><strong>TYPE</strong></a>
                                                                        </div>
                                                                        
                                                                </div>
                                                        </div> 
                                                        <div class="row">
                                                                <div class="col-md-12">
                                                                        <div class= "browse_search_body">
                                                                                <a>- Page</a><br>
                                                                                <a>- Personal</a>
                                                                        </div>
                                                                        
                                                                </div>
                                                        </div>
                                                </div>
                                                <div class="browse_left">
                                                        <div class="row">
                                                                <div class="col-md-12">
                                                                        <div class= "browse_search_heading">
                                                                                <a><strong>CATEGORIES</strong></a>
                                                                        </div>
                                                                        
                                                                </div>
                                                        </div> 
                                                        <div class="row">
                                                                <div class="col-md-12">
                                                                        <div class= "browse_search_body">
                                                                                <a>- Humour & Memes</a><br>
                                                                                <a>- Fashion & Style</a><br>
                                                                                <a>- Fitness</a><br>
                                                                                <a>- Luxury & Motivation</a><br>
                                                                                <a>- Nature</a><br>
                                                                                <a>- Animals</a><br>
                                                                                <a>- Models</a><br>
                                                                                <a>- Technologies</a><br>
                                                                        </div>
                                                                        
                                                                </div>
                                                        </div>
                                                </div>        
                                        </div>
                                        <div class="col-md-8">
                                                <table class="table table-striped">
                                                        <thead class= "browse_table_heading">
                                                                <tr>
                                                                <th scope="col">INFLUENCER ACCOUNT <i class="fas fa-sort"></i></th>
                                                                <th scope="col">FOLLOWERS</th>
                                                                <th scope="col">SCORE</th>
                                                                <th scope="col">PRICE</th>
                                                                </tr>
                                                        </thead>
                                                        <tbody class= "browse_table_body">

                                                                <tr>
                                                                <td>
                                                                        <div class="person_icon">
                                                                        <i class="far fa-user"></i>
                                                                        </div>
                                                                        <div class="person_name">
                                                                                <a>Andrew Payne<br>@humansoftbarbecue</a>
                                                                        </div>

                                                                </td>
                                                                <td>3.2m</td>
                                                                <td>9.8</td>
                                                                <td>50$</td>
                                                                </tr>
                                                                
                                                                <tr>
                                                                <td>
                                                                        <div class="person_icon">
                                                                        <i class="far fa-user"></i>
                                                                        </div>
                                                                        <div class="person_name">
                                                                                <a>Andrew Payne<br>@humansoftbarbecue</a>
                                                                        </div>
        
                                                                </td>
                                                                <td>3.2m</td>
                                                                <td>9.8</td>
                                                                <td>50$</td>
                                                                </tr>
                                                        
                                                                <tr>
                                                                <td>
                                                                        <div class="person_icon">
                                                                        <i class="far fa-user"></i>
                                                                        </div>
                                                                        <div class="person_name">
                                                                        <a>Andrew Payne<br>@humansoftbarbecue</a>
                                                                        </div>
                                                                </td>
                                                                <td>3.2m</td>
                                                                <td>9.8</td>
                                                                <td>50$</td>
                                                                </tr>

                                                                <tr>
                                                                <td>
                                                                        <div class="person_icon">
                                                                        <i class="far fa-user"></i>
                                                                        </div>
                                                                        <div class="person_name">
                                                                        <a>Andrew Payne<br>@humansoftbarbecue</a>
                                                                        </div>
                                                                </td>
                                                                <td>3.2m</td>
                                                                <td>9.8</td>
                                                                <td>50$</td>
                                                                </tr>

                                                                <tr>
                                                                <td>
                                                                        <div class="person_icon">
                                                                        <i class="far fa-user"></i>
                                                                        </div>
                                                                        <div class="person_name">
                                                                        <a>Andrew Payne<br>@humansoftbarbecue</a>
                                                                        </div>
                                                                </td>
                                                                <td>3.2m</td>
                                                                <td>9.8</td>
                                                                <td>50$</td>
                                                                </tr>

                                                                <tr>
                                                                <td>
                                                                        <div class="person_icon">
                                                                        <i class="far fa-user"></i>
                                                                        </div>
                                                                        <div class="person_name">
                                                                        <a>Andrew Payne<br>@humansoftbarbecue</a>
                                                                        </div>
                                                                </td>
                                                                <td>3.2m</td>
                                                                <td>9.8</td>
                                                                <td>50$</td>
                                                                </tr>

                                                                <tr>
                                                                <td>
                                                                        <div class="person_icon">
                                                                        <i class="far fa-user"></i>
                                                                        </div>
                                                                        <div class="person_name">
                                                                        <a>Andrew Payne<br>@humansoftbarbecue</a>
                                                                        </div>
                                                                </td>
                                                                <td>3.2m</td>
                                                                <td>9.8</td>
                                                                <td>50$</td>
                                                                </tr>

                                                                <tr>
                                                                <td>
                                                                        <div class="person_icon">
                                                                        <i class="far fa-user"></i>
                                                                        </div>
                                                                        <div class="person_name">
                                                                        <a>Andrew Payne<br>@humansoftbarbecue</a>
                                                                        </div>
                                                                </td>
                                                                <td>3.2m</td>
                                                                <td>9.8</td>
                                                                <td>50$</td>
                                                                </tr>

                                                                
                                                        </tbody>
                                                </table>    
                                                {{-- pagination div   --}}
                                                <div class="row">
                                                <div class="col-sm-12 col-md-7">
                                                <div class="dataTables_paginate paging_simple_numbers" id="dtBasicExample_paginate">
                                                        <ul class="pagination">
                                                        <li class="paginate_button page-item active"></li>
                                                        <li class="paginate_button page-item"></li>
                                                        <li class="paginate_button page-item"></li>
                                                        <li class="paginate_button page-item"></li>
                                                        <li class="paginate_button page-item"></li>
                                                        </ul>
                                                
                                                </div>
                                                </div>  
                                                </div>
                                                {{-- pagination div ends  --}}
                                        </div>
                                </div>
                                
                                
                                
                        </div>
                </div>
                
                <div class="section mt-5">
                        <div class="container">
                        <div class="row">
                                <div class="col-12">
                                <div id="switch">
                                        <div id="circle"></div>
                                </div>
                                </div>
                        </div>
                        </div>
                </div>

</div>

@endsection

@section('footer')
@include('partials.footer')
@endsection
@section('scripts')
<script src="{{ asset('frontend/js/jquery.js') }}"></script>
<script src="{{ asset('frontend/js/popper.js') }}"></script>
<script src="{{ asset('frontend/js/bootstrap.js') }}"></script>
<script src="{{ asset('frontend/js/custom.js') }}"></script>

@endsection

