@extends('layouts.frontend')
<!-- Header -->
@section('header')
    @include('partials.header')
@endsection

@section('contents')
    <div class="section full-height banner-section">
                    <div class="section">
                            @include('flash-message')
                            <div class="container">
                                    <div class="campaign_heading">
                                            <h3><strong>CAMPAIGNS IN PROGRESS</strong></h3>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class= "campaign_list">
                                                <div class = "campaign_button">
                                                    <a href="{{ route('frontend.user.create_campaign') }}"><button type="button" class="button button-block">New Campaign</button></a>
                                                </div>

                                                <div class="sort_div">
                                                   <a><strong>SORT</strong></a>
                                                   <select>
                                                        <option value="volvo">Volvo</option>
                                                        <option value="saab">Saab</option>
                                                        <option value="opel">Opel</option>
                                                        <option value="audi">Audi</option>
                                                    </select>
                                                        
                                                </div>

                                            </div>
                                        </div>
                                </div>
                                    <div class="row">

                                            <div class="col-md-12">
                    <div class="table-responsive">
                                         <!-- DATA TABLE STARTS -->
                                            <table id="dtBasicExample" class="table table-striped table-bordered" cellspacing="0" width="100%" style="background: #fff;">
                                                <thead>
                                                <tr>
                                                    <th class="th-sm">CATEGORY
                                                    </th>
                                                    <th class="th-sm">PRICE
                                                    </th>
                                                    <th class="th-sm">Accept/Reject
                                                    </th>
                    
                                                </tr>
                                                </thead>
                                                <tbody>
                                                
                                                <tr>
                    
                                                    <td>Name</td>
                                                    <td>1500</td>
                                                    <td>
                                                        <a class="fa fa-cog dropdown-toggle" data-toggle="dropdown"></a>
                                                        <div class="dropdown-menu">
                                                            <a class="dropdown-item" href="#">Enable</a>
                                                            <a class="dropdown-item" href="#">Edit</a>
                                                        </div>
                                                    </td>
                                                </tr>
                                                    <tr>
                                                    <td>Name 2</td>
                                                    <td>1500</td>
                                                    <td>
                                                        <a class="fa fa-cog dropdown-toggle" data-toggle="dropdown"></a>
                                                        <div class="dropdown-menu">
                                                            <a class="dropdown-item" href="#">Enable</a>
                                                            <a class="dropdown-item" href="#">Edit</a>
                                                        </div>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>Name 3</td>
                                                    <td>1500</td>
                                                    <td>
                                                        <a class="fa fa-cog dropdown-toggle" data-toggle="dropdown"></a>
                                                        <div class="dropdown-menu">
                                                            <a class="dropdown-item" href="#">Enable</a>
                                                            <a class="dropdown-item" href="#">Edit</a>
                                                        </div>
                                                    </td>
                                                </tr>
                                                </tbody>
                                            </table>
                                         <!-- DATA TABLE ENDS -->
                                            </div>
                                        </div>
                                        </div> 




                            </div>
                    </div>




                        <div class="section mt-5">
                            <div class="container">
                                <div class="row">
                                    <div class="col-12">
                                        <div id="switch">
                                            <div id="circle"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

    </div>

@endsection

@section('footer')
    @include('partials.footer')
@endsection
@section('scripts')
    <script src="{{ asset('frontend/js/jquery.js') }}"></script>
    <script src="{{ asset('frontend/js/popper.js') }}"></script>
    <script src="{{ asset('frontend/js/bootstrap.js') }}"></script>
    <script src="{{ asset('frontend/js/custom.js') }}"></script>

@endsection

