@extends('layouts.frontend')
<!-- Header -->
@section('header')
    @include('partials.header')
@endsection

@section('contents')
    <div class="section full-height banner-section">
                    <div class="section">
                            @include('flash-message')
                            <div class="container">
                                    <div class="notification_heading">
                                            <h3><strong>CREATE NOTIFICATIONS</strong></h3>
                                    </div>
                                <div class="row">
                                    <div class="col-md-4">
                                        <div class="modal-body p-0">
                                            <div class="signinform">
                                                <div class="form">
                                                    <div id="signup">
                                                        
                                                      
                                            <div class="textform">
                                                    <form method="POST" action="#">
                                                        @csrf
    
                                                        <div class="field-wrap">
                                                            <select name="to_user_id" class="form-control" required>
                                                                <option value="">Choose Receiver</option>
                                                                
                                                            </select>
                                                            @if ($errors->has('to_user_id'))
                                                                <span class="invalid-feedback" style="display: block;">
                                            <strong>{{ $errors->first('to_user_id') }}</strong>
                                            </span>
                                                            @endif
                                                        </div>
    
                                                        <div class="field-wrap">
                                                            <textarea name="message" placeholder="Write a Message here" required class="form-control"></textarea>
                                                            @if ($errors->has('message'))
                                                                <span class="invalid-feedback" style="display: block;">
                                            <strong>{{ $errors->first('message') }}</strong>
                                            </span>
                                                            @endif
                                                        </div>
    
    
                                                        <button type="submit" class="button button-block">SEND</button>
    
                                                    </form>
    
                                                </div>
            
                                    </div>
                                </div></div></div></div>
            
                                </div> <!-- Row ends here -->
            
                            </div>
                        </div>
                        <div class="section mt-5">
                            <div class="container">
                                <div class="row">
                                    <div class="col-12">
                                        <div id="switch">
                                            <div id="circle"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    
    </div>
  
@endsection

@section('footer')
    @include('partials.footer')
@endsection
@section('scripts')
    <script src="{{ asset('frontend/js/jquery.js') }}"></script>
    <script src="{{ asset('frontend/js/popper.js') }}"></script>
    <script src="{{ asset('frontend/js/bootstrap.js') }}"></script>
    <script src="{{ asset('frontend/js/custom.js') }}"></script>

@endsection

