@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.show') }} {{ trans('global.user.title') }}
    </div>

    <div class="card-body">
        <table class="table table-bordered table-striped">
            <tbody>
                <tr>
                    <th>
                        {{ trans('global.user.fields.name') }}
                    </th>
                    <td>
                        {{ $user->name }}
                    </td>
                </tr>
                <tr>
                    <th>
                        {{ trans('global.user.fields.email') }}
                    </th>
                    <td>
                        {{ $user->email }}
                    </td>
                </tr>
                <tr>
                    <th>
                        {{ trans('global.user.fields.email_verified_at') }}
                    </th>
                    <td>
                        {{ $user->email_verified_at == '' ? 'Not Verified' : $user->email_verified_at }}
                    </td>
                </tr>
                <tr>
                    <th>
                        {{ trans('global.user.fields.referral') }}
                    </th>
                    <td>
                        {{ $user->referral_code == '' ? 'None' : $user->referral_user($user->referral_code)->name }}
                    </td>
                </tr>
                <tr>
                    <th>
                        Country
                    </th>
                    <td>
                        {{ $user->country }}
                    </td>
                </tr>
                <tr>
                    <th>
                        City
                    </th>
                    <td>
                        {{ $user->city }}
                    </td>
                </tr>
                <tr>
                    <th>
                        Zip Code
                    </th>
                    <td>
                        {{ $user->zip_code }}
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>

@endsection
