<div id="notifications-section" class="section banner-section">
    <div class="section">
        @include('flash-message')
        <div class="container notification-container">
            <div class="notification_heading">
                <span>{{$event->heading}}</span>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class= "notification_list" @if($notification->status == 'Unread') style="background-color: #d4d4d4;" @endif>
                        <div class="notification_icon">
                            <img class="circle-icon" src="{{ asset('images/campaign.png') }}">
                        </div>
                        <div class="notification_text">
                            <span>{!! $notification->message !!}</span>
                            <div class="notification_time">
                                <i class="fa fa-calendar" aria-hidden="true"></i>
                                <span>{{ date('d-m-Y', strtotime($notification->created_at)) }}</span>
                                <i class="fa fa-clock-o" aria-hidden="true"></i>
                                <span>{{ date('H:i a', strtotime($notification->created_at)) }}</span>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<style>
    .notification_list{
        background-color: #ffffff ;
        padding-top: 10px;
        padding-bottom: 15px;
        padding-left: 20px;
        padding-right: 10px;
        /* height: 90px; */
        border-radius: 5px;
        margin-bottom: 20px;
        margin-left: 50px;
        margin-right: 50px;
        font-size: 14px;
        font-weight: normal;
        font-family: Segoe UI;
    }
    .notification_text{
        display: inline;
        font-size: 14px;
        font-weight: normal;
        font-family: Segoe UI;
    }
    .notification_icon{
        padding-top: 10px;
        padding-right: 20px;
        float:left;

    }
    .circle-icon {
        background: #6995f3;
        padding:10px;
        border-radius: 50%;
    }
    .notification_time{
        margin-left: 30px;
        margin-top: 10px;
    }
    .notification_heading {
        margin: 100px 0px 50px 0px;
        font-weight: bold;
        font-family: Segoe UI;
        font-size: 34px;
    }
    span.notifi {
        font-size: 10px;
        position: absolute;
        background: red;
        color: #fff;
        width: 15px;
        height: 15px;
        line-height: 15px;
        border-radius: 50%;
    }
</style>