@extends('layouts.frontend')
<!-- Header -->
@section('header')

    @include('partials.header')

@endsection

@section('contents')

<div class="background_section">
        <div class="section">
            @include('flash-message')
                <div class="container">
                        <div class="insta_heading">
                                <span>Account/Add Twitter</span>
                        </div>
                    <div class="row">

                        <div class="col-md-6" style="margin:auto;">
                            
                                <div class="socialform">
                                    <div class="form">
                                            <div class="textform">
                                                <form method="POST" action="{{ route('frontend.social.post_twitter') }}">
                                                    @csrf

                                                    <div class="field-wrap">

                                                        <input type="text" name="account_handle" placeholder="Twitter handle" autocomplete="off"/>

                                                    </div>

                                                    <button type="submit" class="button button-block">FIND</button>

                                                </form>

                                            </div>
                                    </div></div></div>

                    </div> <!-- Row ends here -->

                </div>
            
        </div>
            <div class="section mt-5">
                <div class="container">
                    <div class="row">
                        <div class="col-12">
                            <div id="switch">
                                <div id="circle"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection

@section('footer')
    @include('partials.footer')
@endsection

