@extends('layouts.frontend')

@section('modal')
    <!-- The Modal -->
    <div class="modal fade" id="signinmodal">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">

                <!-- Modal Header -->
                <!-- <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div> -->

                <!-- Modal body -->
                <div class="modal-body p-0">
                    <div class="signinform">
                        <div class="form">

                            <ul class="tab-group">
                                <li class="tab active"><a href="#signup">Sign Up</a></li>
                                <li class="tab"><a href="#login">Log In</a></li>
                            </ul>

                            <div class="tab-content px-4">
                                <div id="signup">
                                    <h2><span>Welcome to</span><br/> INFLUENCER MARKETPLACE</h2>

                                    <hr class="mt-5" />


                                    <div class="textform">
                                        <form method="POST" action="{{ route('register') }}">
                                            @csrf

                                            <h5>Please Create an Account</h5>

                                            <div class="field-wrap">
                                                <input type="text" name="name" placeholder="Full Name" required autocomplete="off" />
                                            </div>

                                            <div class="field-wrap">
                                                <input type="email" name="email" placeholder="Email" required autocomplete="off" />
                                            </div>

                                            <div class="field-wrap">

                                                <input type="password" name="password" placeholder="Password" required autocomplete="off" />
                                            </div>
                                            <div class="field-wrap">

                                                <input type="password" name="password_confirmation" id="password-confirm" placeholder="Confirm Password" required autocomplete="off" />
                                            </div>
                                            <div class="field-wrap">

                                                <input type="text" name="phone" placeholder="Phone Number" required autocomplete="off" />
                                            </div>

                                            <div class="field-wrap">

                                                <input type="text" name="referral_code" placeholder="Referral Code" required autocomplete="off" />

                                            </div>

                                            <button type="submit" class="button button-block">REGISTER</button>

                                        </form>

                                    </div>

                                </div>

                                <div id="login">
                                    <h2><span>Welcome to</span><br/> INFLUENCER MARKETPLACE</h2>


                                    <div class="textform">

                                        <form method="POST" action="{{ route('login') }}">
                                            {{ csrf_field() }}
                                            <h5>Please Sign in</h5>
                                            <div class="field-wrap">
                                                <input type="email" name="email" placeholder="{{ trans('global.login_email') }}" required autocomplete="off" />
                                            </div>

                                            <div class="field-wrap">
                                                <input type="password" name="password" placeholder="{{ trans('global.login_password') }}" required autocomplete="off" />
                                            </div>

                                            <p class="forgot"><a href="{{ route('password.request') }}">Forgot Password?</a></p>

                                            <button class="button button-block">{{ trans('global.login') }}</button>
                                        </form>

                                    </div>

                                </div>

                            </div>
                            <!-- tab-content -->

                        </div>
                        <!-- /form -->
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
<!-- Header -->
@section('header')
    @include('partials.header')
@endsection

@section('contents')
    <div class="section full-height banner-section">
        <div class="absolute-center">
            <div class="section">
                <div class="container">
                    <div class="row">
                        <div class="col-6">
                            <h1><span>HOME PAGE for</span><br>
                                <span class="color-green">BRANDS</span></h1>
                            <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce quis lobortis enim, quis feugiat enim. Sed molestie rhoncus rutrum. Aenean arcu mi, tincidunt ut pulvinar eget, ultricies vel sapien. </p>
                            <div class="counting py-3">
                                <div class="listcount">
                                    <h1>350</h1>
                                    Followers Reached
                                </div>
                                <div class="listcount">
                                    <h1>50K</h1>
                                    Influencer Accounts
                                </div>
                                <div class="listcount no-border">
                                    <h1>50M</h1>
                                    Total Earned
                                </div>
                            </div>
                            <div class="actionbtn">
                                <button>Boost Your Reach</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="section mt-5">
                <div class="container">
                    <div class="row">
                        <div class="col-12">
                            <div id="switch">
                                <div id="circle"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('footer')
    @include('partials.footer')
@endsection


