
@extends('layouts.frontend')
<!-- Header -->
@section('header')
    @include('partials.header')
@endsection

@section('contents')
    <div class="section full-height banner-section">
        <div class="absolute-center">
            <div class="section" style="margin-top: 180px;">
                <div class="container">
                    <div class="row">
                        <div class="col-md-1">
                            <a href="{{ route('frontend.user.create_package') }}"><input type="button" class="button button-block" value="New Package"></a>
                        </div>
                    </div><br>

                    <div class="row">

                        <div class="col-md-10">

                            <!-- DATA TABLE STARTS -->
                            <table id="dtBasicExample" class="table table-striped table-bordered" cellspacing="0" width="100%" style="background: #fff;">
                                <thead>
                                <tr>
                                    <th class="th-sm">Package Name
                                    </th>
                                    <th class="th-sm">Admin Name
                                    </th>
                                    <th class="th-sm">Package Price
                                    </th>

                                </tr>
                                </thead>
                                <tbody>
                                @foreach($packages as $package)
                                    <tr>

                                        <td>{{ $package->name }}</td>
                                        <td><a href="#">{{ $package->admin->name }}</a></td>
                                        <td>{{ $package->cost }}</td>

                                    </tr>
                                @endforeach



                                </tbody>

                            </table>
                            <!-- DATA TABLE ENDS -->
                        </div>

                    </div> <!-- Row ends here -->

                </div>
            </div>
            <div class="section mt-5">
                <div class="container">
                    <div class="row">
                        <div class="col-12">
                            <div id="switch">
                                <div id="circle"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('footer')
    @include('partials.footer')
@endsection
