@extends('layouts.frontend')
@section('modal')
<div id="loading-div" class="loading" style="display: none;">Loading&#8230;</div>
@include('partials.login_register_modal')
@include('partials.review_site_modal')
@endsection
<!-- Header -->
@section('header')
@include('partials.header')
@endsection
@section('contents')
<div class="modal fade" id="worthAccount">
    <div class="modal-dialog modal-dialog-centered modal-lg">
        <div class="modal-content">
            <div class="modal-body p-4 text-center">
                <div class= "influencer_details">
                    <div class="row align-items-center h-100">
                        <div class="col-md-4 profileimg">
                            <img id="worth_image" src="{{ asset('images/user-default.png') }}" class=" rounded-circle" alt="" style="width: 150px;" />
                        </div>
                        <div class="col-md-6 profileinfo text-left">
                            <a class="account_handle"><strong id="worth_handle">@handle</strong></a><br>
                            <div class="worthaccount-inner">
                                <div class="follower_icon_text">
                                    <a class="cart_follower_count"><strong id="worth_followers" style="color: #5ea956;">?</strong><br><a class="cart_follower">FOLLOWERS</a></a>
                                </div>
                                <div class="follower_icon_text ml-3">
                                    <a class="cart_follower_count"><strong id="worth_following" style="color: #5ea956;">?</strong><br><a class="cart_follower">FOLLOWING</a></a>
                                </div>
                            </div>
                        </div>
                    </div><hr>
                    <h2 id="account_worth"></h2>
                </div>
                <hr>
                <div class="actionbtn">
                    <a data-dismiss="modal"  href="javascript:void(0)">
                        <button>OK</button>
                    </a>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="homepage-banner-section">
    @include('flash-message')
            <div class="container">
                <div class="row">
                    <div class="col-6">
                        <h1><span>A Place for</span><br>
                        <span class="color-green">Influencers Marketing</span></h1>
                        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce quis lobortis enim, quis feugiat enim. Sed molestie rhoncus rutrum. Aenean arcu mi, tincidunt ut pulvinar eget, ultricies vel sapien. </p>
                        <div class="counting py-3">
                            <div class="listcount">
                                <h1>350</h1>
                                Followers Reached
                            </div>
                            <div class="listcount">
                                <h1>50K</h1>
                                Influencer Accounts
                            </div>
                            <div class="listcount no-border">
                                <h1>50M</h1>
                                Total Earned
                            </div>
                        </div>
                        <div class="actionbtn">
                            <button>Boost Your Reach</button>
                        </div>
                    </div>
                </div>
            </div>

<!--         <div class="section mt-5">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <div id="switch">
                            <div id="circle"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div> -->
</div>
{{--<section class="feature-logo-section py-5">
    <div class="container">
        <div class="feature-logo">
            <span>
                <img src="{{ asset('frontend/images/feature-logo/bof.png') }}" alt=""/>
            </span>
            <span>
                <img src="{{ asset('frontend/images/feature-logo/bbc.png') }}" alt=""/>
            </span>
            <span>
                <img src="{{ asset('frontend/images/feature-logo/forbes.png') }}" alt=""/>
            </span>
            <span>
                <img src="{{ asset('frontend/images/feature-logo/buzzfeednews.png') }}" alt=""/>
            </span>
            <span>
                <img src="{{ asset('frontend/images/feature-logo/businessofapps.png') }}" alt=""/>
            </span>
            <span>
                <img src="{{ asset('frontend/images/feature-logo/influencer-marketing-hub.png') }}" alt=""/>
            </span>
        </div>
    </div>
</section>--}}
<section class="whatother-section py-5 text-center">
    <div class="container">
        <h2>Find Out Your <b>Accounts Worth</b></h2>
        <p>Suspendisse potenti. Donec consectetur varius porttitor. Nunc ac rutrum turpis. Pellentesque dignissim diam quis ex dapibus, fermentum egestas metus suscipit. Maecenas mattis felis quam, euismod eleifend mauris elementum ac.</p>
        <div class="row py-4">
            <div class="col-md-6">
                <div class="row" id="account_value_div">
                    <div class="col-md-12">
                        @if(!Auth::check())
                        <div class="coldiv" style="cursor: pointer" data-toggle="modal" data-target="#signinmodal">
                            <div class="coldiv-inner">
                                <div class="useraccountsec"> Add Your Social Accounts </div>
                                <div class="getstrted">Get Started!</div>
                            </div>
                        </div>
                        @else
                        <a href="{{ route('frontend.social.home') }}">
                            <div class="coldiv" style="cursor: pointer">
                                <div class="coldiv-inner">
                                    <div class="useraccountsec"> Add Your Social Accounts </div>
                                    <div class="getstrted">Get Started!</div>
                                </div>
                            </div>
                        </a>
                        @endif
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="row">
                    <div class="col-md-12">
                        <div class="coldiv">
                            <div class="acc-worth">Find Out Your Accounts Worth</div>
                            <span id="account_handle_error" style="font-size: 10px; color: darkred; display: none;">Invalid Account Handle</span>
                            <div class="social-acc-handler">
                                {{--<input type="text" class="form-control" id="account_handle">
                                <button type="button" class="chckvalue" onclick="getAccountValue();"> Check Value</button>--}}
                                <ul class="nav nav-tabs" id="myTab" role="tablist">
                                    <li class="nav-item">
                                        <a class="social-nav nav-link active" id="home-tab" data-toggle="tab" href="#home" role="tab" aria-controls="home" aria-selected="true">INSTAGRAM</a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="social-nav nav-link" id="profile-tab" data-toggle="tab" href="#profile" role="tab" aria-controls="profile" aria-selected="false">TIKTOK</a>
                                    </li>
                                </ul>
                                <div class="tab-content mt-2" id="myTabContent">
                                    <div class="tab-pane fade show active" id="home" role="tabpanel" aria-labelledby="home-tab">
                                        
                                        <div class="social-check-parent">
                                            <div class="social-inputfield">
                                                <input type="text" class="form-control" id="instagram_handle">
                                            </div>
                                            <div class="social-checkbtn">
                                                <button type="button" class="chckvalue" onclick="getAccountValue('instagram');"> Check Value</button>
                                            </div>
                                        </div>
                                        
                                    </div>
                                    <div class="tab-pane fade" id="profile" role="tabpanel" aria-labelledby="profile-tab">
                                        
                                        <div class="social-check-parent">
                                            <div class="social-inputfield">
                                                <input type="text" class="form-control" id="tiktok_handle">
                                                
                                            </div>
                                            <div class="social-checkbtn">
                                                <button type="button" class="chckvalue" onclick="getAccountValue('tiktok');"> Check Value</button>
                                            </div>
                                        </div>
                                        <div class="tab-pane fade" id="profile" role="tabpanel" aria-labelledby="profile-tab">
                                            
                                            
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="imgcenter">
                <img src="{{ asset('frontend/images/influencer-marketing-hub-bg.png') }}" alt="" />
            </div>
        </div>
        <div class="bottom-end py-4">
            <div class="container">
                <div class="row">
                    <div class="col-md-4">
                        <div class="col-div-end">
                            <h2>Top Influencers</h2>
                            <p>Suspendisse potenti donec un in consectetur varius portor ex in dapies, gestas met suscip.</p>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="col-div-end">
                            <h2>Guaranteed & Secure</h2>
                            <p>Suspendisse potenti donec un in consectetur varius portor ex in dapies, gestas met suscip.</p>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="col-div-end">
                            <h2>Metrics & Statistics</h2>
                            <p>Suspendisse potenti donec un in consectetur varius portor ex in dapies, gestas met suscip.</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    @if( trans('global.show_influencers') == 'Yes' )
    @include('partials.homepage_featured_influencers')
    @endif
    <section class="methodology-section py-5 text-center">
        <div class="container">
            <h2>Our <b>Methodology</b></h2>
            <p>Suspendisse potenti. Donec consectetur varius porttitor. Nunc ac rutrum turpis. Pellentesque dignissim diam quis ex dapibus, fermentum egestas metus suscipit. Maecenas mattis felis quam, euismod eleifend mauris elementum ac.</p>
            <div class="row py-4">
                <div class="col-md-6 text-left py-4">
                    <div class="platfor-text">
                        <h2>One Platform For All <br/><b class="color-green">Points Of Connection</b></h2>
                        <p>Suspendisse potenti. Donec consectetur varius porttitor. Nunc ac rutrum turpis pellentesque dignissim diam quis ex dapibus. </p>
                        <p>Fermentum egestas metus suscipit. Maecenas mattis felis quam, euismod eleifend mauris elementum ac.</p>
                        <div class="actionbtn">
                            <button>Explore The Platform</button>
                        </div>
                        <ul class="step d-flex flex-nowrap">
                            <li class="step-item">
                                <a href="#!" class="step1">Listening</a>
                            </li>
                            <li class="step-item">
                                <a href="#!" class="">Publishing</a>
                            </li>
                            <li class="step-item">
                                <a href="#!" class="">Engagement</a>
                            </li>
                            <li class="step-item">
                                <a href="#!" class="">Analytics</a>
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="col-md-6">
                    <img src="{{ asset('frontend/images/exploreimg.jpg') }}" class="card-img" alt="" />
                </div>
            </div>
        </div>
    </section>
    {{--@include('partials.homepage_brand_reviews')--}}
    <section class="offer-section py-5 text-center">
        <div class="container">
            <h2>What More <b>We Offer</b></h2>
            <p>Suspendisse potenti. Donec consectetur varius porttitor. Nunc ac rutrum turpis. Pellentesque dignissim diam quis ex dapibus, fermentum egestas metus suscipit. Maecenas mattis felis quam, euismod eleifend mauris elementum ac.</p>
            <div class="row py-4 text-left">
                <div class="col-md-6">
                    <div class="offer-col d-flex">
                        <div class="iconleft">
                            <img src="{{ asset('frontend/images/offericon1.png') }}" alt="" />
                        </div>
                        <div class="offer-text">
                            <h4>Understand Your Audience</h4>
                            <P>Lorem ipsum dolor sit amet, consectetur adipisicing elit ratione sapiente sint.</P>
                            <a href="#">Learn More ></a>
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="offer-col d-flex">
                        <div class="iconleft">
                            <img src="{{ asset('frontend/images/offericon2.png') }}" alt="" />
                        </div>
                        <div class="offer-text">
                            <h4>Reach Your Audience</h4>
                            <P>Lorem ipsum dolor sit amet, consectetur adipisicing elit ratione sapiente sint.</P>
                            <a href="#">Learn More ></a>
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="offer-col d-flex">
                        <div class="iconleft">
                            <img src="{{ asset('frontend/images/offericon3.png') }}" alt="" />
                        </div>
                        <div class="offer-text">
                            <h4>Engage Your Community</h4>
                            <P>Lorem ipsum dolor sit amet, consectetur adipisicing elit ratione sapiente sint.</P>
                            <a href="#">Learn More ></a>
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="offer-col d-flex">
                        <div class="iconleft">
                            <img src="{{ asset('frontend/images/offericon4.png') }}" alt="" />
                        </div>
                        <div class="offer-text">
                            <h4>Measure Your Performance</h4>
                            <P>Lorem ipsum dolor sit amet, consectetur adipisicing elit ratione sapiente sint.</P>
                            <a href="#">Learn More ></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <div class="newsletter">
        <div class="container">
            <div class="newsletter-text p-4">
                <div class="row">
                    <div class="col-md-6">
                        <h5>Subscribe to Our Newsletter & Get Latest Updates</h5>
                        <small>Get Social Media Tips Straight to Your Inbox & Become a Better Marketer</small>
                    </div>
                    <div class="col-md-6">
                        <div class="d-flex">
                            <input type="text" name="input" class="form-control" placeholder="Please enter your email address..." />
                            <button type="submit" class="signup"> Sign Up</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @endsection
    @section('footer')
    @include('partials.footer')
    @endsection
    @section('scripts')
    {{--<script src="{{ asset('frontend/js/jquery.js') }}"></script>
    <script src="{{ asset('frontend/js/popper.js') }}"></script>
    <script src="{{ asset('frontend/js/bootstrap.js') }}"></script>
    <script src="{{ asset('frontend/js/custom.js') }}"></script>
    <script src="{{ asset('frontend/js/reg-login.js') }}"></script>--}}

    <script src="{!! asset('js/firebase/firebase-app.js') !!}"></script>
    <script src="{!! asset('js/firebase/firebase-firestore.js') !!}"></script>
    <script src="{!! asset('js/firebase/firebase-messaging.js') !!}"></script>
    <script src="{!! asset('js/firebase/firebase-chat-config.js') !!}"></script>

    <script>
    function getAccountValue(type) {
    $('#loading-div').show();
    var accountHandle = '';
    if(type == 'tiktok'){
    accountHandle = $('#tiktok_handle').val();
    }else if(type == 'instagram'){
    accountHandle = $('#instagram_handle').val();
    }
    $('#worth_handle').html('@'+accountHandle);
    $('#worth_image').attr('src' , '{{ asset('images/user-default.png') }}');
    $('#worth_followers').html('?');
    $('#worth_following').html('?');
    $('#worthAccount').modal('toggle');
    $('#account_worth').html('Processing...');
    var url = '{{ route('frontend.social.account_worth') }}' + '?handle=' + accountHandle + '&type='+type;
    $.ajax({
    type: "GET",
    url: url,
    success: function( data ) {
    $('#loading-div').hide();
    if(data.status == 404) {
    $('#account_worth').html('This account does not exist');
    } else if(data.status == 200) {
    $('#worth_image').attr('src' , data.account.picture);
    $('#worth_followers').html(data.account.followers);
    $('#worth_following').html(data.account.following);
    $('#account_worth').html('Your can earn up to <strong id="worth_followers" style="color: #5ea956;">$'+data.related.earning+'</strong> with this account.');
    } else if(data.status == 100){
    $('#worth_image').attr('src' , data.account.picture);
    $('#worth_followers').html(data.account.followers);
    $('#worth_following').html(data.account.following);
    $('#account_worth').html('Sorry! We are unable to provide this service at the moment.');
    }
    },
    error: function (data) {
    $('#loading-div').hide();
    $('#worthAccount').modal('hide');
    alert('Error');
    }
    });
    }
    $(document).ready(function() {
    var url_string = window.location.href;
    var url = new URL(url_string);
    var token = url.searchParams.get("verifiedToken");
    if(token == 'true'){
    $('#verifiedmodal').modal('toggle');
    }
    var uri = window.location.toString();
    if (uri.indexOf("?") > 0) {
    var clean_uri = uri.substring(0, uri.indexOf("?"));
    window.history.replaceState({}, document.title, clean_uri);
    }
    });
    </script>
    @endsection