<div class="wrapper">
    <div class="table-responsive">
        <table class="table table-striped" style="margin-bottom: 0;">
            <thead class= "browse_table_heading">
            <tr>
                <th scope="col">INFLUENCER ACCOUNT <i class="fas fa-sort"></i></th>
                <th scope="col">FOLLOWERS</th>
                <th style="font-family: 'Rubik', sans-serif;" scope="col">PRICE</th>
            </tr>
            </thead>
            <tbody class= "browse_table_body">

            @foreach($influencers as $influencer)
                @if($influencer->price_range != '$0-$0')
                    <tr>
                        <td>
                            <div class="person_icon">
                                <!--<i class="far fa-user"></i>-->
                                <img src="{{ $influencer->profile_picture }}" onerror="this.src='{{asset('images/default.jpg')}}'" style="width: 25px;
                                                                                    height: 25px;" class=" rounded-circle" alt="" />
                            </div>
                            <div class="person_name">
                                {{ $influencer->account_name }}<br><a href="{{ route('frontend.user.influencer_details', ['id' => $influencer->id]) }}">{{ '@' . $influencer->account_handle }}</a>
                            </div>

                        </td>
                        <td>{{ App\SocialmediaObject::number_format_short( $influencer->followers_count ) }}</td>
                        <td>{{$influencer->price_range}}</td>
                    </tr>
                @endif

            @endforeach


            </tbody>
        </table>
    </div>
</div>
<div class="browse_pagination">
    @if($influencers)
        {{ $influencers->appends(request()->query())->links() }}
    @endif
</div>