<div class="table-responsive">
    <!-- DATA TABLE STARTS -->
    <table id="dtBasicExample" class="table table-striped table-bordered" cellspacing="0" width="100%" style="background: #fff; margin-bottom:0px">
        <thead>
        <tr>
            <th class="th-sm">BUYER NAME
            </th>
            <th class="th-sm">TOTAL AMOUNT
            </th>
            <th class="th-sm">STATUS
            </th>
            <th class="th-sm">ACTIONS
            </th>

        </tr>
        </thead>
        <tbody>

        @foreach($campaigns as $campaign)
            <tr>
                <td>{{ $campaign->buyer_name }}</td>
                <td>{{ $campaign->amount }}</td>
                {{--<td id="status-bar{{$campaign->id}}">
                    @if($campaign->status == 'pending')
                        <a class="fa fa-check text-success" style="cursor: pointer; color: #1b4b72; font-size: 25px;" onclick="changeCampaignStatus({{ $campaign->id . ", 'in-progress'" }})"></a> <span style="font-size: 30px">&nbsp;|&nbsp;</span>
                        <a class="fa fa-times text-danger" style="cursor: pointer; color: #1b4b72; font-size: 25px;" onclick="changeCampaignStatus({{ $campaign->id . ", 'rejected'" }})"></a>
                    @else
                        <span class="badge @if($campaign->status == 'in-progress') badge-success @elseif($campaign->status == 'rejected') badge-danger @endif ">{{ucwords(str_replace('-' , ' ' ,$campaign->status))}}</span>
                    @endif
                </td>--}}
                <td>
                    @if($campaign->status == 'pending')
                        <span class="badge badge-warning">{{ucwords(str_replace('-' , ' ' ,$campaign->status))}}</span>
                    @elseif($campaign->status == 'in-progress')
                        <span class="badge badge-info">{{ucwords(str_replace('-' , ' ' ,$campaign->status))}}</span>
                    @elseif($campaign->status == 'new')
                        <span class="badge badge-success">{{ucwords(str_replace('-' , ' ' ,$campaign->status))}}</span>
                    @elseif($campaign->status == 'completed')
                        <span class="badge badge-success">{{ucwords(str_replace('-' , ' ' ,$campaign->status))}}</span>
                    @elseif($campaign->status == 'feedback-required')
                        <span class="badge badge-primary">{{ucwords(str_replace('-' , ' ' ,$campaign->status))}}</span>
                    @elseif($campaign->status == 'rejected')
                        <span class="badge badge-danger">{{ucwords(str_replace('-' , ' ' ,$campaign->status))}}</span>
                    @elseif($campaign->status == 'reopened')
                        <span class="badge badge-warning">{{ucwords(str_replace('-' , ' ' ,$campaign->status))}}</span>
                    @elseif($campaign->status == 'order-refund')
                        <span class="badge badge-primary">{{ucwords(str_replace('-' , ' ' ,$campaign->status))}}</span>
                    @endif
                    
                </td>
                <td>
                    <a class="text-dark" href="{{route('frontend.user.order_details' , ['id' => $campaign->id])}}"><i class="fa fa-eye"></i> &nbsp; View Details</a>
                </td>
            </tr>
        @endforeach

        </tbody>
    </table>
    <!-- DATA TABLE ENDS -->
    {{ $campaigns->links() }}
</div>
