{{--EMAIL VERIFICATION ALERT--}}
<div class="modal fade" id="verifymodal">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-body p-4 text-center">
                <h1 class="text-center">VERIFICATION
                    <span class="color-green">REQUIRED</span>
                </h1><hr>
                <p><strong>Registration Successful!</strong>     <br><br>A fresh <strong>verification link</strong> has been sent to your email address. <br> You must <strong>verify</strong> your email before proceeding. </p><hr>
                <div class="actionbtn">
                    <button data-dismiss="modal">OK</button>
                </div>
            </div>
        </div>
    </div>
</div>
{{--EMAIL IS VERIFIED ALERT--}}
<div class="modal fade" id="verifiedmodal">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-body p-4 text-center">
                <h1 class="text-center">VERIFICATION
                    <span class="color-green">SUCCESSFUL</span>
                </h1><hr>
                <p><strong>Email is verified!</strong>     <br><br> You have successfully verified your email. <br> You can now <strong>LOGIN</strong> to your account. <br></p><hr>
                <div class="actionbtn">
                    <button data-dismiss="modal">OK</button>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- The Modal -->
<div class="modal fade" id="signinmodal">
    <div class="modal-dialog modal-dialog-centered modal-lg">
        <div class="modal-content">

            <!-- Modal Header -->
            <!-- <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div> -->

            <!-- Modal body -->
            <div class="modal-body p-0">
                <div class="signinform">
                    <div class="form">

                        <ul class="tab-group">
                            <li class="tab active" id="signup-tab"><a class="border_left" href="#signup">SIGN UP</a></li>
                            <li class="tab" id="signin-tab"><a class="border_right" href="#login">SIGN IN</a></li>
                        </ul>

                        <div class="tab-content px-4">
                            <div id="signup">
                                <h2><span>Welcome to</span><br/> INFLUENCER MARKETPLACE</h2>

                                <hr class="mt-5" />


                                <div class="textform">
                                    <form id="register-form" method="POST" action="{{ route('register') }}">
                                        @csrf
                                        <input type="hidden" id="reg_token" value="{{ csrf_token() }}">
                                        <input type="hidden" id="reg_route" value="{{ route('register') }}">
                                        <input type="hidden" id="base_url" value="{{ asset('/') }}">
                                        <h5>Please Create an Account</h5>

                                        <div class="field-wrap">
                                            <input type="text" name="name" id="name" placeholder="Full Name" required autocomplete="off"  value="{{ old('name', isset($user) ? $user->name : '') }}"/>

                                            <span class="invalid-feedback" style="display: block;" id="name-register-error">

                                        </span>

                                        </div>

                                        <div class="field-wrap">
                                            <input type="email" name="email" id="remail" placeholder="Email" required autocomplete="off" value="{{ old('email', isset($user) ? $user->email : '') }}" />

                                            <span class="invalid-feedback" role="alert" style="display: block;" id="email-register-error">

                                        </span>

                                        </div>

                                        <div class="field-wrap">

                                            <input type="password" name="password" id="rpassword" placeholder="Password" required autocomplete="off" value="{{ old('password') }}" />

                                            <span class="invalid-feedback" role="alert" style="display: block;" id="password-register-error">

                                        </span>

                                        </div>
                                        <div class="field-wrap">

                                            <input type="password" name="password_confirmation" id="password-confirm" placeholder="Confirm Password" required autocomplete="off" value="{{ old('password_confirmation') }}" />


                                        </div>
                                        <div class="field-wrap">

                                            <input type="text" name="phone" id="phone" placeholder="Phone Number" required autocomplete="off" value="{{ old('phone', isset($user) ? $user->phone : '') }}" />

                                            <span class="invalid-feedback" role="alert" style="display: block;" id="phone-register-error">

                                        </span>

                                        </div>

                                        <div class="field-wrap">

                                            <input type="text" name="referral_code" id="referral_code" placeholder="Referral Code" autocomplete="off" value="{{ old('referral_code', isset($user) ? $user->referral_code : '') }}"/>

                                            <span class="invalid-feedback" role="alert" style="display: block;" id="referral_code-register-error">

                                        </span>

                                        </div>

                                        <div class="field-wrap">

                                            <input type="text" name="country" id="country" placeholder="Country" autocomplete="off" value="{{ old('country', isset($user) ? $user->referral_code : '') }}"/>

                                            <span class="invalid-feedback" role="alert" style="display: block;" id="country-register-error">

                                        </span>

                                        </div>

                                        <div class="field-wrap">

                                            <input type="text" name="city" id="city" placeholder="City" autocomplete="off" value="{{ old('city', isset($user) ? $user->referral_code : '') }}"/>

                                            <span class="invalid-feedback" role="alert" style="display: block;" id="city-register-error">

                                        </span>

                                        </div>

                                        <div class="field-wrap">

                                            <input type="text" name="zip_code" id="zip_code" placeholder="Zip Code" autocomplete="off" value="{{ old('zip_code', isset($user) ? $user->referral_code : '') }}"/>

                                            <span class="invalid-feedback" role="alert" style="display: block;" id="zip_code-register-error">

                                        </span>

                                        </div>

                                        <button class="button button-block authenticating" type="button" disabled style="display: none">
                                            <span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>
                                            Authenticating...
                                        </button>
                                        <button type="button" class="button button-block register-btn" onclick="registerUser();">
                                            REGISTER
                                        </button>
                                    </form>

                                </div>

                            </div>

                            <div id="login">
                                <h2><span>Welcome to</span><br/> INFLUENCER MARKETPLACE</h2>

                                <hr class="mt-5" />
                                <div class="verify-alert">

                                </div>
                                <div class="textform">

                                    <form method="POST" action="{{ route('login') }}">
                                        {{ csrf_field() }}

                                        <input type="hidden" id="login_token" value="{{ csrf_token() }}">
                                        <input type="hidden" id="login_route" value="{{ route('login') }}">
                                        <h5>Please Sign in</h5>
                                        <div class="field-wrap">
                                            <input type="email" name="email" id="email" placeholder="{{ trans('global.login_email') }}" required autocomplete="off" />

                                            <span class="invalid-feedback" role="alert" style="display: block;" id="email-login-error">
                                        <strong></strong>
                                        </span>

                                        </div>

                                        <div class="field-wrap">
                                            <input type="password" name="password" id="password" placeholder="{{ trans('global.login_password') }}" required autocomplete="off" />

                                            <span class="invalid-feedback" role="alert" style="display: block;" id="password-login-error">
                                        <strong>{{ $errors->first('password') }}</strong>
                                        </span>

                                        </div>

                                        <p class="forgot"><a href="{{ route('password.request') }}">Forgot Password</a></p>


                                        <button class="button button-block loging-in" type="button" disabled style="display: none">
                                            <span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>
                                            Authenticating...
                                        </button>
                                        <button type="button" class="button button-block log-in" onclick="loginUser();">{{ trans('global.login') }}</button>
                                    </form>

                                </div>

                            </div>

                        </div>
                        <!-- tab-content -->

                    </div>
                    <!-- /form -->
                </div>
            </div>
        </div>
    </div>
</div>
