
<div class="col-12">
        <nav class="navbar navbar-expand-md navbar-light">

            <a class="navbar-brand" href="<?php echo e(asset('/')); ?>"><strong>CloutSource Marketplace</strong></a>

            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav ml-auto py-4 py-md-0 no-border">
                    <li class="nav-item">
                        <div class="nav_icons">
                        <img src="<?php echo e(asset('frontend/images/dashboard.png')); ?>" style="height: 22px;">
                        <a href="<?php echo e(route('frontend.user.dashboard')); ?>" class="nav-link">Dashboard</a>
                        </div>
                    </li>


                    <?php if(Auth::user()->role->title == 'Admin'): ?>
                    <li class="nav-item">
                            <div class="nav_icons">
                            <img src="<?php echo e(asset('frontend/images/packages.png')); ?>" style="height: 22px;">
                            <a class="nav-link" href="<?php echo e(route('frontend.user.packages')); ?>" style="text-decoration: none; color: #002838;">Packages</a>
                            </div>
                    </li>

                    <?php endif; ?>

                    <li class="nav-item">
                            <div class="nav_icons">
                            <img src="<?php echo e(asset('frontend/images/orders.png')); ?>" style="height: 22px;">
                            <a href="<?php echo e(route('frontend.user.list_orders')); ?>" class="nav-link">Orders</a>
                            </div>
                    </li>

                    <li class="nav-item">
                        <div class="nav_icons dropdown" id="dropdowncampaign" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <img src="<?php echo e(asset('frontend/images/campaign.png')); ?>" style="height: 22px;">
                            <a class="nav-link">Campaign</a>
                        </div>
                        <div class="dropdown-menu campaign-dropdown" aria-labelledby="dropdowncampaign">
                            <a class="dropdown-item" href="<?php echo e(route('frontend.user.campaigns', ['status' => 'all'])); ?>">All Campaigns</a>
                            <a class="dropdown-item" href="<?php echo e(route('frontend.user.campaigns', ['status' => 'in-progress'])); ?>">Orders from Buyers</a>
                            

                        </div>

                    </li>


                    <li class="nav-item">
                        <div class="nav_icons"style="border-right: none;padding-right: 0px;">
                            <a href="<?php echo e(route('frontend.user.campaign_cart_details')); ?>">
                            <img src="<?php echo e(asset('frontend/images/supermarket.png')); ?>" style="height: 22px;">
                            <a href="<?php echo e(route('frontend.user.campaign_cart_details')); ?>" class="nav-link">Cart</a>
                            </a>
                        </div>
                    </li>
                    
                   


<!--                     <li class="nav-item pl-4 pl-md-0 ml-0 ml-md-4">
                        <div class="nav_icons" style="margin-left: 0px;">
                                <img style="width:35%;" src="<?php echo e(asset('frontend/images/card-img.jpg')); ?>" class=" rounded-circle" alt="" />
                                <span class="notifi">3</span>
                        </div>

                        
                        <div class="dropdown-menu">
                            <a class="dropdown-item" href="<?php echo e(route('frontend.user.edit_profile')); ?>">Edit Profile</a>
                            <a class="dropdown-item" href="<?php echo e(route('frontend.social.home')); ?>">Add Social Accounts</a>
                            <a class="dropdown-item" href="<?php echo e(route('frontend.user.notifications')); ?>">Notifications</a>
                            
                            <a class="dropdown-item" href="<?php echo e(route('frontend.user.create_ticket')); ?>">Report an issue</a>
                            <a class="dropdown-item" href="#" onclick="document.getElementById('logoutform').submit();">Logout</a>
                        </div>
                    </li> -->

<li class="userprf-dropdown">
<div class="dropdown">
  <button class="btn dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
     <div class="nav_icons" style="margin-left: 0px;">
            <img style="width:35%;" src="<?php echo e(asset('frontend/images/card-img.jpg')); ?>" class=" rounded-circle account-img" alt="" />
            <?php echo get_unread_notification_count(); ?>

    </div>
  </button>
    <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
     <a class="dropdown-item" href="<?php echo e(route('frontend.user.edit_profile')); ?>">Edit Profile</a>
        <a class="dropdown-item" href="<?php echo e(auth()->user()->profile_link == null ? route('user.update_null_link', ['id'=> auth()->user()->id]) : auth()->user()->profile_link); ?>">View Profile</a>
        <a class="dropdown-item" href="<?php echo e(route('frontend.social.home')); ?>">Add Social Accounts</a>
        <a class="dropdown-item" href="<?php echo e(route('frontend.user.notifications')); ?>">Notifications</a>
        <a class="dropdown-item" href="<?php echo e(route('frontend.user.addPayments')); ?>">Add Payment Details</a>
        
        <a class="dropdown-item" href="<?php echo e(route('frontend.user.create_ticket')); ?>">Report an issue</a>
        <a class="dropdown-item" href="#" onclick="document.getElementById('logoutform').submit();">Logout</a>
    </div>
</div>

</li>
                </ul>



             <!--    <ul class="user-dropdown">
                 <li>
                        <div class="dropdown account-dropdown">
                        <a class="btn dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                             <div class="nav_icons" style="margin-left: 0px;">
                                    <img style="width:35%;" src="<?php echo e(asset('frontend/images/card-img.jpg')); ?>" class=" rounded-circle account-img" alt="" />
                                    <?php echo get_unread_notification_count(); ?>

                            </div>
                        </a>

                        <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
                         <a class="dropdown-item" href="<?php echo e(route('frontend.user.edit_profile')); ?>">Edit Profile</a>
                            <a class="dropdown-item" href="<?php echo e(route('frontend.social.home')); ?>">Add Social Accounts</a>
                            <a class="dropdown-item" href="<?php echo e(route('frontend.user.notifications')); ?>">Notifications</a>
                            <a class="dropdown-item" href="<?php echo e(route('frontend.user.addPayments')); ?>">Add Payment Details</a>
                            
                            <a class="dropdown-item" href="<?php echo e(route('frontend.user.create_ticket')); ?>">Report an issue</a>
                            <a class="dropdown-item" href="#" onclick="document.getElementById('logoutform').submit();">Logout</a>
                        </div>
                        </div>
                    </li>
                    </ul> -->
            </div>

        </nav>
    </div>
   
<?php /**PATH /var/www/html/cloutsource/resources/views/partials/loggedin_navigation.blade.php ENDPATH**/ ?>