<div class="wrapper">
    <div class="table-responsive">
        <table class="table table-striped" style="margin-bottom: 0;">
            <thead class= "browse_table_heading">
            <tr>
                <th scope="col">INFLUENCER ACCOUNT <i class="fas fa-sort"></i></th>
                <th scope="col">FOLLOWERS</th>
                <th style="font-family: 'Rubik', sans-serif;" scope="col">PRICE</th>
            </tr>
            </thead>
            <tbody class= "browse_table_body">

            <?php $__currentLoopData = $influencers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $influencer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php if($influencer->price_range != '$0-$0'): ?>
                    <tr>
                        <td>
                            <div class="person_icon">
                                <!--<i class="far fa-user"></i>-->
                                <img src="<?php echo e($influencer->profile_picture); ?>" onerror="this.src='<?php echo e(asset('images/default.jpg')); ?>'" style="width: 25px;
                                                                                    height: 25px;" class=" rounded-circle" alt="" />
                            </div>
                            <div class="person_name">
                                <?php echo e($influencer->account_name); ?><br><a href="<?php echo e(route('frontend.user.influencer_details', ['id' => $influencer->id])); ?>"><?php echo e('@' . $influencer->account_handle); ?></a>
                            </div>

                        </td>
                        <td><?php echo e(App\SocialmediaObject::number_format_short( $influencer->followers_count )); ?></td>
                        <td><?php echo e($influencer->price_range); ?></td>
                    </tr>
                <?php endif; ?>

            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


            </tbody>
        </table>
    </div>
</div>
<div class="browse_pagination">
    <?php if($influencers): ?>
        <?php echo e($influencers->appends(request()->query())->links()); ?>

    <?php endif; ?>
</div><?php /**PATH /var/www/html/cloutsource/resources/views/partials/ajax_influencers_section.blade.php ENDPATH**/ ?>