<?php $__env->startSection('content'); ?>

    <div class="card">
        <div class="card-header">
            <?php echo e(trans('global.take_action')); ?>

        </div>

        <div class="card-body">
            <form action="<?php echo e(route("admin.tickets.post.action")); ?>" method="POST" enctype="multipart/form-data">

                <?php echo csrf_field(); ?>
                <div class="form-group <?php echo e($errors->has('description') ? 'has-error' : ''); ?>">
                <?php if(!empty($ticket->order_id)): ?>
                    <div class="form-check form-check-inline">
                        <input class="form-check-input" name="send_to_seller" type="checkbox" id="inlineCheckbox1" checked>
                        <label class="form-check-label" for="inlineCheckbox1">Send to Seller</label>
                    </div>
                    <div class="form-check form-check-inline">
                        <input class="form-check-input" name="send_to_buyer" type="checkbox" id="inlineCheckbox2">
                        <label class="form-check-label" for="inlineCheckbox2">Send to Buyer</label>
                    </div><hr>
                <?php endif; ?>
                    <label for="message_to_sender">Message</label>
                    <textarea name="message_to_sender" class="form-control"></textarea>

                    <?php if($errors->has('message_to_sender')): ?>
                        <em class="invalid-feedback">
                            <?php echo e($errors->first('message_to_sender')); ?>

                        </em>
                    <?php endif; ?>
                    <p class="helper-block">
                        <?php echo e(trans('global.ticket.fields.message_to_against_user_helper')); ?>

                    </p>
                </div>

                <div class="form-group <?php echo e($errors->has('description') ? 'has-error' : ''); ?>">
                    <label for="take_action"><?php echo e(trans('global.take_action')); ?></label>
                    <select name="take_action" class="form-control">
                        <?php if(is_null($ticket->order_id)): ?>
                            <option value="0">Do not Take any Action</option>
                            <option value="1">Resolve Ticket</option>
                        <?php endif; ?>
                        <?php if(!is_null($ticket->order_id)): ?>
                            <option value="1">Completed as required “send money to seller"</option>
                            <option value="2">Not completed as required "send money to buyer"</option>
                        <?php endif; ?>
                    </select>

                    <?php if($errors->has('take_action')): ?>
                        <em class="invalid-feedback">
                            <?php echo e($errors->first('take_action')); ?>

                        </em>
                    <?php endif; ?>
                    <p class="helper-block">
                        <?php echo e(trans('global.ticket.fields.message_to_against_user_helper')); ?>

                    </p>
                </div>

                <input type="hidden" name="ticket_id" value="<?php echo e($ticket->id); ?>">

                <div>
                    <input class="btn btn-danger" type="submit" value="<?php echo e(trans('global.save')); ?>">
                </div>
            </form>
        </div>
    </div>

<?php $__env->stopSection(); ?>



<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/cloutsource/resources/views/admin/tickets/action.blade.php ENDPATH**/ ?>