<!-- Header -->
<?php $__env->startSection('header'); ?>
    <?php echo $__env->make('partials.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('contents'); ?>
    <div class="background_section">
        <div class="section">
            <?php echo $__env->make('flash-message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <div class="container">
                <div class="ticket_heading">
                    <span>Edit Campaign</span>
                </div>
                <div class="row">
                    <div class="col-md-6" style="margin:auto;">
                        <div class="socialform">
                            <div class="form" style="margin: 50px 0px 50px 0px;">


                                <div class="textform">
                                    <form method="POST" action="<?php echo e(route('frontend.user.update_campaign')); ?>" enctype="multipart/form-data">
                                        <?php echo csrf_field(); ?>
                                        <input type="hidden" name="id" value="<?php echo e($campaign->id); ?>">
                                        <div class="field-wrap">
                                            <input type="text" name="title" value="<?php echo e($campaign->title); ?>" placeholder="Title" required autocomplete="off"/>
                                            <?php if($errors->has('title')): ?>
                                                <span class="invalid-feedback" style="display: block;">
                                                    <strong><?php echo e($errors->first('title')); ?></strong>
                                                    </span>
                                            <?php endif; ?>
                                        </div>

                                        

                                        <div class="field-wrap">
                                            <input type="text" name="price"  value="<?php echo e($campaign->price); ?>" placeholder="Price" required autocomplete="off"/>
                                            <?php if($errors->has('price')): ?>
                                                <span class="invalid-feedback" style="display: block;">
                                                    <strong><?php echo e($errors->first('price')); ?></strong>
                                                    </span>
                                            <?php endif; ?>
                                        </div>
                                        <div class="field-wrap">
                                            <textarea name="description" rows="3"  placeholder="Description"> <?php echo e($campaign->description); ?></textarea>
                                            <?php if($errors->has('price')): ?>
                                                <span class="invalid-feedback" style="display: block;">
                                                    <strong><?php echo e($errors->first('price')); ?></strong>
                                                    </span>
                                            <?php endif; ?>
                                        </div>
                                        <hr>
                                        <div class="field-wrap">
                                            <div class="row">
                                                <div class="col-md-9">
                                                    <input type="text" name="example_links" value="<?php echo e($campaign->example_links); ?>" placeholder="Example Links(Separated by commas)"  autocomplete="off"/>
                                                </div>
                                                <div class="col-md-3">
                                                    <a href="javascript:void(0)" class="btn btn-light" style="font-size: 11px" onclick="document.getElementById('example_image').click();">Example Image</a>
                                                    <input id="example_image" type="file" name="example_image" placeholder="Example Image"  autocomplete="off"/>
                                                </div>

                                            </div>
                                        </div>
                                        <div class="field-wrap">
                                            <div class="funkyradio">
                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <div class="funkyradio-primary">
                                                            <input class="checkk" type="checkbox" name="user_provides_media" value="1" id="checkbox2" <?php if($campaign->user_provides_media == 1): ?>checked <?php endif; ?>/>
                                                            <label for="checkbox2">Media</label>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div class="funkyradio-primary">
                                                            <input class="checkk" type="checkbox" name="user_provides_links" value="1" id="checkbox3"  <?php if($campaign->user_provides_links == 1): ?>checked <?php endif; ?>/>
                                                            <label for="checkbox3">Links</label>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div class="funkyradio-primary">
                                                            <input class="checkk" type="checkbox" name="user_provides_description" value="1" id="checkbox4"  <?php if($campaign->user_provides_description == 1): ?>checked <?php endif; ?>/>
                                                            <label for="checkbox4">Caption</label>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>


                                        <button type="submit" class="button button-block">UPDATE</button>

                                    </form>

                                </div>


                            </div></div></div>

                </div> <!-- Row ends here -->

            </div>
        </div>
        <div class="section mt-5">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <div id="switch">
                            <div id="circle"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>





<?php $__env->stopSection(); ?>

<?php $__env->startSection('footer'); ?>
    <?php echo $__env->make('partials.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('after-js'); ?>
    <script>
      $('.checkk').on('change', function(){
        this.value = this.checked ? 1 : 0;
      }).change();
    </script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('after-css'); ?>
    <style>
        .funkyradio div {
            clear: both;
            overflow: hidden;
        }

        .funkyradio label {
            width: 100%;
            border-radius: 3px;
            border: 1px solid #D1D3D4;
            font-weight: normal;
        }

        .funkyradio input[type="radio"]:empty,
        .funkyradio input[type="checkbox"]:empty {
            display: none;
        }

        .funkyradio input[type="radio"]:empty ~ label,
        .funkyradio input[type="checkbox"]:empty ~ label {
            position: relative;
            line-height: 2.5em;
            text-indent: 3.25em;
            margin-top: 2em;
            cursor: pointer;
            -webkit-user-select: none;
            -moz-user-select: none;
            -ms-user-select: none;
            user-select: none;
        }

        .funkyradio input[type="radio"]:empty ~ label:before,
        .funkyradio input[type="checkbox"]:empty ~ label:before {
            position: absolute;
            display: block;
            top: 0;
            bottom: 0;
            left: 0;
            content: '';
            width: 2.5em;
            background: #D1D3D4;
            border-radius: 3px 0 0 3px;
        }

        .funkyradio input[type="radio"]:hover:not(:checked) ~ label,
        .funkyradio input[type="checkbox"]:hover:not(:checked) ~ label {
            color: #888;
        }

        .funkyradio input[type="radio"]:hover:not(:checked) ~ label:before,
        .funkyradio input[type="checkbox"]:hover:not(:checked) ~ label:before {
            content: '\2714';
            text-indent: .9em;
            color: #C2C2C2;
        }

        .funkyradio input[type="radio"]:checked ~ label,
        .funkyradio input[type="checkbox"]:checked ~ label {
            color: #777;
        }

        .funkyradio input[type="radio"]:checked ~ label:before,
        .funkyradio input[type="checkbox"]:checked ~ label:before {
            content: '\2714';
            text-indent: .9em;
            color: #333;
            background-color: #ccc;
        }

        .funkyradio input[type="radio"]:focus ~ label:before,
        .funkyradio input[type="checkbox"]:focus ~ label:before {
            box-shadow: 0 0 0 3px #999;
        }

        .funkyradio-default input[type="radio"]:checked ~ label:before,
        .funkyradio-default input[type="checkbox"]:checked ~ label:before {
            color: #333;
            background-color: #ccc;
        }

        .funkyradio-primary input[type="radio"]:checked ~ label:before,
        .funkyradio-primary input[type="checkbox"]:checked ~ label:before {
            color: #fff;
            background-color: #337ab7;
        }

        .funkyradio-success input[type="radio"]:checked ~ label:before,
        .funkyradio-success input[type="checkbox"]:checked ~ label:before {
            color: #fff;
            background-color: #5cb85c;
        }

        .funkyradio-danger input[type="radio"]:checked ~ label:before,
        .funkyradio-danger input[type="checkbox"]:checked ~ label:before {
            color: #fff;
            background-color: #d9534f;
        }

        .funkyradio-warning input[type="radio"]:checked ~ label:before,
        .funkyradio-warning input[type="checkbox"]:checked ~ label:before {
            color: #fff;
            background-color: #f0ad4e;
        }

        .funkyradio-info input[type="radio"]:checked ~ label:before,
        .funkyradio-info input[type="checkbox"]:checked ~ label:before {
            color: #fff;
            background-color: #5bc0de;
        }
        .socialform textarea {
            font-size: 14px;
            font-family: 'Montserrat', sans-serif;
            width: 100%;
            height: 100%;
            background: #f7f7f7;
            background-image: none;
            color: #002838;
            border-radius: 0;
            -webkit-transition: border-color .25s ease, -webkit-box-shadow .25s ease;
            transition: border-color .25s ease, -webkit-box-shadow .25s ease;
            transition: border-color .25s ease, box-shadow .25s ease;
            transition: border-color .25s ease, box-shadow .25s ease, -webkit-box-shadow .25s ease;
            outline: 0;
            border: none;
            border-radius: 5px;
            padding: 17px;
        }
    </style>
<?php $__env->stopPush(); ?>



<?php echo $__env->make('layouts.frontend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/cloutsource/resources/views/frontend/edit_campaign.blade.php ENDPATH**/ ?>