<!-- Header -->
<?php $__env->startSection('header'); ?>
    <?php echo $__env->make('partials.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('contents'); ?>
    <div class="background_section">
        <div class="section">
            <?php echo $__env->make('flash-message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <div class="container">
                <div class="campaign_heading">
                    <span>ORDER LIST</span>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <div class= "campaign_list">

                            <div class="sort_div" style="display: none">
                                <div class="input-group mb-3">
                                    <div class="input-group-prepend">
                                                                <span class="input-group-text">
                                                                <a>SORT</a>
                                                                <span>
                                    </div>
                                    <select name="pages">
                                        <option value="0">6 Entries</option>
                                        <option value="1">10 Entries</option>
                                        <option value="2">15 Entries</option>
                                        <option value="3">20Entries</option>
                                    </select>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
                <div class="row">

                    <div class="col-md-12" id="campaigns_table_div">
                        <div class="table-responsive">
                            <!-- DATA TABLE STARTS -->
                            <?php if(count($orders)): ?>
                            <table id="dtBasicExample" class="table table-striped table-bordered" cellspacing="0" width="100%" style="background: #fff; margin-bottom:0px">
                                <thead>
                                <tr>
                                    <th class="th-sm">INFLUENCER ACCOUNT
                                    </th>
                                    <th class="th-sm">TOTAL AMOUNT
                                    </th>
                                    <th class="th-sm">STATUS
                                    </th>
                                    <th class="th-sm">ACTIONS
                                    </th>

                                </tr>
                                </thead>
                                <tbody>

                                <?php $__currentLoopData = $orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><a href="<?php echo e(route('frontend.user.influencer_details' , ['id' => $order->influencer_id])); ?>"><?php echo e('@'.$order->account_handle); ?></a></td>
                                        <td><?php echo e($order->amount); ?></td>
                                        <td>
                                            <?php if($order->status == 'pending'): ?>
                                                <span class="badge badge-warning"><?php echo e(ucwords(str_replace('-' , ' ' ,$order->status))); ?></span>
                                            <?php elseif($order->status == 'new'): ?>
                                                <span class="badge badge-success"><?php echo e(ucwords(str_replace('-' , ' ' ,$order->status))); ?></span>
                                            <?php elseif($order->status == 'in-progress'): ?>
                                                <span class="badge badge-info"><?php echo e(ucwords(str_replace('-' , ' ' ,$order->status))); ?></span>
                                            <?php elseif($order->status == 'completed'): ?>
                                                <span class="badge badge-success"><?php echo e(ucwords(str_replace('-' , ' ' ,$order->status))); ?></span>
                                            <?php elseif($order->status == 'feedback-required'): ?>
                                                <span class="badge badge-primary"><?php echo e(ucwords(str_replace('-' , ' ' ,$order->status))); ?></span>
                                            <?php elseif($order->status == 'rejected'): ?>
                                                <span class="badge badge-danger"><?php echo e(ucwords(str_replace('-' , ' ' ,$order->status))); ?></span>
                                            <?php elseif($order->status == 'reopened'): ?>
                                                <span class="badge badge-warning"><?php echo e(ucwords(str_replace('-' , ' ' ,$order->status))); ?></span>
                                            <?php elseif($order->status == 'order-refund'): ?>
                                                <span class="badge badge-primary"><?php echo e(ucwords(str_replace('-' , ' ' ,$order->status))); ?></span>
                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <a class="text-dark" href="<?php echo e(route('frontend.user.order_details' , ['id' => $order->id])); ?>"><i class="fa fa-eye"></i> &nbsp; View Details</a>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                </tbody>
                            </table>
                            <!-- DATA TABLE ENDS -->
                            <?php echo e($orders->links()); ?>

                            <?php else: ?>
                                No Orders found
                            <?php endif; ?>
                        </div>

                    </div>
                    <input type="hidden" id="base_url" value="<?php echo e(asset('/')); ?>">
                </div>




            </div>
        </div>




        <div class="section mt-5">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <div id="switch">
                            <div id="circle"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('footer'); ?>
    <?php echo $__env->make('partials.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.frontend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/cloutsource/resources/views/frontend/order/order_listing.blade.php ENDPATH**/ ?>