<?php $__env->startSection('modal'); ?>
<div id="loading-div" class="loading" style="display: none;">Loading&#8230;</div>
<?php echo $__env->make('partials.login_register_modal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<!-- Header -->
<?php $__env->startSection('header'); ?>
<?php echo $__env->make('partials.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contents'); ?>
<?php if($influencer->status != 'Verified'): ?>
<div class="modal fade" id="verifyAccountmodal">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-body p-4 text-center">
                <h1 class="text-center">VERIFICATION
                <span class="color-green">REQUIRED</span>
                </h1><hr>
                <p><strong>You need to verify your accout first</strong>     <br><br> To access most of the features for this profile, you first need to verify your accout. Click <strong>below</strong> to verify now. </p><hr>
                <div class="actionbtn">
                    <a href="<?php echo e(route('frontend.social.verify_account', ['account' => strtolower($influencer->account_type),'id' => $influencer->id])); ?>">
                        <button>Verify Now!</button>
                    </a>
                </div>
            </div>
        </div>
    </div>
</div>
<?php endif; ?>
<div class="modal fade" id="deleteCampaign">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-body p-4 text-center">
                <h1 class="text-center">DELETING
                <span class="color-green">CAMPAIGN</span>
                </h1><hr>
                <p><strong>Are you sure you want to delete this campaign?</strong>     <br><br> This will not effect/delete ongoing orders against this campaign. </p><hr>
                <div class="actionbtn">
                    <a id="delete-campaign-btn" href="javascript:void(0);">
                        <button>Delete Now!</button>
                    </a>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="exampleCampaign">
    <div class="modal-dialog modal-dialog-centered modal-lg">
        <div class="modal-content">
            <div class="modal-body p-4 text-center">
                <img id="exampleImage" src="<?php echo asset('images/preview.jpg'); ?>" height="250">
                <hr>
                <h3>Example Links:</h3>
                <span id="exampleLinks"></span>
                <hr>
                <div class="actionbtn">
                    <a data-dismiss="modal"  href="javascript:void(0)">
                        <button>OK</button>
                    </a>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="background_section cart-pageinfo">
    <div class="section">
        <?php echo $__env->make('flash-message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <div class="container">
            <div class="influencer_name">
                <span><?php echo e($influencer->account_name); ?></span>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class= "influencer_details">
                        <div class="row align-items-center h-100">
                            <div class="col-md-2 profileimg">
                                <img src="<?php echo e($influencer->profile_picture); ?>" class=" rounded-circle" alt="" style="width: 150px;" onerror="this.src='<?php echo e(asset('images/default.jpg')); ?>'" />
                            </div>
                            <div class="col-md-4 profileinfo">
                                <a class="account_handle"><strong><?php echo e('Cloutsource account ' . $user->name . ' (@' . $influencer->account_handle . ')'); ?></strong></a><br>
                                <img src="<?php echo e(asset('frontend/images/followers.png')); ?>">
                                <div class="follower_icon_text mb-2">
                                    <a class="cart_follower_count"><strong style="color: #5ea956;"><?php echo e(App\SocialmediaObject::number_format_short( $influencer->followers_count )); ?></strong><br><a class="cart_follower">FOLLOWERS</a></a>
                                </div>
                                <?php if(is_in_top10($influencer->id)): ?>
                                <br>
                                <a class="top-10">
                                    <i class="fa fa-star text-warning" aria-hidden="true"></i> <strong>Top 10 Percent</strong>
                                </a>
                                <?php endif; ?>
                            </div>
                            <?php if(auth()->check() && $influencer->user_id != auth()->user()->id): ?>
                            <div class="chatbtn">
                                <a href="<?php echo e(url('frontend/user_messages?user_id=' . $user->id)); ?>" id="modal-open-button">Chat Now</a>
                            </div>
                            <?php endif; ?>
                            
                        </div>
                    </div>
                </div>
            </div>
            <?php if(!empty($influencer->description)): ?>
            <div class="row">
                <div class="col-md-12 parent-wrapper">
                    <div class="inner-header_left">
                        <a><strong>DESCRIPTION</strong></a>
                    </div>
                    <div class="inner-content-left min-height-upper">
                        <a class="inner_material_text"><?php echo $influencer->description; ?></a><br><br>
                        
                        
                    </div>
                </div>
                <!--                                 <div class="col-md-12 parent-wrapper">
                    <div class="inner-header_right">
                        <a><strong>DEMOGRAPHY</strong></a>
                    </div>
                    <div class="inner-content-right min-height-upper">
                        <?php if($influencer->demography): ?>
                        <a class="inner_material_head">Language: </a>
                        <a class="inner_material_text"><?php echo e($influencer->demography->language); ?></a><br>
                        <a class="inner_material_head">Country: </a>
                        <a class="inner_material_text"><?php echo e($influencer->demography->country); ?></a><br>
                        <a class="inner_material_head">Age: </a>
                        <a class="inner_material_text"><?php echo e($influencer->demography->age); ?> Years</a><br>
                        <a class="inner_material_head">Activity: </a>
                        <a class="inner_material_text"><?php echo e($influencer->demography->activity); ?></a><br>
                        <?php endif; ?>
                    </div>
                </div> -->
            </div>
            <?php endif; ?>
            <div class="row">
                <div class="col-md-12 parent-wrapper">
                    <div class="inner-header_right">
                        <a><strong>STATICS</strong></a>
                    </div>
                    <div class="inner-content-right min-height-content">
                        <a class="inner_material_head"><i class="far fa-thumbs-up"></i> Avg. likes: </a>
                        <a class="inner_material_text"><?php echo e(\App\SocialmediaObject::number_format_short( $influencer->avg_likes )); ?></a><br>

                        <a class="inner_material_head"><i class="far fa-thumbs-up"></i> Total likes: </a>
                        <a class="inner_material_text"><?php echo e(\App\SocialmediaObject::number_format_short( $influencer->total_likes )); ?></a><br>

                        <a class="inner_material_head"><i class="far fa-comment"></i> Total posts: </a>
                        <a class="inner_material_text"><?php echo e(\App\SocialmediaObject::number_format_short( $influencer->total_posts )); ?></a><br>
                    </div>
                </div>
                <?php if(auth()->check() && $influencer->user_id == auth()->user()->id): ?>
                <div class="col-md-12 parent-wrapper">
                    <div class="inner-header_right">
                        <a><strong>ADD/REMOVE SERVICES OFFERED AND TYPES OF ACCOUNT</strong></a>
                    </div>
                    <form action="<?php echo e(url('frontend/influencer/update_tags_services')); ?>" method="post">
                        <?php echo csrf_field(); ?>
                        <input type="hidden" id="influencer_id" name="influencer_id" value="<?php echo e($influencer->id); ?>">
                        <div class="inner-content-right min-height-content">
                            <a class="inner_material_head"></i> Please choose services </a> <br>
                            <select name="services[]" id="services" class="form-control select2" multiple>
                                <?php $__currentLoopData = $services; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $service): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($service->id); ?>" <?php echo e(in_array($service->id, $selectedServices) ? 'selected' : ''); ?>><?php echo e($service->title); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            <a class="inner_material_head"></i> Please choose Account Types </a> <br>
                            <select name="tags[]" id="tags" class="form-control select2" multiple>
                                <?php $__currentLoopData = $tags; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tag): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($tag->id); ?>" <?php echo e(in_array($tag->id, $selectedTags) ? 'selected' : ''); ?>><?php echo e($tag->title); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            <a class="inner_material_head"></i> Please Fill address Fields </a> <br>
                            <input type="text" id="country" name="country" class="form-control" value="<?php echo e($influencer->country); ?>" placeholder="Country"><br>
                            <input type="text" id="city" name="city" class="form-control" value="<?php echo e($influencer->city); ?>" placeholder="City"><br>
                            <input type="text" id="zip_code" name="zip_code" class="form-control" value="<?php echo e($influencer->zip_code); ?>" placeholder="Zip Code"><br>
                            <a class="inner_material_head"></i> Tell more about yourself (Optional) </a> <br>
                            <textarea id="extra_note" name="extra_note" class="form-control"><?php echo e($influencer->extra_note); ?></textarea><br>
                            <button type="submit">Update</button>
                        </div>
                    </form>
                </div>
                <?php elseif(sizeof($selectedServices) > 0 || sizeof($selectedTags) > 0 || !is_null($influencer->country) || !is_null($influencer->city) || !is_null($influencer->zip_code) || !is_null($influencer->extra_note)): ?>
                <div class="col-md-12 parent-wrapper">
                    <div class="inner-header_right">
                        <a><strong>ACCOUNT DETAILS</strong></a>
                    </div>
                    <div class="inner-content-right min-height-content">

                        <?php if(sizeof($selectedServices) > 0): ?>
                        <div class="account-detail-inner">
                            <a class="inner_material_head"> Chosen Services </a>
                            <div class="form-control" style="border: none; padding: 0;">
                                <?php $serviceTitles = []; ?>
                                <?php $__currentLoopData = $services; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $service): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if(in_array($service->id, $selectedServices)): ?>
                                <?php $serviceTitles[] = $service->title; ?>
                                <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php echo e(implode(', ', $serviceTitles)); ?>

                            </div>
                        </div>
                        <?php endif; ?>

                        <?php if(sizeof($selectedTags) > 0): ?>
                        <div class="account-detail-inner">
                            <a class="inner_material_head"> Account Types </a> 
                            <div class="form-control" style="border: none; padding: 0;">
                                <?php $tagTitles = []; ?>
                                <?php $__currentLoopData = $tags; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tag): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if(in_array($tag->id, $selectedTags)): ?>
                                <?php $tagTitles[] = $tag->title; ?>
                                <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php echo e(implode(', ', $tagTitles)); ?>

                            </div>
                        </div>
                        <?php endif; ?>


                        <?php if(!is_null($influencer->country) || !is_null($influencer->city) || !is_null($influencer->zip_code)): ?>
                        <div class="account-detail-inner">
                        <a class="inner_material_head"></i> Address Fields </a> 
                        <?php if(!is_null($influencer->country)): ?>
                        <?php echo e('Country: ' . $influencer->country); ?><br>
                        <?php endif; ?>
                        <?php if(!is_null($influencer->city)): ?>
                        <?php echo e('City: ' . $influencer->city); ?><br>
                        <?php endif; ?>
                        <?php if(!is_null($influencer->zip_code)): ?>
                        <?php echo e('Zip Code: ' . $influencer->zip_code); ?><br>
                        <?php endif; ?>
                        </div>
                        <?php endif; ?>

                        <?php if(!is_null($influencer->extra_note)): ?>
                        <div class="account-detail-inner">
                        <a class="inner_material_head"></i> Additional Info </a> 
                        <?php echo e($influencer->extra_note); ?><br>
                        </div>
                        <?php endif; ?>

                    </div>
                </div>
                <?php endif; ?>
                <div class="col-md-12 parent-wrapper">
                    <div class="inner-header_left">
                        <a><strong>CAMPAIGNS</strong></a>
                    </div>
                    <div class="inner-content-left min-height-content">
                        <?php if($influencer->status == 'Verified'): ?>
                        <?php if(!count($campaigns)): ?>
                        No Campaigns initialized
                        <?php endif; ?>
                        <?php $__currentLoopData = $campaigns; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $campaign): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="campain-inner">
                            <a style="cursor: pointer;" onclick="expand_campaign( <?php echo e($campaign->id); ?> )"><i class="far fa-check-circle"></i> <?php echo e(!empty($campaign->title) ? $campaign->title : 'Campaign-'.$loop->iteration); ?> - <strong><?php echo e($campaign->price); ?>$</strong></a>
                            <?php if(Auth::check()): ?>
                            <?php if($influencer->user_id == Auth::user()->id): ?>
                            <div class="switcher">
                                <label class="switch">
                                    <input class="enable-toggle" type="checkbox" id="enable-<?php echo e($campaign->id); ?>" value="<?php echo e($campaign->id); ?>" <?php if($campaign->status == 'enabled'): ?> checked <?php endif; ?>>
                                    <span class="slider round"></span>
                                </label>
                                <a class="fa fa-cog dropdown-toggle" data-toggle="dropdown"></a>
                                <div class="dropdown-menu">
                                    <a class="dropdown-item" href="javascript:void(0);" onclick="toggleDeleteModal('<?php echo e(route('frontend.user.delete_campaign', ['id' => $campaign->id])); ?>')">Delete</a>
                                    <a class="dropdown-item" href="<?php echo e(route('frontend.user.edit_campaign', ['id' => $campaign->id])); ?>">Edit</a>
                                </div>
                            </div>
                            <?php endif; ?>
                            <?php endif; ?>
                        </div>
                        <div class="row" id="popup_div_<?php echo e($campaign->id); ?>" style="display:none;">
                            <div class="col-md-12">
                                <div class= "package_data">
                                    <?php if($campaign->description): ?>
                                    <span><?php echo $campaign->description; ?></span>
                                    <?php endif; ?>
                                    <?php if(!is_null($campaign->example_links) || !is_null($campaign->example_image)): ?>
                                    <a href="javascript:void(0)" onclick="toggleExampleModal('<?php echo e($campaign->example_image); ?>' , '<?php echo e($campaign->example_links); ?>')" class="float-right text-primary">Show Example</a>
                                    <?php endif; ?>
                                    <hr>
                                    <span>Includes:</span><br>
                                    <span>
                                        <i <?php if($campaign->user_provides_media == 1): ?> class="far fa-check-circle " style="color: #5ea956" <?php else: ?> class="fa fa-times-circle-o" style="color: red" <?php endif; ?>></i>
                                        &nbsp; Media
                                    </span><br>
                                    <span>
                                        <i <?php if($campaign->user_provides_links == 1): ?> class="far fa-check-circle " style="color: #5ea956" <?php else: ?> class="fa fa-times-circle-o" style="color: red" <?php endif; ?>></i>
                                        &nbsp; Links
                                    </span><br>
                                    <span>
                                        <i <?php if($campaign->user_provides_description == 1): ?> class="far fa-check-circle " style="color: #5ea956" <?php else: ?> class="fa fa-times-circle-o" style="color: red" <?php endif; ?>></i>
                                        &nbsp; Caption
                                        <?php if(!Auth::check() || $influencer->user_id != Auth::user()->id): ?>
                                        <div class= "details_button">
                                            <a href="<?php echo e(route('frontend.user.create_campaign_post', ['campaign_id' => $campaign->id])); ?>"><button type="submit" class="button button-block ml-auto">Buy Now</button></a>
                                        </div>
                                        <?php endif; ?>
                                    </span>
                                </div>
                            </div>
                        </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php else: ?>
                        <span class="text-danger">
                            You need to verify your account first. Click <a href="<?php echo e(route('frontend.social.verify_account', ['account' => strtolower($influencer->account_type),'id' => $influencer->id])); ?>">here</a> to verify now.
                        </span>
                        <?php endif; ?>
                        <input type="hidden" id="base_url" value="<?php echo e(asset('/')); ?>">
                        <?php if(Auth::check()): ?>
                        <?php if($influencer->user_id == Auth::user()->id && $influencer->status == 'Verified'): ?>
                        <div class= "details_button">
                            <a href="<?php echo e(route('frontend.user.create_campaign', ['media_account_id' => $influencer->id])); ?>"><button type="submit" class="button button-block">Create Campaigns</button></a>
                        </div>
                        <?php endif; ?>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="section mt-5">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <div id="switch">
                            <div id="circle"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php $__env->stopSection(); ?>
    <?php $__env->startSection('footer'); ?>
    <?php echo $__env->make('partials.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php $__env->stopSection(); ?>
    <?php $__env->startSection('scripts'); ?>
    <script>
    function expand_campaign(campaignId) {
    /* var url = $('#base_url').val() + 'frontend/add_to_cart/' + campaignId;
    $.ajax({
    type: "GET",
    url: url,
    success: function( data ) {
    if(data == 'auth_error') {
    alert('Please Login to Add to Cart.');
    } else if (data == 'access_error') {
    alert('You don not have permissions to Add to Cart.');
    } else if(data == 'success') {
    alert('One Item added to Cart.');
    }
    },
    error: function (data) {
    alert(data);
    }
    }); */
    // $('#popup_div_' + campaignId).show();
    var popup = document.getElementById('popup_div_' + campaignId);
    var displaySetting = popup.style.display;
    if (displaySetting == 'none') {
    $('#popup_div_' + campaignId).show();
    }
    else {
    $('#popup_div_' + campaignId).hide();
    }
    }
    $(document).ready(function(){
    $('#verifyAccountmodal').modal('toggle');
    $('.enable-toggle').on('change' , function () {
    if(this.checked){
    update_status(this.value , 'enabled');
    }else{
    update_status(this.value , 'disabled');
    }
    });
    function update_status(id,flag){
    $('#loading-div').show();
    $.ajax({
    type: "GET",
    url: '<?php echo e(URL::to('/')); ?>/frontend/change_campaign_status/'+id+'/'+flag,
    success: function( data ) {
    $('#loading-div').hide();
    if(data.status == 1) {
    alert('Somwthings Wrong');
    }
    },
    error: function (data) {
    $('#loading-div').hide();
    alert('Server Error');
    }
    });
    }
    $('.select2').select2({
    closeOnSelect: false
    });
    });
    function toggleExampleModal(image , links){
    $('#exampleLinks').html('');
    $('#exampleImage').show();
    if(links != null && links != ''){
    links = links.replace(' ' , '');
    var links_array = links.split(',');
    links_array.forEach(function (link) {
    if(!link.includes('https://')){
    link = 'https://'+link;
    }
    link = link.replace(' ' , '');
    $('#exampleLinks').append('<a href="'+link+'" target="_blank">'+link+'</a><br>');
    });
    }
    console.log(image.length);
    if(image.length > 0){
    $('#exampleImage').attr('src' , '<?php echo e(URL::to("/")); ?>/'+image);
    }else{
    $('#exampleImage').hide();
    }
    $('#exampleCampaign').modal('toggle');
    }
    function toggleDeleteModal(url){
    $('#delete-campaign-btn').attr('href' , url);
    $('#deleteCampaign').modal('toggle');
    }
    <?php if(isset($_REQUEST['scroll'])): ?>
    $("html, body").animate({ scrollTop: $(document).height()-$(window).height() });
    <?php endif; ?>
    </script>
    <?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.frontend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/cloutsource/resources/views/frontend/cart/influencer_details.blade.php ENDPATH**/ ?>