<?php $__env->startSection('modal'); ?>
    <div id="loading-div" class="loading" style="display: none;">Loading&#8230;</div>
    <?php echo $__env->make('partials.login_register_modal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->make('partials.review_site_modal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<!-- Header -->
<?php $__env->startSection('header'); ?>
    <?php echo $__env->make('partials.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contents'); ?>
    <?php
        //$earnings = get_user_balance_hisory();
    ?>
    <div class="background_section social-influencer">
        <div class="profit-earned section">
            <div class="container">
                <div class="boxes-parent">

                </div>
            </div>
        </div>
        <div class="section">
            <?php echo $__env->make('flash-message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <div class="container">

                <div class="row">
                    <div class="col-md-12">

                        <div class="ticktoklinks">
                          <span>CloutSource Profile</span>
                          <div class="tiktoklink-inner">

                            <div class="tiktok-user" style="width: 100%;"><span>User Name:</span> <?php echo e($user->name); ?> </div>
                            <div class = "social_button" style="display: <?php echo e(auth()->check() && auth()->user()->id == $user->id ? 'block' : 'none'); ?>">
                                <?php $profileID = explode(url('profile/') . '/', $user->profile_link); ?>
                                <form id="profile_link_form" action="<?php echo e(route('user.edit_profile_link' ,['id' => $user->id])); ?>" method="post">
                                    <?php echo csrf_field(); ?>
                                    <span><?php echo e(url('profile/') . '/'); ?></span>
                                    <input type="text" id="profile_id" name="profile_id" value="<?php echo e(isset($profileID[1]) ? $profileID[1] : ''); ?>" required onkeyup="changeCopyLink();">
                                    <input type="hidden" id="copy_link_field" value="<?php echo e($user->profile_link); ?>">
                                    <div class="input-group-prepend copy-verification" style="float: right; cursor: pointer; height: 23px;">
                                        <div class="btn btn-primary input-group-text copy-btn" data-toggle="tooltip" data-placement="top" title="Copy to Clipboard"><i class="fa fa-copy"></i></div>
                                    </div>
                                    <a href="#" onclick="editLink();"><button type="button" class="button button-block">EDIT PROFILE LINK</button></a>
                                </form>
                            </div>
                        </div>
                        </div>

                        <div class="social-heading-parent">

                            <div class="insta_heading">
                                <span>TIKTOK ACCOUNTS</span>
                            </div>


                        </div>
                    </div>

                    <div class="col-md-12">
                        <div class="wrapper">
                            <div class="table-responsive">
                                <table class="table table-striped" style="margin-bottom:0;">
                                    <thead class= "browse_table_heading">
                                    <tr>
                                        <th scope="col">INFLUENCER ACCOUNT</th>
                                        <th scope="col">FOLLOWERS</th>
                                        <th scope="col">POSTS</th>
                                        <th scope="col">ENGAGEMENT</th>
                                    </tr>
                                    </thead>
                                    <tbody class= "balance_table_body">
                                    <?php $__currentLoopData = $socialAccounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $socialAccount): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php if( $socialAccount->account_type == 'Tiktok' ): ?>
                                            <tr>
                                                <td>
                                                    <div class="insta_icon">
                                                        <img src="<?php echo e($socialAccount->profile_picture); ?>" style="width: 50px;"class=" rounded-circle" alt="" />
                                                    </div>
                                                    <div class="insta_name">
                                                        <a><?php echo e(preg_replace('/&#[(0-9)]*;/' , '' , $socialAccount->account_name)); ?></a><br><a href="<?php echo e(asset( 'frontend/influencer/' . $socialAccount->id)); ?>" style="font-size: 14px;"><?php echo e('@' . $socialAccount->account_handle); ?></a>
                                                    </div>
                                                </td>
                                                <td><a><?php echo e(App\SocialmediaObject::number_format_short( $socialAccount->followers_count )); ?></a></td>
                                                <td><a><?php echo e($socialAccount->total_posts); ?></a></td>
                                                <td><a><?php echo e($socialAccount->engagements); ?>%</a></td>

                                            </tr>
                                        <?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-12">
                        <div class="social-heading-parent">
                            <div class="insta_heading">
                                <span>INSTAGRAM ACCOUNTS</span>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-12">
                        <div class="wrapper">
                            <div class="table-responsive">
                                <table class="table table-striped" style="margin-bottom:0;">
                                    <thead class= "browse_table_heading">
                                    <tr>
                                        <th scope="col">INFLUENCER ACCOUNT</th>
                                        <th scope="col">FOLLOWERS</th>
                                        <th scope="col">POSTS</th>
                                        <th scope="col">ENGAGEMENT</th>
                                    </tr>
                                    </thead>
                                    <tbody class= "balance_table_body">
                                    <?php $__currentLoopData = $socialAccounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $socialAccount): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php if( $socialAccount->account_type == 'Instagram' ): ?>
                                            <tr>
                                                <td>
                                                    <div class="insta_icon">
                                                        <img src="<?php echo e($socialAccount->profile_picture); ?>" style="width: 50px;"class=" rounded-circle" alt="" />
                                                    </div>
                                                    <div class="insta_name">
                                                        <a><?php echo e($socialAccount->account_name); ?></a><br><a href="<?php echo e(asset( 'frontend/influencer/' . $socialAccount->id)); ?>" style="font-size: 14px;"><?php echo e('@' . $socialAccount->account_handle); ?></a>
                                                    </div>
                                                </td>
                                                <td><a><?php echo e(App\SocialmediaObject::number_format_short( $socialAccount->followers_count )); ?></a></td>
                                                <td><a><?php echo e($socialAccount->total_posts); ?></a></td>
                                                <td><a><?php echo e($socialAccount->engagements); ?>%</a></td>
                                            </tr>
                                        <?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                

                
            </div>
        </div>
        <div class="section mt-5">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <div id="switch">
                            <div id="circle"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('footer'); ?>
    <?php echo $__env->make('partials.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo asset('js/firebase/firebase-app.js'); ?>"></script>
    <script src="<?php echo asset('js/firebase/firebase-firestore.js'); ?>"></script>
    <script src="<?php echo asset('js/firebase/firebase-messaging.js'); ?>"></script>
    <script src="<?php echo asset('js/firebase/firebase-chat-config.js'); ?>"></script>
    <script src="<?php echo asset('js/helper.js'); ?>"></script>
    <script>


        //$(document).ready(function() {

        //var frm = document.getElementById('create_form');
        function removeAccount(id) {

            var base_url = "<?php echo e(url('/')); ?>";
            //$('#remove_button').on('click', function (event) {
            //$('.invalid-feedback').hide();
            $.ajax({
                url: base_url + '/frontend/remove/' + id,
                method: "GET",
                //data: new FormData(frm),
                //dataType: 'JSON',
                //contentType: false,
                //cache: false,
                //processData: false,
                success: function (data) {
                    //$('.invalid-feedback').hide();
                    db.collection(usersCollection).where("id", "==", parseInt(id)).limit(1)
                        .get()
                        .then(function(querySnapshot) {
                            querySnapshot.forEach(function(doc) {
                                console.log(doc.id, " => ", doc.data());
                                db.collection(usersCollection).doc(doc.id).delete();
                            });
                            window.location.reload();
                        });
                },
                error: function (data) {

                    /*var errors = data.responseJSON.errors;
                    $('.invalid-feedback').hide();
                    $.each(errors, function(key,val){
                        $('#' + key + '_error').show();
                        $('#' + key + '_error').html(errors[key]);
                    });
                    return false;*/
                    alert('Invalid Account Handle.')
                }

            });
            return false;
            //});

        }

        //});

        function editLink() {
            var profile_id = $('#profile_id').val();
            if(profile_id.trim().length == 0) {
                alert('Profile id is required');
                $('#profile_id').val('');
            } else {
                $('#profile_link_form').submit();
            }
        }

        $('[data-toggle="tooltip"]').tooltip();
        $('.copy-verification').on('click' , function () {
            var dummy = document.createElement("input");
            document.body.appendChild(dummy);
            dummy.setAttribute("id", "dummy_id");
            document.getElementById("dummy_id").value=$('#copy_link_field').val();
            dummy.select();
            document.execCommand("copy");
            $('#dummy_id').remove();
            //$('.copy-btn i').removeClass('fa-copy').addClass('fa-calendar-check-o');
            $('.copy-btn').css('background-color', 'steelblue');
            $('.copy-btn').attr('data-original-title' , 'Copied');
        });

        function changeCopyLink() {
            var profileID = $('#profile_id').val();
            var base_link = "<?php echo e(url('profile/') . '/'); ?>";
            $('#copy_link_field').val(base_link + profileID);
        }

    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.frontend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/cloutsource/resources/views/frontend/view_social_accounts.blade.php ENDPATH**/ ?>