<?php $__env->startSection('content'); ?>
    <div class="card">
        <div class="card-header">
            <?php echo e(trans('global.campaign.title_singular')); ?> <?php echo e(trans('global.list')); ?>


            <a class="btn btn-success" href="<?php echo e(route("admin.campaigns.create")); ?>" style="float: right; display: none;">
                <?php echo e(trans('global.add')); ?> <?php echo e(trans('global.campaign.title_singular')); ?>

            </a>

        </div>

        <div class="card-body">
            <div class="table-responsive">
                <table class=" table table-bordered table-striped table-hover datatable">
                    <thead>
                    <tr>
                        <th width="10">

                        </th>
                        <th>
                            <?php echo e(trans('global.campaign.fields.name')); ?>

                        </th>
                        <th>
                            <?php echo e(trans('global.campaign.fields.desc')); ?>

                        </th>
                        <th>
                            <?php echo e(trans('global.campaign.fields.influencer_name')); ?>

                        </th>
                        <th>
                            <?php echo e(trans('global.campaign.fields.price')); ?>

                        </th>

                        <th>
                            &nbsp;Actions
                        </th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $__currentLoopData = $campaigns; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $campaign): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr data-entry-id="<?php echo e($campaign->id); ?>">
                            <td>

                            </td>
                            <td>
                                <?php echo e($campaign->title ?? ''); ?>

                            </td>
                            <td>
                                <?php echo e($campaign->description ?? ''); ?>

                            </td>
                            <td>
                                <?php echo e('@'.$campaign->account_handle ?? ''); ?>

                            </td>
                            <td>
                                <?php echo e($campaign->price ?? ''); ?>

                            </td>

                            <td>

                                    <a class="btn btn-xs btn-primary" href="<?php echo e(url('frontend/influencer/' . $campaign->social_media_id . '?scroll=1')); ?>">
                                        <?php echo e(trans('global.view')); ?>

                                    </a>
                                    <a class="btn btn-xs btn-danger" href="#" style="cursor: pointer" onclick="deleteCampaign(<?php echo e($campaign->id); ?>)">
                                        Delete
                                    </a>

                                
                                       
                                    </a>
                                    <form id="delete_form_<?php echo e($campaign->id); ?>" action="<?php echo e(route('admin.campaigns.destroy', $campaign->id)); ?>" method="POST" onsubmit="return confirm('<?php echo e(trans('global.areYouSure')); ?>');" style="display:none;" >
                                            <input type="hidden" name="_method" value="DELETE">
                                            <input type="hidden" name="_token" value="<?php echo e(csrf_token()); ?>">   
                                        </form>
                                    
                                    

                            </td>

                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
<?php $__env->startSection('scripts'); ?>
    ##parent-placeholder-16728d18790deb58b3b8c1df74f06e536b532695##
    <script>
        $(function () {
            let deleteButtonTrans = '<?php echo e(trans('global.datatables.delete')); ?>'
            let deleteButton = {
                text: deleteButtonTrans,
                url: "<?php echo e(route('admin.campaigns.massDestroy')); ?>",
                className: 'btn-danger',
                action: function (e, dt, node, config) {
                    var ids = $.map(dt.rows({ selected: true }).nodes(), function (entry) {
                        return $(entry).data('entry-id')
                    });

                    if (ids.length === 0) {
                        alert('<?php echo e(trans('global.datatables.zero_selected')); ?>')

                        return
                    }

                    if (confirm('<?php echo e(trans('global.areYouSure')); ?>')) {
                        $.ajax({
                            headers: {'x-csrf-token': _token},
                            method: 'POST',
                            url: config.url,
                            data: { ids: ids, _method: 'DELETE' }})
                            .done(function (data) {
                                if(data == 'query_error') {
                                    alert('Cannot delete some campaigns, campaigns are found in In-Progress Orders.');
                                } else {
                                    location.reload()
                                }
                            })
                    }
                }
            }
            let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)

            dtButtons.push(deleteButton)


            $('.datatable:not(.ajaxTable)').DataTable({ buttons: dtButtons })
        })

        function deleteCampaign(id) {
            if (confirm('<?php echo e(trans('global.areYouSure')); ?>')) {
                document.getElementById('delete_form_' + id).submit();
            }
        }

    </script>
<?php $__env->stopSection(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/cloutsource/resources/views/admin/campaigns/index.blade.php ENDPATH**/ ?>