<?php $__env->startSection('content'); ?>

    <div class="card">
        <div class="card-header">
            <?php echo e(trans('global.create')); ?> <?php echo e(trans('global.notifications.title_singular')); ?>

        </div>

        <div class="card-body">
            <form action="<?php echo e(route("admin.notifications.store")); ?>" method="POST" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>

                <div class="form-group <?php echo e($errors->has('name') ? 'has-error' : ''); ?>">
                    <label for="to_user_id"><?php echo e(trans('global.notifications.fields.receiver')); ?></label>
                    <select type="text" name="to_user_id" class="form-control">
                        <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($user->id); ?>"><?php echo e($user->name); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                    <?php if($errors->has('to_user_id')): ?>
                        <em class="invalid-feedback">
                            <?php echo e($errors->first('to_user_id')); ?>

                        </em>
                    <?php endif; ?>
                    <p class="helper-block">
                        <?php echo e(trans('global.notifications.fields.receiver_helper')); ?>

                    </p>
                </div>

                <div class="form-group <?php echo e($errors->has('message') ? 'has-error' : ''); ?>">
                    <label for="message"><?php echo e(trans('global.notifications.fields.message')); ?>*</label>
                    <textarea name="message" class="form-control"></textarea>

                    <?php if($errors->has('message')): ?>
                        <em class="invalid-feedback">
                            <?php echo e($errors->first('message')); ?>

                        </em>
                    <?php endif; ?>
                    <p class="helper-block">
                        <?php echo e(trans('global.notifications.fields.message_helper')); ?>

                    </p>
                </div>

                <input type="hidden" name="from_user_id" value="<?php echo e($loggedInUser->id); ?>">

                <div>
                    <input class="btn btn-danger" type="submit" value="<?php echo e(trans('global.save')); ?>">
                </div>
            </form>
        </div>
    </div>

<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/cloutsource/resources/views/admin/notifications/create.blade.php ENDPATH**/ ?>