<!-- Header -->
<?php $__env->startSection('header'); ?>
    <?php echo $__env->make('partials.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('contents'); ?>


    <div class="modal fade" id="exampleCampaign">
        <div class="modal-dialog modal-dialog-centered modal-lg">
            <div class="modal-content">
                <div class="modal-body p-4 text-center">
                    <img id="exampleImage" src="<?php echo asset('images/preview.jpg'); ?>" height="250">
                    <hr>
                    <h3>Example Links:</h3>
                    <span id="exampleLinks"></span>
                    <hr>
                    <div class="actionbtn">
                        <a data-dismiss="modal"  href="javascript:void(0)">
                            <button>OK</button>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="createTicket">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-body p-4 text-center">
                    <h1 class="text-center">CREATING
                        <span class="color-green">TICKET</span>
                    </h1><hr>
                    <div class="socialform">
                        <div class="form" style="margin: 50px 0px 50px 0px;">


                            <div class="textform">
                                <form method="POST" action="<?php echo route('frontend.user.post_ticket'); ?>">
                                    <?php echo csrf_field(); ?>
                                    <input name="against_user_id" type="hidden" value="<?php echo e($order->owner_id); ?>">
                                    <input name="order_id" type="hidden" value="<?php echo e($order->id); ?>">
                                    <div class="field-wrap">
                                        <input type="text" name="subject" placeholder="Subject" required="" autocomplete="off">
                                    </div>


                                    <div class="field-wrap">
                                        <select name="type" class="form-control">
                                            <option value="0" disabled selected hidden>Choose a type</option>
                                            <option value="spam">Spam</option>
                                            <option value="conflict">Conflict</option>
                                            <option value="complain">Complain</option>
                                            <option value="improvement-required">Improvement required</option>
                                        </select>
                                    </div>

                                    <div class="field-wrap">
                                        <textarea name="description" placeholder="Description" class="form-control" required=""></textarea>
                                    </div>

                                    <button type="submit" class="button button-block">CREATE</button>

                                </form>

                            </div>


                        </div></div>
                </div>
            </div>
        </div>
    </div>
    <?php if(!is_null($ticket)): ?>
    <div class="modal fade" id="openTicket">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-body p-4">
                    <h1 class="text-center">TICKET
                        <span class="color-green">DETAILS</span>
                    </h1><hr>
                   <div id="ticket-detail" class="ml-3">
                       <div>
                           <strong>Subject:</strong>&nbsp;<span><?php echo e($ticket->subject); ?></span><br>
                           <strong>Type:</strong>&nbsp;<span class="badge badge-warning"><?php echo e($ticket->type); ?></span><br>
                           <strong>Status:</strong>&nbsp;<span class="badge badge-success"><?php echo e($ticket->status); ?></span><br>
                           <strong>Description:</strong>&nbsp;<span><?php echo e($ticket->description); ?></span><br>
                       </div>
                   </div>
                    <hr>
                    <div class="actionbtn text-center">
                        <a data-dismiss="modal"  href="javascript:void(0)">
                            <button>OK</button>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php endif; ?>
    <div id="loading-div" class="loading" style="display: none;">Loading&#8230;</div>
    <div class="background_section">
        <div class="section">
            <?php echo $__env->make('flash-message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <div class="container">
                <div class="order_heading">
                    <a>ORDER DETAILS</a>
                </div>
                <div class="row">
                    <div class="col-md-12">

                        <div class="order_details">
                            <h4 style="padding: 0px 15px;">Order # <?php echo e($order->id); ?> <span class="float-right"><?php echo e('$'.$order->amount); ?></span></h4><br>
                            <div class="order-detai-profileinfo">
                                <div class="order_img">
                                    <?php if(!empty($order->post_image)): ?>
                                        <img src="<?php echo e(asset('uploads/images/'.$order->post_image)); ?>" class="" alt="" style="width: 200px; height: 200px;" />
                                    <?php else: ?>
                                        <video width="320" height="240" controls>
                                            <source src="<?php echo e(asset('uploads/images/'.$order->post_video)); ?>" type="video/mp4">
                                            Your browser does not support the video tag.
                                        </video>
                                    <?php endif; ?>
                                </div>
                                <div class="order_text">
                                    <a><?php echo e($order->post_description); ?></a>
                                    <hr>
                                    <h5>Links:</h5>
                                    <a><?php echo e($order->post_link); ?></a>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-12">
                                    <div class="order_inner">
                                        <div class="order_calender">
                                            <div class="order_icon">
                                            <img src="<?php echo e(asset('frontend/images/calender.png')); ?>">
                                            </div>
                                            <div class="icon_text">
                                                <a class="icon_text_head">Date</a><br>
                                                <a class="icon_text_body"><?php echo e(date('D, d M, Y' , strtotime($order->start_date))); ?></a>
                                            </div>
                                        </div>
                                        <div class="order_email">
                                            <div class="order_icon">
                                                <img src="<?php echo e(asset('frontend/images/email.png')); ?>">
                                            </div>
                                            <div class="icon_text">
                                                <a class="icon_text_head">Email</a><br>
                                                <a class="icon_text_body"><?php echo e($order->buyer_email); ?></a>
                                            </div>
                                        </div>
                                        <div class="order_email">
                                            <div class="order_icon">
                                                <img src="<?php echo e(asset('frontend/images/followers.png')); ?>">
                                            </div>
                                            <div class="icon_text">
                                                <a class="icon_text_head">Influencer</a><br>
                                                <?php if($user): ?>
                                                    <a class="icon_text_body" data-toggle="collapse" href="#collapseAccount" role="button" aria-expanded="false" aria-controls="collapseAccount"><?php echo e('@'.$order->account_handle); ?></a><br>
                                                <?php endif; ?>
                                                <a class="icon_text_body"><?php echo e($user ? 'Cloutsource user '. $user->name : 'This influencer is deleted'); ?></a>
                                            </div>

                                            <?php if($user): ?>
                                                <div class="text-left collapse" id="collapseAccount" style="position: absolute">
                                                    <div class= "package_data m-3">
                                                        <i class="float-right fa fa-times m-2" aria-hidden="true" data-toggle="collapse" data-target="#collapseAccount"></i>
                                                        <div class= "influencer_details" style="padding-bottom: 10px!important;">
                                                            <div class="row align-items-center h-100">
                                                                <div class="col-md-4 profileimg">
                                                                    <img src="<?php echo e($order->profile_picture); ?>" class=" rounded-circle" alt="" style="width: 60px;" />
                                                                </div>
                                                                <div class="col-md-4 profileinfo">
                                                                    <a class="account_handle" href="<?php if($order->account_type == 'Instagram'): ?> https://www.instagram.com/<?php echo e($order->account_handle); ?> <?php elseif($order->account_type == 'Tiktok'): ?> https://www.tiktok.com/<?php echo e('@'. $order->account_handle); ?> <?php endif; ?>" target="_blank"><strong><?php echo e('@' . substr($order->account_handle , 0,10)); ?></a></strong><br>
                                                                    <div class="follower_icon_text">
                                                                        <a class="cart_follower_count"><strong style="color: #5ea956;"><?php echo e(App\SocialmediaObject::number_format_short( $order->followers_count )); ?></strong><br><a class="cart_follower">FOLLOWERS</a></a>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                            </div><br><hr>
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="order_inner">
                                        <div class="order_calender">
                                            <div class="order_icon">
                                                <img src="<?php echo e(asset('frontend/images/campaign.png')); ?>">
                                            </div>
                                            <div class="icon_text">
                                                <a class="icon_text_head">Campaign</a><br>
                                                <a class="icon_text_body" data-toggle="collapse" href="#collapseCampaign" role="button" aria-expanded="false" aria-controls="collapseCampaign"><?php echo e($order->campaign_title); ?></a>
                                            </div>
                                            <div class="text-left collapse" id="collapseCampaign">
                                                <div class= "package_data m-3">
                                                    <i class="float-right fa fa-times ml-3" aria-hidden="true" data-toggle="collapse" data-target="#collapseCampaign"></i>
                                                    <?php if($order->campaign_description): ?>
                                                        <span><?php echo $order->campaign_description; ?></span>
                                                    <?php endif; ?>
                                                    <?php if(!is_null($order->example_links) || !is_null($order->example_image)): ?>
                                                        <a href="javascript:void(0)" onclick="toggleExampleModal('<?php echo e($order->example_image); ?>' , '<?php echo e($order->example_links); ?>')" class="float-right text-primary">Show Example</a>
                                                    <?php endif; ?>
                                                    <hr>
                                                    <span>Includes:</span><br>
                                                    <span>
                                                    <i <?php if($order->user_provides_media == 1): ?> class="far fa-check-circle " style="color: #5ea956" <?php else: ?> class="fa fa-times-circle-o" style="color: red" <?php endif; ?>></i>
                                                    &nbsp; Media
                                                </span><br>
                                                    <span>
                                                    <i <?php if($order->user_provides_links == 1): ?> class="far fa-check-circle " style="color: #5ea956" <?php else: ?> class="fa fa-times-circle-o" style="color: red" <?php endif; ?>></i>
                                                    &nbsp; Links
                                                </span><br>
                                                    <span>
                                                    <i <?php if($order->user_provides_description == 1): ?> class="far fa-check-circle " style="color: #5ea956" <?php else: ?> class="fa fa-times-circle-o" style="color: red" <?php endif; ?>></i>
                                                    &nbsp; Caption
                                                </span>

                                                </div>
                                            </div>
                                            <div class = "order_button">
                                                <a href="<?php echo e(url()->previous()); ?>"><button type="button" class="button button-block">BACK</button></a>
                                            </div>
                                        </div>
                                        <div class="order_email">
                                          
                                            <div class="icon_text">
                                              <div class="order_icon">
                                                <img src="<?php echo e(asset('frontend/images/orders.png')); ?>">
                                            </div>
                                                <a class="icon_text_head">Status</a><br>
                                                <a class="icon_text_body" id="status-bar<?php echo e($order->id); ?>" style="font-size: 100% !important;">

                                                    <?php if($order->status == 'pending'): ?>
                                                        <h4 class="badge badge-warning">Pending Approval</h4>
                                                    <?php elseif($order->status == 'new'): ?>
                                                        <h4 class="badge badge-success">New</h4>
                                                    <?php elseif($order->status == 'in-progress'): ?>
                                                        <h4 class="badge badge-info">In Progress</h4>
                                                    <?php elseif($order->status == 'completed'): ?>
                                                        <h4 class="badge badge-success">Completed</h4>
                                                    <?php elseif($order->status == 'feedback-required'): ?>
                                                        <h4 class="badge badge-primary">Feedback Required</h4>
                                                    <?php elseif($order->status == 'rejected'): ?>
                                                        <h4 class="badge badge-danger">Rejected</h4>
                                                    <?php elseif($order->status == 'reopened'): ?>
                                                        <h4 class="badge badge-warning">Reopened</h4>
                                                    <?php elseif($order->status == 'order-refund'): ?>
                                                        <h4 class="badge badge-primary">Order Refund</h4>
                                                    <?php endif; ?>

                                                </a>
                                            </div>
                                    <?php if(Auth::user()->role->title != 'Admin'): ?>
                                            <?php if($order->buyer_id == Auth::user()->id): ?>
                                            <div id="markAsCompleted" class = "order_button" <?php if($order->status != 'feedback-required'): ?> style="display: none" <?php endif; ?>>
                                                <a onclick="changeCampaignStatus(<?php echo e($order->id . ", 'completed'"); ?>) " href="javascript:void(0);"><button type="button" class="button button-block">Mark As Completed</button></a><br>
                                                <span style="font-size: 10px;">Hey! Are you not satisfied? <a data-toggle="modal"  data-target="#createTicket" href="javascript:void(0);"> Open a Ticket</a></span>
                                            </div>
                                            <?php elseif($order->owner_id == Auth::user()->id): ?>
                                                <div class="text-center accept-eject-tab" >
                                                    <?php if($order->status == 'pending'): ?>
                                                        <a title="Accept" class="fa fa-check text-success" style="cursor: pointer; color: #1b4b72; font-size: 25px;" onclick="changeCampaignStatus(<?php echo e($order->id . ", 'in-progress'"); ?>)"></a> <span style="font-size: 30px">&nbsp;|&nbsp;</span>
                                                        <a title="Reject" class="fa fa-times text-danger" style="cursor: pointer; color: #1b4b72; font-size: 25px;" onclick="changeCampaignStatus(<?php echo e($order->id . ", 'rejected'"); ?>)"></a>
                                                    <?php endif; ?>
                                                </div>

                                                    <div id="markAsDone" class = "order_button" <?php if($order->status != 'in-progress'): ?>style="display: none" <?php endif; ?>>
                                                        <a onclick="changeCampaignStatus(<?php echo e($order->id . ", 'feedback-required'"); ?>)" href="javascript:void(0);"><button type="button" class="button button-block">Mark as Done</button></a>
                                                    </div>

                                            <?php endif; ?>
                                    <?php endif; ?>
                                            <?php if($order->status == 'reopened' || $ticket): ?>
                                                <div id="checkTicket" class = "order_button">
                                                    <a data-toggle="modal" data-target="#openTicket" href="javascript:void(0);"><button type="button" class="button button-block">View Ticket</button></a>
                                                </div>
                                            <?php endif; ?>

                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>

                    </div>

                </div>


            </div>
        </div>

        <div class="section mt-5">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <div id="switch">
                            <div id="circle"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('footer'); ?>
    <?php echo $__env->make('partials.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>

    <script>
      function changeCampaignStatus(campaignId, status) {
        $('#loading-div').show();
        var url = '<?php echo e(URL::to('/')); ?>' + '/frontend/order_status/' + campaignId + '/' + status;
        $.ajax({

          type: "GET",
          url: url,
          success: function( data ) {
            $('#loading-div').hide();
            if(data.flag == true){
              if(status == 'in-progress'){
                $('#status-bar'+campaignId).html('<span class="badge badge-info">In Progress</span>');
                $('#markAsDone').show();
              }else if(status == 'rejected'){
                $('#status-bar'+campaignId).html('<span class="badge badge-danger">Rejected</span>');
              }else if(status == 'feedback-required'){
                $('#status-bar'+campaignId).html('<span class="badge badge-primary">Feedback Required</span>');
                $('#markAsDone').hide();
              }else if(status == 'completed'){
                $('#status-bar'+campaignId).html('<span class="badge badge-success">Completed</span>');
                $('#markAsCompleted').hide();
              }
              $('.accept-eject-tab').html('');

            }else{
              alert('Access Denied');
            }
            //alert(data);
            //$('#campaigns_table_div').html(data);
          },
          error: function (data) {
            $('#loading-div').hide();
            alert('Server Error');
          }

        });
      }

      function toggleExampleModal(image , links){
        $('#exampleLinks').html('');
        $('#exampleImage').show();
        if(links != null && links != ''){
          links = links.replace(' ' , '');
          var links_array = links.split(',');
          links_array.forEach(function (link) {
            if(!link.includes('https://')){
              link = 'https://'+link;
            }
            link = link.replace(' ' , '');
            $('#exampleLinks').append('<a href="'+link+'" target="_blank">'+link+'</a><br>');
          });
        }
        console.log(image.length);
        if(image.length > 0){
          $('#exampleImage').attr('src' , '<?php echo e(URL::to("/")); ?>/'+image);
        }else{
          $('#exampleImage').hide();
        }
        $('#exampleCampaign').modal('toggle');
      }
    </script>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.frontend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/cloutsource/resources/views/frontend/order/order_details.blade.php ENDPATH**/ ?>