<div class="table-responsive">
    <!-- DATA TABLE STARTS -->
    <table id="dtBasicExample" class="table table-striped table-bordered" cellspacing="0" width="100%" style="background: #fff; margin-bottom:0px">
        <thead>
        <tr>
            <th class="th-sm">BUYER NAME
            </th>
            <th class="th-sm">TOTAL AMOUNT
            </th>
            <th class="th-sm">STATUS
            </th>
            <th class="th-sm">ACTIONS
            </th>

        </tr>
        </thead>
        <tbody>

        <?php $__currentLoopData = $campaigns; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $campaign): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <tr>
                <td><?php echo e($campaign->buyer_name); ?></td>
                <td><?php echo e($campaign->amount); ?></td>
                
                <td>
                    <?php if($campaign->status == 'pending'): ?>
                        <span class="badge badge-warning"><?php echo e(ucwords(str_replace('-' , ' ' ,$campaign->status))); ?></span>
                    <?php elseif($campaign->status == 'in-progress'): ?>
                        <span class="badge badge-info"><?php echo e(ucwords(str_replace('-' , ' ' ,$campaign->status))); ?></span>
                    <?php elseif($campaign->status == 'new'): ?>
                        <span class="badge badge-success"><?php echo e(ucwords(str_replace('-' , ' ' ,$campaign->status))); ?></span>
                    <?php elseif($campaign->status == 'completed'): ?>
                        <span class="badge badge-success"><?php echo e(ucwords(str_replace('-' , ' ' ,$campaign->status))); ?></span>
                    <?php elseif($campaign->status == 'feedback-required'): ?>
                        <span class="badge badge-primary"><?php echo e(ucwords(str_replace('-' , ' ' ,$campaign->status))); ?></span>
                    <?php elseif($campaign->status == 'rejected'): ?>
                        <span class="badge badge-danger"><?php echo e(ucwords(str_replace('-' , ' ' ,$campaign->status))); ?></span>
                    <?php elseif($campaign->status == 'reopened'): ?>
                        <span class="badge badge-warning"><?php echo e(ucwords(str_replace('-' , ' ' ,$campaign->status))); ?></span>
                    <?php elseif($campaign->status == 'order-refund'): ?>
                        <span class="badge badge-primary"><?php echo e(ucwords(str_replace('-' , ' ' ,$campaign->status))); ?></span>
                    <?php endif; ?>
                    
                </td>
                <td>
                    <a class="text-dark" href="<?php echo e(route('frontend.user.order_details' , ['id' => $campaign->id])); ?>"><i class="fa fa-eye"></i> &nbsp; View Details</a>
                </td>
            </tr>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

        </tbody>
    </table>
    <!-- DATA TABLE ENDS -->
    <?php echo e($campaigns->links()); ?>

</div>
<?php /**PATH /var/www/html/cloutsource/resources/views/partials/campaigns_table_ajax.blade.php ENDPATH**/ ?>