<!-- Header -->
<?php $__env->startSection('header'); ?>

    <?php echo $__env->make('partials.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('contents'); ?>
    <div id="loading-div" class="loading" style="display: none;">Loading&#8230;</div>
    <div class="background_section">
        <div class="section">
            <div class="container">
                <div class="insta_heading" style="margin-top: 100px ;">
                    <span>Account/Add Payments</span>
                </div>
                <div class="row"><br><br>
                    <div class="col-md-8" style="margin:auto; margin-top: 3rem">
                        <?php echo $__env->make('flash-message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        <div class="signinform">
                            <div class="form">
                                <div class="px-4">
                                        <div class="textform">
                                            <h5>Select you payment account.</h5><hr>
                                            <form class="" role="form" method="post" action="">
                                                <div class="row align-items-center">
                                                    <div class="col-md-6 text-center">
                                                        <div class="switcher">
                                                            <label class="switch">
                                                                <input class="enable-toggle" type="checkbox" id="enable-paypal" value="paypal"  <?php echo e(($paypal && $paypal->is_refundable == 1) ? 'checked' : ''); ?>>
                                                                <span class="slider round"></span>
                                                            </label>
                                                        </div>
                                                        <label for="checkbox2"><img src="<?php echo e(asset('images/paypal.png')); ?>" width="110"></label>
                                                    </div>
                                                    <div class="col-md-6 text-center">
                                                        <div class="switcher">
                                                            <label class="switch">
                                                                <input class="enable-toggle" type="checkbox" id="enable-card" value="card" <?php echo e(($card && $card->is_refundable == 1) ? 'checked' : ''); ?>>
                                                                <span class="slider round"></span>
                                                            </label>
                                                        </div>
                                                        <label for="checkbox3"><img src="<?php echo e(asset('images/card.png')); ?>" width="70"></label>
                                                    </div>
                                                </div>
                                            </form>

                                        </div>
                                </div>
                            </div>
                        </div><hr>
                                <div class="signinform">
                                    <div class="form">

                                        <ul class="tab-group">
                                            <li class="tab active" id="signup-tab"><a class="border_left" href="#signup"><img src="<?php echo e(asset('images/paypal.png')); ?>" width="110"></a></li>
                                            <li class="tab" id="signin-tab"><a class="border_right" href="#login"><img src="<?php echo e(asset('images/card.png')); ?>" width="70"></a></li>
                                        </ul>

                                        <div class="tab-content px-4">
                                            <div id="signup">
                                                <div class="textform">
                                                    <h5>Add your paypal account email below.</h5><hr>
                                                    <form method="POST" action="<?php echo e(route('frontend.user.savePayments', ['type' => 'paypal'])); ?>">

                                                        <?php echo csrf_field(); ?>
                                                        <input type="hidden" name="redirect_url" value="<?php echo e($redirect_url); ?>">
                                                        <div class="field-wrap">
                                                            <input type="email" name="paypal_email" id="email" placeholder="Email" required autocomplete="off" value="<?php echo e(($paypal) ? $paypal->account_email : ''); ?>" />

                                                            <span class="invalid-feedback" role="alert" style="display: block;" id="email-register-error">

                                                            </span>

                                                        </div>
                                                        <button type="submit" class="button button-block register-btn" >
                                                            Add
                                                        </button>
                                                    </form>

                                                </div>

                                            </div>

                                            <div id="login">
                                                <div class="verify-alert">

                                                </div>
                                                <div class="textform">
                                                    <h5>Add your card details below.</h5><hr>
                                                    <form method="POST" action="<?php echo e(route('frontend.user.savePayments', ['type' => 'card'])); ?>">
                                                        <?php echo csrf_field(); ?>
                                                        <input type="hidden" name="redirect_url" value="<?php echo e($redirect_url); ?>">
                                                        <div class="field-wrap">
                                                            <input type="text" maxlength="19" name="card_number" id="card_number" placeholder="Card number (XXXX-XXXX-XXXX-XXXX)"  value="<?php echo e(($card) ? $card->card_number : ''); ?>" required autocomplete="off" />

                                                            <span class="invalid-feedback" role="alert" style="display: block;" id="email-login-error">
                                                            <strong></strong>
                                                            </span>

                                                        </div>

                                                        <div class="field-wrap">
                                                            <input type="number" name="cvv_number" id="cvv" placeholder="Card CVV (XXX)" required autocomplete="off" value="<?php echo e(($card) ? $card->cvv_number : ''); ?>" />

                                                            <span class="invalid-feedback" role="alert" style="display: block;" id="email-login-error">
                                                            <strong></strong>
                                                            </span>

                                                        </div>

                                                        <div class="field-wrap">
                                                            
                                                            <select class="form-control" name="expiry_month" id="expiry_month" placeholder="Card expiry month (XX)" required autocomplete="off">
                                                                <option value="0" hidden disabled selected>Expiry month (XX)</option>
                                                                <?php for($i = 1; $i <= 12; $i++): ?>
                                                                    <option value="<?php echo e($i); ?>" <?php echo ($card) ? (($card->expiry_month == $i) ? 'selected' : '') : ''; ?>><?php echo e($i); ?></option>
                                                                <?php endfor; ?>
                                                            </select>

                                                            <span class="invalid-feedback" role="alert" style="display: block;" id="email-login-error">
                                                            <strong></strong>
                                                            </span>

                                                        </div>

                                                        <div class="field-wrap">
                                                            
                                                            <select class="form-control" name="expiry_year" id="expiry_year" placeholder="Card expiry year (XXXX)" required autocomplete="off">
                                                                    <option value="0" hidden disabled selected>Expiry year (XXXX)</option>
                                                                <?php for($i = 2020; $i <= 2040; $i++): ?>
                                                                    <option value="<?php echo e($i); ?>" <?php echo ($card) ? (($card->expiry_year == $i) ? 'selected' : '') : ''; ?>><?php echo e($i); ?></option>
                                                                <?php endfor; ?>
                                                            </select>
                                                            <span class="invalid-feedback" role="alert" style="display: block;" id="email-login-error">
                                                            <strong></strong>
                                                            </span>

                                                        </div>
                                                        <button type="submit" class="button button-block log-in" onclick="loginUser();">Add</button>
                                                    </form>

                                                </div>

                                            </div>

                                        </div>
                                        <!-- tab-content -->

                                    </div>
                                    <!-- /form -->
                                </div>

                    </div>

                </div> <!-- Row ends here -->

            </div>

        </div>
        <div class="section mt-5">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <div id="switch">
                            <div id="circle"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('footer'); ?>
    <?php echo $__env->make('partials.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('after-js'); ?>
    <script>
        $(window).ready(function () {
          $('.enable-toggle').on('change' , function () {
            if(this.checked){
              (this.value == 'card') ? $('#enable-paypal').prop('checked' , false) : $('#enable-card').prop('checked' , false);
              updateRefundable(this.value , 'add');
            }else{
              (this.value == 'card') ? $('#enable-paypal').prop('checked' , true) : $('#enable-card').prop('checked' , true);
              updateRefundable(this.value , 'remove');
            }

          });

          function updateRefundable(type, action){
            $('#loading-div').show();
            $.ajax({

              type: "GET",
              url: '<?php echo e(URL::to('/')); ?>/frontend/update_refundable/'+type+'/'+action,
              success: function( data ) {
                $('#loading-div').hide();
                if(data.status == 1) {
                  alert(data.response);
                }
              },
              error: function (data) {
                $('#loading-div').hide();
                alert('Server Error');
              }
            });
          }
        });
    </script>
<?php $__env->stopPush(); ?>


<?php echo $__env->make('layouts.frontend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/cloutsource/resources/views/frontend/payments/payment_details.blade.php ENDPATH**/ ?>